<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <META HTTP-EQUIV="Content-type" CONTENT="text/html; charset=UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
    <?php wp_head();?>
</head>

<body <?php body_class();?> >
<?php global $rws_options; ?>
<div class="loader"></div>
<div id="page" class="hfeed site">

	<?php if( !is_page_template( 'templates/template-landingpage.php' ) ): ?>
		<header id="masthead" class="site-header header"> 
		    <div class="hgroup-wrap">
		        <div class="container">
		            <div class="site-branding">
		            	<?php
		            		$site_logo_svg	= $rws_options['site_logo_svg'];  
		            	    $site_logo_id   = get_theme_mod( 'custom_logo' );
		            	?>
		            	<a href="<?php echo home_url(); ?>">
		            		<?php if( $site_logo_svg ) {
		            			echo $site_logo_svg;
		            		} elseif($site_logo_id) { 
		            	    	$site_logo_url	= rws_image_src ( array ( 'id' => $site_logo_id, 'size' => 'full' ) );
	            	    	?>
		            	        <img src="<?php echo esc_url( $site_logo_url );?>" alt="<?php echo get_bloginfo('name');?>" title="<?php echo get_bloginfo('name');?>" >
		            	    <?php } else {
		            	        echo '<h1>'.get_bloginfo('name').'</h1>';
		            	    } ?>
		            	</a>
		            </div><!-- .site-branding -->
    	            <nav class="main-navigation">
	            		<div class="menu-top-menu-container">
	                    	<?php 
	                    	if( !my_wp_is_mobile() ):
		    					if( has_nav_menu( 'primary' )):
		    						$args = array(
		    							'theme_location' => 'primary',
		    							'menu' => '',
		    							'container' => '',
		    							'container_class' => '',
		    							'container_id' => '',
		    							'menu_class' => '',
		    							'menu_id' => '',
		    							'echo' => true,
		    							'fallback_cb' => '',
		    							'before' => '',
		    							'after' => '',
		    							//'link_before' => '<div>',
		    							//'link_after' => '</div>',
		    							'items_wrap' => '<ul class="left-menu">%3$s</ul>',
		    							'depth' => 0,
		    							'walker' => ''
		    						);						
		    						wp_nav_menu( $args );
		    					endif;
		    					if( has_nav_menu( 'primary-2' )):
		    						$args = array(
		    							'theme_location' => 'primary-2',
		    							'menu' => '',
		    							'container' => '',
		    							'container_class' => '',
		    							'container_id' => '',
		    							'menu_class' => '',
		    							'menu_id' => '',
		    							'echo' => true,
		    							'fallback_cb' => '',
		    							'before' => '',
		    							'after' => '',
		    							//'link_before' => '<div>',
		    							//'link_after' => '</div>',
		    							'items_wrap' => '<ul class="right-menu">%3$s</ul>',
		    							'depth' => 0,
		    							'walker' => ''
		    						);						
		    						wp_nav_menu( $args );
		    					endif;
		    				endif;
	    					?>
	    					<?php if( my_wp_is_mobile() ):?>
	    						<ul>
				                	<?php 
									if( has_nav_menu( 'primary' )):
										$args = array(
											'theme_location' => 'primary',
											'menu' => '',
											'container' => '',
											'container_class' => '',
											'container_id' => '',
											'menu_class' => '',
											'menu_id' => '',
											'echo' => true,
											'fallback_cb' => '',
											'before' => '',
											'after' => '',
											//'link_before' => '<div>',
											//'link_after' => '</div>',
											'items_wrap' => '%3$s',
											'depth' => 0,
											'walker' => ''
										);						
										wp_nav_menu( $args );
									endif;
									if( has_nav_menu( 'primary-2' )):
										$args = array(
											'theme_location' => 'primary-2',
											'menu' => '',
											'container' => '',
											'container_class' => '',
											'container_id' => '',
											'menu_class' => '',
											'menu_id' => '',
											'echo' => true,
											'fallback_cb' => '',
											'before' => '',
											'after' => '',
											//'link_before' => '<div>',
											//'link_after' => '</div>',
											'items_wrap' => '%3$s',
											'depth' => 0,
											'walker' => ''
										);						
										wp_nav_menu( $args );
									endif;
									?>
								</ul>
	    					<?php endif; ?>
	    				</div>
    	            </nav><!-- .main-navigation -->
		        </div><!-- .container -->
		    </div>

    	    <?php
    	    	//banner hook : check in hook-functions.php
    	    	//if( is_page() || is_singular( 'press-release' ) ) {
    	    		do_action ( 'rws_banner' ) ;
    	    	//}
        	?>
		</header><!-- #masthead -->
	<?php endif; ?>
    
    <!-- //fetch value of cs as $rws_options['name_here']; -->