<?php
    if ( ! defined( 'ABSPATH' ) ) { die; } // Cannot access pages directly.
    function rws_common_metabox_section( $post_type ) {
        $common  =  array(
                        'name'   => 'page_banner_section',
                        'title'  => ucwords( $post_type ).' Banner',
                        'fields' => array(
                                        array(
                                            'id'            => 'banner_image_enable',
                                            'type'          => 'switcher',
                                            'title'         => __('Banner Image Enable'),
                                            'dependency'    => array('banner_slider_enable', '!=', 'true'),
                                        ),
                                        array(
                                            'id'            => 'banner_image',
                                            'type'          => 'image',
                                            'title'         => __('Banner Image'),
                                            'dependency'    => array('banner_image_enable', '==', 'true'),
                                        ),
                                        array(
                                            'id'            => 'banner_image_title',
                                            'type'          => 'text',
                                            'title'         => 'Banner Title',
                                            'dependency'    => array('banner_image_enable', '==', 'true'),
                                        ),
                                        array(
                                            'id'            => 'banner_image_subtitle',
                                            'type'          => 'text',
                                            'title'         => 'Banner Subtitle',
                                            'dependency'    => array('banner_image_enable', '==', 'true'),
                                        ),
                                        array(
                                            'id'            => 'banner_image_btn_enable',
                                            'type'          => 'switcher',
                                            'title'         => 'Banner Button Enable',
                                            'dependency'    => array('banner_slider_enable|banner_image_enable', '!=|==', 'true|true'),
                                        ),
                                        array(
                                            'id'            => 'banner_image_btn_label',
                                            'type'          => 'text',
                                            'title'         => 'Button Label',
                                            'dependency'    => array('banner_slider_enable|banner_image_enable|banner_image_btn_enable', '!=|==|==', 'true|true|true'),
                                        ),
                                        array(
                                            'id'            => 'banner_image_btn_url',
                                            'type'          => 'text',
                                            'title'         => 'Button URL',
                                            'dependency'    => array('banner_slider_enable|banner_image_enable|banner_image_btn_enable', '!=|==|==', 'true|true|true'),
                                        ),
                                        array(
                                            'id'            => 'banner_slider_enable',
                                            'type'          => 'switcher',
                                            'title'         => __('Banner Slider Enable'),
                                            'dependency'    => array('banner_image_enable', '!=', 'true'),
                                        ),
                                        // slider repeater groups
                                        array(
                                            'id'                => 'slider_images',
                                            'type'              => 'group',
                                            'title'             => __('Add Slider Images'),
                                            'button_title'      => __('Add Slider Images'),
                                            'accordion_title'   => __('Add Slider Details with Image'),
                                            'fields'    =>  array(
                                                                array(
                                                                    'id'        => 'slider_img',
                                                                    'type'      => 'image',
                                                                    'title'     => __('Slider Image'),
                                                                ),
                                                                array(
                                                                    'id'         => 'slider_title',
                                                                    'type'       => 'textarea',
                                                                    'title'      => __('Slider Title'),
                                                                    'attributes' => array(
                                                                        'placeholder' => 'Slider Title',
                                                                    ),
                                                                ),
                                                                array(
                                                                    'id'         => 'slider_sub_title',
                                                                    'type'       => 'textarea',
                                                                    'title'      => __('Slider Subtitle'),
                                                                    'attributes' => array(
                                                                        'placeholder' => 'Slider SubTitle',
                                                                    ),
                                                                ),
                                                                array(
                                                                    'id'         => 'slider_desc',
                                                                    'type'       => 'textarea',
                                                                    'title'      => __('Slider Description'),
                                                                    'attributes' => array(
                                                                        'placeholder' => 'Slider Description',
                                                                    ),
                                                                ),                              
                                                                array(
                                                                    'id'        => 'slider_button_enable',
                                                                    'type'      => 'switcher',
                                                                    'title'     => __('Slider Button Enable'),
                                                                ),
                                                                array(
                                                                    'id'        => 'slider_button_label',
                                                                    'type'      => 'text',
                                                                    'title'     => __('Slider Button Label'),
                                                                    'dependency' => array('slider_button_enable', '==', 'true'),
                                                                ),
                                                                array(
                                                                    'id'        => 'slider_button_url',
                                                                    'type'      => 'text',
                                                                    'title'     => __('Slider Button URL'),
                                                                    'dependency' => array('slider_button_enable', '==', 'true'),
                                                                ),
                                                            ),
                                            'dependency'      => array('banner_slider_enable|banner_image_enable', '==|!=', 'true|true'),
                                        ), // end of slider repeater groups                                   
                                    ),
                    );
        return $common;
    }

    function rws_common_meta( $post_type ) {
        if($post_type == 'page' || $post_type == 'post' || $post_type == 'press-release' || $post_type == 'sponsor' || $post_type == 'event-lists' ) {
            $options = array(
                'id'        => 'common_heading',
                'title'     => 'Common '.ucwords( $post_type ).' Options',
                'post_type' => $post_type,
                'context'   => 'normal',
                'priority'  => 'high',
                'sections'  => array(
                        rws_common_metabox_section( $post_type ),
                    ),
            );
            
        }

        return $options;
    }

    /**
     *
     * @return array
     */
    function rws_metaboxes()
    {

        $options[] = array();

        $options[]      = rws_common_meta ( 'page' );
        $options[]      = rws_common_meta ( 'press-release' );
        $options[]      = rws_common_meta ( 'sponsor' );
        $options[]      = rws_common_meta ( 'event-lists' );
        //$options[]      = rws_common_meta ( 'post' );

        $options[]   = array(
            'id'            => 'rws_general_newslettter_section',
            'title'         => 'General Newsletter Section',
            'post_type'     => array( 'page', 'post', 'press-release', 'sponsor', 'event-lists', 'espresso_events'  ),
            'context'       => 'side',
            'priority'      => 'high',
            'sections'      => array(

                array(
                    'name'  => 'allpage_newsletter',
                    'title' => 'Newsletter Section',
                    'fields'=> array(
                                array(
                                    'id'            => 'rws_newsletter_enable',
                                    'type'          => 'switcher',
                                    'title'         => 'Newsletter Enable',
                                    'default'       => true,
                                    'desc'          => 'Newsletter Section Title and Shortcode is added in the Theme Option',
                                ),
                        )
                    ),
                    
                ),//end section
            );


        //==============  for landingpage starts ========================//
        $options[]   = array(
            'id'            => 'rws_landingpage_section',
            'title'         => 'Other Content landingpage',
            'post_type'     => 'page',
            'context'       => 'normal',
            'priority'      => 'high',
            'sections'      => array(
                /* landingpage countdown start*/
                array(
                    'name'  => 'landingpage_top_countdown',
                    'title' => 'Countdown Section',
                    'fields'=> array(
                                array(
                                    'id'            => 'rws_countdown_enable',
                                    'type'          => 'switcher',
                                    'title'         => 'Countdown Enable',
                                ),
                                array(
                                    'id'            => 'countdown_sec_title',
                                    'type'          => 'text',
                                    'title'         => 'Section Title',
                                    'dependency'    => array('rws_countdown_enable', '==', 'true'),
                                    ),
                                array(
                                    'id'            => 'countdown_content',
                                    'type'          => 'wysiwyg',
                                    'title'         => 'Content',
                                    /*'attributes'    => array(
                                                        'placeholder' => 'Wrap text with <strong></strong> for some text if required different.',
                                                    ),*/
                                    'dependency'    => array('rws_countdown_enable', '==', 'true'),
                                    ),
                                array(
                                    'id'            => 'countdown_bg_image',
                                    'type'          => 'image',
                                    'title'         => 'Section Background Image',
                                    'dependency'    => array('rws_countdown_enable', '==', 'true'),
                                ),
                        )
                    ),
                /* landingpage countdown ends*/

                /* landingpage Happening Here start*/
                array(
                    'name'  => 'landingpage_happening_here',
                    'title' => 'Happening Here Section',
                    'fields'=> array(
                                array(
                                    'id'            => 'rws_happening_here_enable',
                                    'type'          => 'switcher',
                                    'title'         => 'Happening Here Enable',
                                ),
                                array(
                                    'id'            => 'happening_here_title',
                                    'type'          => 'text',
                                    'title'         => 'Section Title',
                                    /*'attributes'    => array(
                                                        'placeholder' => 'Wrap text with <strong></strong> for some text if required different.',
                                                    ),*/
                                    'dependency'    => array('rws_happening_here_enable', '==', 'true'),
                                    ),
                                array(
                                    'id'            => 'happening_here_subtitle',
                                    'type'          => 'text',
                                    'title'         => 'Section Subtitle',
                                    'dependency'    => array('rws_happening_here_enable', '==', 'true'),
                                    ),
                                /*array(
                                    'id'            => 'rws_happening_here_image_enable',
                                    'type'          => 'switcher',
                                    'title'         => 'Image Enable',
                                ),*/
                                /*array(
                                    'id'            => 'happening_here_desc',
                                    'type'          => 'textarea',
                                    'title'         => 'Section Large Content',
                                    'dependency'    => array('rws_happening_here_enable|rws_happening_here_image_enable', '==|!=', 'true|true'),
                                    ),*/
                                /*array(
                                    'id'                => 'happening_here_list',
                                    'type'              => 'group',
                                    'title'             => 'Happening Here List',
                                    'button_title'      => 'Add New',
                                    'accordion_title'   => 'Add New',
                                    'fields'            => array(
                                        array(
                                            'id'        => 'happening_here_title',
                                            'type'      => 'text',
                                            'title'     => 'Title',
                                            ),

                                        ), 
                                    'dependency'    => array('rws_happening_here_enable', '==', 'true'),
                                    ),*/ // end of page section groups
                                
                                array(
                                    'id'                => 'happening_here_image_list',
                                    'type'              => 'group',
                                    'title'             => 'Happening Here Image List',
                                    'button_title'      => 'Add New',
                                    'accordion_title'   => 'Add New',
                                    'fields'            => array(
                                        array(
                                            'id'            => 'happening_here_bg_image',
                                            'type'          => 'image',
                                            'title'         => 'Image',                                        
                                            ),

                                        ), 
                                    'dependency'    => array('rws_happening_here_enable', '==', 'true'),
                                ), // end of page section groups
                        )
                    ),
                /* landingpage Happening Here ends*/

                /* landingpage About Us start*/
                array(
                    'name'  => 'landingpage_about_us',
                    'title' => 'About Us Section',
                    'fields'=> array(
                                array(
                                    'id'            => 'rws_about_us_enable',
                                    'type'          => 'switcher',
                                    'title'         => 'About Us Enable',
                                ),
                                array(
                                    'id'            => 'about_us_title',
                                    'type'          => 'text',
                                    'title'         => 'Section Title',
                                    /*'attributes'    => array(
                                                        'placeholder' => 'Wrap text with <strong></strong> for some text if required different.',
                                                    ),*/
                                    'dependency'    => array('rws_about_us_enable', '==', 'true'),
                                    ),
                                array(
                                    'id'            => 'about_us_desc',
                                    'type'          => 'wysiwyg',
                                    'title'         => 'Section Description',
                                    'dependency'    => array('rws_about_us_enable', '==', 'true'),
                                    ),
                                array(
                                    'id'                => 'about_us_list',
                                    'type'              => 'group',
                                    'title'             => 'About Us List',
                                    'button_title'      => 'Add New',
                                    'accordion_title'   => 'Add New',
                                    'fields'            => array(
                                        array(
                                            'id'            => 'about_us_list_title',
                                            'type'          => 'text',
                                            'title'         => 'Title',
                                        ),
                                        array(
                                            'id'            => 'about_us_list_image',
                                            'type'          => 'image',
                                            'title'         => 'Icon',
                                        ),
                                        array(
                                            'id'            => 'about_us_list_color',
                                            'type'          => 'color_picker',
                                            'title'         => 'Color',
                                            'default'       => '#38d588',
                                        ),


                                    ), 
                                    'dependency'        => array('rws_about_us_enable', '==', 'true'),
                                ), // end of page section groups
                        )
                    ),
                /* landingpage About Us ends*/

                
                ),//end section
            );
        //============== metabox for landingpage ends =============================/

        
        //==============  For Home Page starts ========================//
        $options[]   = array(
            'id'            => 'rws_homepage_section',
            'title'         => 'Home Page Section',
            'post_type'     => 'page',
            'context'       => 'normal',
            'priority'      => 'high',
            'sections'      => array(
                /* About Idea Section start */
                array(
                    'name'  => 'about_idea_section',
                    'title' => 'About Idea Section',
                    'fields'=> array(
                        array(
                            'id'            => 'rws_about_idea_enable',
                            'type'          => 'switcher',
                            'title'         => 'About Idea Section Enable',
                        ),
                        array(
                            'id'            => 'rws_about_idea_title',
                            'type'          => 'textarea',
                            'title'         => 'Title',
                            'dependency'    => array('rws_about_idea_enable', '==', 'true') ,
                        ),
                        array(
                            'id'            => 'rws_about_idea_sub_title',
                            'type'          => 'textarea',
                            'title'         => 'Sub Title',
                            'dependency'    => array('rws_about_idea_enable', '==', 'true') ,
                        ),
                        array(
                            'id'            => 'rws_about_idea_desc',
                            'type'          => 'wysiwyg',
                            'title'         => 'Description',
                            'dependency'    => array('rws_about_idea_enable', '==', 'true') ,
                        ),
                        array(
                            'id'            => 'rws_about_idea_image',
                            'type'          => 'image',
                            'title'         => 'Image',
                            'dependency'    => array('rws_about_idea_enable', '==', 'true') ,
                        ),
                    )
                ),
                /* About Idea Section end */

                /* Feature Section start */
                array(
                    'name'  => 'feature_event_section',
                    'title' => 'Feature Event Section',
                    'fields'=> array(
                        array(
                            'id'            => 'rws_feature_event_enable',
                            'type'          => 'switcher',
                            'title'         => 'Feature Event Section Enable',
                        ),
                        /*array(
                            'id'            => 'rws_number_of_event_show',
                            'type'          => 'number',
                            'title'         => 'No. of Event',
                            'dependency'    => array('rws_feature_event_enable', '==', 'true') ,
                        ),*/
                        array(
                            'id'            => 'rws_feature_event_title',
                            'type'          => 'textarea',
                            'title'         => 'Title',
                            'dependency'    => array('rws_feature_event_enable', '==', 'true') ,
                        ),
                        array(
                            'id'            => 'rws_feature_event_desc',
                            'type'          => 'wysiwyg',
                            'title'         => 'Description',
                            'dependency'    => array('rws_feature_event_enable', '==', 'true') ,
                        ),
                        array(
                            'id'            => 'notice',
                            'type'          => 'subheading',
                            'content'       => 'Feature Events will be listed from event posttype where featured option is set.',
                        ),
                        /*array(
                          'id'              => 'rws_feature_event_list',
                          'type'            => 'checkbox',
                          'title'           => 'Featured Events List',
                          'options'         => 'post',
                          // query_args is option for all
                          'query_args'      => array(
                                                'sort_order'    => 'ASC',
                                                'sort_column'   => 'post_title',
                                                'post_type'     => 'event',
                                                'posts_per_page' => -1
                                              ),
                        ),*/

                    )
                ),
                /* Feature Section end */

                /* Venture Competition  Section start */
                array(
                    'name'  => 'venture_competition_section',
                    'title' => 'Venture Competition Section',
                    'fields'=> array(
                        array(
                            'id'            => 'rws_venture_competition_enable',
                            'type'          => 'switcher',
                            'title'         => 'Venture Competition Section Enable',
                        ),
                        array(
                            'id'            => 'rws_venture_competition_title',
                            'type'          => 'textarea',
                            'title'         => 'Title',
                            'dependency'    => array('rws_venture_competition_enable', '==', 'true') ,
                        ),
                        array(
                            'id'            => 'rws_venture_competition_sub_title',
                            'type'          => 'textarea',
                            'title'         => 'Sub Title',
                            'dependency'    => array('rws_venture_competition_enable', '==', 'true') ,
                        ),
                        array(
                            'id'            => 'rws_venture_competition_desc',
                            'type'          => 'wysiwyg',
                            'title'         => 'Description',
                            'dependency'    => array('rws_venture_competition_enable', '==', 'true') ,
                        ),
                        array(
                            'id'            => 'rws_venture_competition_image',
                            'type'          => 'image',
                            'title'         => 'Image',
                            'dependency'    => array('rws_venture_competition_enable', '==', 'true') ,
                        ),
                        array(
                            'id'            => 'rws_venture_competition_btn_enable',
                            'type'          => 'switcher',
                            'title'         => 'Button Enable',
                            'dependency'    => array('rws_venture_competition_enable', '==', 'true') ,
                        ),
                        array(
                            'id'            => 'rws_venture_competition_btn_label',
                            'type'          => 'text',
                            'title'         => 'Button Label',
                            'dependency'    => array('rws_venture_competition_btn_enable', '==', 'true'),
                        ),
                        array(
                            'id'            => 'rws_venture_competition_btn_url',
                            'type'          => 'text',
                            'title'         => 'Button URL',
                            'dependency'    => array('rws_venture_competition_btn_enable', '==', 'true'),
                        ),
                    )
                ),
                /* Venture Competition Section end */

                /* Our Events  Section start */
                array(
                    'name'  => 'our_events_section',
                    'title' => 'Our Events Section',
                    'fields'=> array(
                        array(
                            'id'            => 'rws_our_events_enable',
                            'type'          => 'switcher',
                            'title'         => 'Our Events Section Enable',
                        ),
                        array(
                            'id'            => 'rws_our_events_section_title',
                            'type'          => 'textarea',
                            'title'         => 'Section Title',
                            'dependency'    => array('rws_our_events_enable', '==', 'true') ,
                        ),
                        array(
                            'id'            => 'notice',
                            'type'          => 'subheading',
                            'content'       => 'Events will be listed from event posttype expect  featured event.',
                            'dependency'    => array('rws_our_events_enable', '==', 'true') ,
                        ),

                    )
                ),
                /* Our Events Section end */

                /*
                array(
                    'name'  => 'rws_newsletter_section',
                    'title' => 'Newsletter Section',
                    'fields'=> array(
                        array(
                            'id'            => 'newsletter_section_enable',
                            'type'          => 'switcher',
                            'title'         => 'Newsletter Section Enable',
                        ),
                        array(
                            'id'            => 'newsletter_section_title',
                            'type'          => 'textarea',
                            'title'         => 'Section Title',
                            'dependency'    => array('newsletter_section_enable', '==', 'true') ,
                        ),
                        array(
                            'id'            => 'newsletter_section_content',
                            'type'          => 'textarea',
                            'title'         => 'Content',
                            'desc'          => 'Insert Shortcode for the form.',
                            'dependency'    => array('newsletter_section_enable', '==', 'true') ,
                        ),

                    ), //end fields
                ),
                */


            ),
        );
        //============== Home Page ends =============================/
                
        //============== For Become a Sponsor Page Starts ===========/
        $options[]   = array(
            'id'            => 'rws_becomeasponsor_section',
            'title'         => 'Become a Sponsor Page Section',
            'post_type'     => 'page',
            'context'       => 'normal',
            'priority'      => 'high',
            'sections'      => array(
                /* Stat section start */
                array(
                    'name'  => 'bas_stat_section',
                    'title' => 'Stat Section',
                    'fields'=> array(
                        array(
                            'id'            => 'rws_bas_enable',
                            'type'          => 'switcher',
                            'title'         => 'Stats Section Enable',
                        ),
                        array(
                            'id'            => 'notice',
                            'type'          => 'subheading',
                            'content'       => 'Stats Section shown after the page content.',
                            'dependency'    => array('rws_bas_enable', '==', 'true'),
                        ),
                        array(
                            'id'                => 'rws_bas_list',
                            'type'              => 'group',
                            'title'             => 'Stats List',
                            'button_title'      => 'Add New',
                            'accordion_title'   => 'Add New',
                            'fields'            => array(
                                array(
                                    'id'        => 'bas_title',
                                    'type'      => 'text',
                                    'title'     => 'Title',
                                    ),
                                array(
                                    'id'        => 'bas_value',
                                    'type'      => 'text',
                                    'title'     => 'Value',
                                    ),
                                array(
                                    'id'        => 'bas_icon',
                                    'type'      => 'image',
                                    'title'     => 'Icon Image',
                                    ),

                                ), 
                            'dependency'        => array('rws_bas_enable', '==', 'true'),
                        ), // end of page section groups

                    )
                ),
                /* Stat Section end */

                /* sponsor-interested section start */
                array(
                    'name'  => 'bas_sponsor_interested_section',
                    'title' => 'Sponsor Interested  Section',
                    'fields'=> array(
                        array(
                            'id'            => 'rws_bas_sponsor_interested_enable',
                            'type'          => 'switcher',
                            'title'         => 'Sponsor Intrested CTA Section Enable',
                        ),
                        array(
                            'id'            => 'notice',
                            'type'          => 'subheading',
                            'content'       => 'Sponsor Interested Call To Actio (CTA) Section.',
                            'dependency'    => array('rws_bas_sponsor_interested_enable', '==', 'true'),
                        ),
                        array(
                            'id'            => 'bas_sponsor_interested_title',
                            'type'          => 'text',
                            'title'         => 'Section Title',
                            'dependency'    => array('rws_bas_sponsor_interested_enable', '==', 'true'),
                        ),
                        array(
                            'id'            => 'bas_sponsor_interested_btn_enable',
                            'type'          => 'switcher',
                            'title'         => 'Button Enable',
                            'dependency'    => array('rws_bas_sponsor_interested_enable', '==', 'true'),
                        ),
                        array(
                            'id'            => 'bas_sponsor_interested_btn_title',
                            'type'          => 'text',
                            'title'         => 'Button Title',
                            'dependency'    => array('bas_sponsor_interested_btn_enable', '==', 'true'),
                        ),
                        array(
                            'id'            => 'bas_sponsor_interested_btn_url',
                            'type'          => 'text',
                            'title'         => 'URL',
                            'dependency'    => array('bas_sponsor_interested_btn_enable', '==', 'true'),
                        ),
                        array(
                            'id'            => 'bas_sponsor_interested_email_address',
                            'type'          => 'text',
                            'title'         => 'Email Address',
                            'dependency'    => array('rws_bas_sponsor_interested_enable', '==', 'true'),
                        ),
                        array(
                            'id'            => 'bas_sponsor_interested_phone_no',
                            'type'          => 'text',
                            'title'         => 'Phone No.',
                            'dependency'    => array('rws_bas_sponsor_interested_enable', '==', 'true'),
                        ),

                    )
                ),
                /* sponsor-interested section ends */

            ),
        );    
        //============== Become a Sponsor Page Ends =================/

        //==============  For About Page starts ========================//
        $options[]   = array(
            'id'            => 'rws_aboutpage_section',
            'title'         => 'About Page Section',
            'post_type'     => 'page',
            'context'       => 'normal',
            'priority'      => 'high',
            'sections'      => array(
                /* About Idea Section start */
                array(
                    'name'  => 'aboutpage_idea_section',
                    'title' => 'About Idea Section',
                    'fields'=> array(
                        array(
                            'id'            => 'rws_aboutpage_idea_enable',
                            'type'          => 'switcher',
                            'title'         => 'About Page Idea Section Enable',
                        ),
                        array(
                            'id'            => 'rws_about_idea_title',
                            'type'          => 'textarea',
                            'title'         => 'Title',
                            'dependency'    => array('rws_aboutpage_idea_enable', '==', 'true') ,
                        ),
                        array(
                            'id'            => 'rws_about_idea_sub_title',
                            'type'          => 'textarea',
                            'title'         => 'Sub Title',
                            'dependency'    => array('rws_aboutpage_idea_enable', '==', 'true') ,
                        ),
                        array(
                            'id'            => 'rws_about_idea_desc',
                            'type'          => 'wysiwyg',
                            'title'         => 'Description',
                            'dependency'    => array('rws_aboutpage_idea_enable', '==', 'true') ,
                        ),
                        array(
                            'id'            => 'rws_about_idea_image',
                            'type'          => 'image',
                            'title'         => 'Image',
                            'dependency'    => array('rws_aboutpage_idea_enable', '==', 'true') ,
                        ),
                        array(
                            'id'            => 'rws_about_idea_btn_1_enable',
                            'type'          => 'switcher',
                            'title'         => 'Button 1 Enable',
                            'dependency'    => array('rws_aboutpage_idea_enable', '==', 'true'),
                        ),
                        array(
                            'id'            => 'rws_about_idea_btn_1_title',
                            'type'          => 'text',
                            'title'         => 'Button 1 Title',
                            'dependency'    => array('rws_about_idea_btn_1_enable', '==', 'true'),
                        ),
                        array(
                            'id'            => 'rws_about_idea_btn_1_url',
                            'type'          => 'text',
                            'title'         => 'Button 1 URL',
                            'dependency'    => array('rws_about_idea_btn_1_enable', '==', 'true'),
                        ),
                        array(
                            'id'            => 'rws_about_idea_btn_2_enable',
                            'type'          => 'switcher',
                            'title'         => 'Button 2 Enable',
                            'dependency'    => array('rws_aboutpage_idea_enable', '==', 'true'),
                        ),
                        array(
                            'id'            => 'rws_about_idea_btn_2_title',
                            'type'          => 'text',
                            'title'         => 'Button 2 Title',
                            'dependency'    => array('rws_about_idea_btn_2_enable', '==', 'true'),
                        ),
                        array(
                            'id'            => 'rws_about_idea_btn_2_url',
                            'type'          => 'text',
                            'title'         => 'Button 2 URL',
                            'dependency'    => array('rws_about_idea_btn_2_enable', '==', 'true'),
                        ),
                        array(
                            'id'            => 'rws_about_idea_btn_3_enable',
                            'type'          => 'switcher',
                            'title'         => 'Button 3 Enable',
                            'dependency'    => array('rws_aboutpage_idea_enable', '==', 'true'),
                        ),
                        array(
                            'id'            => 'rws_about_idea_btn_3_title',
                            'type'          => 'text',
                            'title'         => 'Button 3 Title',
                            'dependency'    => array('rws_about_idea_btn_3_enable', '==', 'true'),
                        ),
                        array(
                            'id'            => 'rws_about_idea_btn_3_url',
                            'type'          => 'text',
                            'title'         => 'Button 3 URL',
                            'dependency'    => array('rws_about_idea_btn_3_enable', '==', 'true'),
                        ),

                    )
                ),
                /* About Idea Section end */

                /* About the IDEA Center Section start */
                array(
                    'name'  => 'about_idea_center_section',
                    'title' => 'About Idea Center Section',
                    'fields'=> array(
                        array(
                            'id'            => 'rws_about_idea_center_enable',
                            'type'          => 'switcher',
                            'title'         => 'About Idea Center Section Enable',
                        ),
                        array(
                            'id'            => 'rws_about_idea_center_title',
                            'type'          => 'textarea',
                            'title'         => 'Title',
                            'dependency'    => array('rws_about_idea_center_enable', '==', 'true') ,
                        ),
                        array(
                            'id'            => 'rws_about_idea_center_desc',
                            'type'          => 'wysiwyg',
                            'title'         => 'Description',
                            'dependency'    => array('rws_about_idea_center_enable', '==', 'true') ,
                        ),
                        array(
                            'id'            => 'rws_about_idea_center_gallery_image_1',
                            'type'          => 'image',
                            'title'         => 'Gallery Image 1',
                            'dependency'    => array('rws_about_idea_center_enable', '==', 'true') ,
                        ),
                        array(
                            'id'            => 'rws_about_idea_center_gallery_image_2',
                            'type'          => 'image',
                            'title'         => 'Gallery Image 2',
                            'dependency'    => array('rws_about_idea_center_enable', '==', 'true') ,
                        ),
                        array(
                            'id'            => 'rws_about_idea_center_gallery_image_3',
                            'type'          => 'image',
                            'title'         => 'Gallery Image 3',
                            'dependency'    => array('rws_about_idea_center_enable', '==', 'true') ,
                        ),
                        array(
                            'id'            => 'rws_about_idea_center_gallery_image_4',
                            'type'          => 'image',
                            'title'         => 'Gallery Image 4',
                            'dependency'    => array('rws_about_idea_center_enable', '==', 'true') ,
                        ),

                    )
                ),
                /* About the IDEA Center Section end */

                /* Key Partners  Section start */
                array(
                    'name'  => 'key_partners_section',
                    'title' => 'Key Partners Section',
                    'fields'=> array(
                        array(
                            'id'            => 'rws_key_partners_enable',
                            'type'          => 'switcher',
                            'title'         => 'Key Partners Section Enable',
                        ),
                        array(
                            'id'            => 'rws_key_partners_section_title',
                            'type'          => 'text',
                            'title'         => 'Section Title',
                            'dependency'    => array('rws_key_partners_enable', '==', 'true') ,
                        ),
                        array(
                            'id'            => 'rws_key_partners_section_desc',
                            'type'          => 'textarea',
                            'title'         => 'Section Description',
                            'dependency'    => array('rws_key_partners_enable', '==', 'true') ,
                        ),
                        array(
                            'id'            => 'notice',
                            'type'          => 'subheading',
                            'content'       => 'Key Partners Logo Collection.',
                            'dependency'    => array('rws_key_partners_enable', '==', 'true') ,
                        ),
                        array(
                            'id'                => 'rws_key_partners_list',
                            'type'              => 'group',
                            'title'             => 'Key Partners List',
                            'button_title'      => 'Add New',
                            'accordion_title'   => 'Add New',
                            'fields'            => array(
                                array(
                                    'id'        => 'key_partners_url',
                                    'type'      => 'text',
                                    'title'     => 'Partners URL',
                                    ),
                                array(
                                    'id'        => 'key_partners_images',
                                    'type'      => 'image',
                                    'title'     => 'Partners Logo Image',
                                    ),

                                ), 
                            'dependency'        => array('rws_key_partners_enable', '==', 'true'),
                        ), // end of page section groups

                        array(
                            'id'            => 'rws_key_partners_contact_btn_enable',
                            'type'          => 'switcher',
                            'title'         => 'Contact Us Button Enable',
                            'dependency'    => array('rws_key_partners_enable', '==', 'true'),
                        ),
                        array(
                            'id'            => 'rws_key_partners_contact_btn_label',
                            'type'          => 'text',
                            'title'         => 'Button Label',
                            'dependency'    => array('rws_key_partners_contact_btn_enable', '==', 'true'),
                        ),
                        array(
                            'id'            => 'rws_key_partners_contact_btn_url',
                            'type'          => 'text',
                            'title'         => 'Button URL',
                            'dependency'    => array('rws_key_partners_contact_btn_enable', '==', 'true'),
                        ),

                    )
                ),
                /* Key Partners Section end */

            ),
        );
        //============== About Page ends =============================/

        //==============  For Contact us Page starts ========================//
        $options[]   = array(
            'id'            => 'rws_contactus_section',
            'title'         => 'Contact Us Section',
            'post_type'     => 'page',
            'context'       => 'normal',
            'priority'      => 'high',
            'sections'      => array(
                /* Team Section start */
                array(
                    'name'  => 'contactus_team_section',
                    'title' => 'Team  Section',
                    'fields'=> array(
                        array(
                            'id'            => 'rws_contactus_team_enable',
                            'type'          => 'switcher',
                            'title'         => 'Our Team  Section Enable',
                        ),
                        array(
                            'id'            => 'rws_contactus_team_title',
                            'type'          => 'textarea',
                            'title'         => 'Title',
                            'dependency'    => array('rws_contactus_team_enable', '==', 'true') ,
                        ),
                        
                        array(
                            'id'            => 'rws_contactus_team_desc',
                            'type'          => 'wysiwyg',
                            'title'         => 'Description',
                            'dependency'    => array('rws_contactus_team_enable', '==', 'true') ,
                        ),
                        array(
                          'id'              => 'rws_contactus_team',
                          'type'            => 'group',
                          'title'           => 'Teams',
                          'button_title'    => 'Add New Team',
                          'accordion_title' => 'Add New Team Member',
                          'dependency'    => array('rws_contactus_team_enable', '==', 'true') ,
                          'fields'          => array(
                            array(
                              'id'    => 'rws_contactus_team_title',
                              'type'  => 'text',
                              'title' => 'Title',
                            ),
                            array(
                              'id'    => 'rws_contactus_team_image',
                              'type'  => 'image',
                              'title' => 'Image',
                            ),
                            array(
                                'id'            => 'rws_contactus_team_degination',
                                'type'          => 'textarea',
                                'title'         => 'Degination',
                            ),
                            array(
                                'id'            => 'rws_contactus_team_phone',
                                'type'          => 'text',
                                'title'         => 'Phone Number',
                            ),
                            array(
                                'id'            => 'rws_contactus_team_email',
                                'type'          => 'text',
                                'title'         => 'Email',
                            ),
                          ),
                        ),
                    )
                ),
                /* Team  Section end */

                /* Contact Details Section start */
                array(
                    'name'  => 'contactus_details_section',
                    'title' => 'Contact Details Section',
                    'fields'=> array(
                        array(
                            'id'            => 'rws_contactus_details_enable',
                            'type'          => 'switcher',
                            'title'         => 'Contact Details  Section Enable',
                        ),
                        // address start
                        array(
                          'type'    => 'notice',
                          'class'   => 'success',
                          'content' => 'Contact Address Details',
                          'dependency'    => array('rws_contactus_details_enable', '==', 'true') ,
                        ),
                        array(
                            'id'            => 'rws_contactus_address_title',
                            'type'          => 'text',
                            'title'         => 'Address Title',
                            'dependency'    => array('rws_contactus_details_enable', '==', 'true') ,
                        ),

                        array(
                            'id'            => 'rws_contactus_address_icon',
                            'type'          => 'icon',
                            'title'         => 'Icon',
                            'dependency'    => array('rws_contactus_details_enable', '==', 'true') ,
                        ),

                        array(
                            'id'            => 'rws_contactus_address_desc',
                            'type'          => 'wysiwyg',
                            'title'         => 'Description',
                            'dependency'    => array('rws_contactus_details_enable', '==', 'true') ,
                        ),
                        
                        // address end

                        // phone field start
                        array(
                          'type'    => 'notice',
                          'class'   => 'success',
                          'content' => 'Contact Phone Details',
                          'dependency'    => array('rws_contactus_details_enable', '==', 'true') ,
                        ),
                        array(
                            'id'            => 'rws_contactus_phone_title',
                            'type'          => 'text',
                            'title'         => 'Phone Title',
                            'dependency'    => array('rws_contactus_details_enable', '==', 'true') ,
                        ),

                        array(
                            'id'            => 'rws_contactus_phone_icon',
                            'type'          => 'icon',
                            'title'         => 'Icon',
                            'dependency'    => array('rws_contactus_details_enable', '==', 'true') ,
                        ),

                        array(
                            'id'            => 'rws_contactus_phone_desc',
                            'type'          => 'wysiwyg',
                            'title'         => 'Description',
                            'dependency'    => array('rws_contactus_details_enable', '==', 'true') ,
                        ),
                        // phone field end

                        // Email field start
                        array(
                          'type'    => 'notice',
                          'class'   => 'success',
                          'content' => 'Contact Email Details',
                          'dependency'    => array('rws_contactus_details_enable', '==', 'true') ,
                        ),
                        array(
                            'id'            => 'rws_contactus_email_title',
                            'type'          => 'text',
                            'title'         => 'Email Title',
                            'dependency'    => array('rws_contactus_details_enable', '==', 'true') ,
                        ),

                        array(
                            'id'            => 'rws_contactus_email_icon',
                            'type'          => 'icon',
                            'title'         => 'Icon',
                            'dependency'    => array('rws_contactus_details_enable', '==', 'true') ,
                        ),

                        array(
                            'id'            => 'rws_contactus_email_desc',
                            'type'          => 'wysiwyg',
                            'title'         => 'Description',
                            'dependency'    => array('rws_contactus_details_enable', '==', 'true') ,
                        ),
                        // phone field end
                    )
                ),
                /* Contact Details  Section end */
            ),
        );
        //============== Contact us ends =============================/

        //==============  For Sponsor Page starts ========================//
        $options[]   = array(
            'id'            => 'rws_sponsor_section',
            'title'         => 'Sponsor Section',
            'post_type'     => 'page',
            'context'       => 'normal',
            'priority'      => 'high',
            'sections'      => array(
                /* Description Section start */

                array(
                    'name'  => 'sponsor_description_section',
                    'title' => 'Description Section',
                    'fields'=> array(
                        array(
                            'id'            => 'sponsor_description_enable',
                            'type'          => 'switcher',
                            'title'         => 'Description Section Enable',
                        ),
                        array(
                            'id'            => 'sponsor_description_title',
                            'type'          => 'textarea',
                            'title'         => 'Title',
                            'dependency'    => array('sponsor_description_enable', '==', 'true') ,
                        ),
                        
                        array(
                            'id'            => 'sponsor_description_desc',
                            'type'          => 'wysiwyg',
                            'title'         => 'Description',
                            'dependency'    => array('sponsor_description_enable', '==', 'true') ,
                        ),

                        array(
                            'id'            => 'sponsor_description_btn_enable',
                            'type'          => 'switcher',
                            'title'         => 'Sponsor Button Enable',
                            'dependency'    => array('sponsor_description_enable', '==', 'true'),
                        ),
                        array(
                            'id'            => 'sponsor_image_btn_label',
                            'type'          => 'text',
                            'title'         => 'Button Label',
                            'dependency'    => array('sponsor_description_btn_enable|sponsor_description_enable', '==|==', 'true|true'),
                        ),
                        array(
                            'id'            => 'sponsor_image_btn_url',
                            'type'          => 'text',
                            'title'         => 'Button URL',
                            'dependency'    => array('sponsor_description_btn_enable|sponsor_description_enable', '==|==', 'true|true'),
                        ),
                        
                    )
                ),
                /* Description  Section end */

                /* Lead Sponsor Section start */

                array(
                    'name'  => 'lead_sponsor_section',
                    'title' => 'Lead Sponsor Section',
                    'fields'=> array(
                        array(
                            'id'            => 'lead_sponsor_section_enable',
                            'type'          => 'switcher',
                            'title'         => 'Lead Sponsor Section Enable',
                        ),
                        array(
                            'id'            => 'lead_sponsor_section_title',
                            'type'          => 'textarea',
                            'title'         => 'Title',
                            'dependency'    => array('lead_sponsor_section_enable', '==', 'true') ,
                        ), 
                        array(
                            'id'            => 'lead_sponsor_no_of_post',
                            'type'          => 'number',
                            'title'         => 'Number Of Post Show',
                            'dependency'    => array('lead_sponsor_section_enable', '==', 'true') ,
                        ), 

                        array(
                          'id'             => 'lead_sponsor_category',
                          'type'           => 'select',
                          'title'          => 'Select Category for Lead Sponsor Section',
                          'options'        => 'categories',
                          'class'           => 'postform', 
                          'query_args'     => array(
                            'type'         => 'sponsor',
                            'taxonomy'     => 'sponsor-category',
                            'orderby'      => 'post_date',
                            'order'        => 'DESC',
                          ),
                          'default_option' => 'Select a category',
                           'dependency'    => array('lead_sponsor_section_enable', '==', 'true') ,
                        ),  
                    )
                ),
                /* Lead Sponsor Section end */

                /* Premier Section start */

                array(
                    'name'  => 'premier_sponsor_section',
                    'title' => 'Premier Sponsor Section',
                    'fields'=> array(
                        array(
                            'id'            => 'premier_sponsor_section_enable',
                            'type'          => 'switcher',
                            'title'         => 'Premier Sponsor Section Enable',
                        ),
                        array(
                            'id'            => 'premier_sponsor_section_title',
                            'type'          => 'textarea',
                            'title'         => 'Title',
                            'dependency'    => array('premier_sponsor_section_enable', '==', 'true') ,
                        ), 
                        array(
                            'id'            => 'premier_sponsor_no_of_post',
                            'type'          => 'number',
                            'title'         => 'Number Of Post Show',
                            'dependency'    => array('premier_sponsor_section_enable', '==', 'true') ,
                        ), 

                        array(
                          'id'             => 'premier_sponsor_category',
                          'type'           => 'select',
                          'title'          => 'Select Category for Premier Sponsor Section',
                          'options'        => 'categories',
                          'class'           => 'postform', 
                          'query_args'     => array(
                            'type'         => 'sponsor',
                            'taxonomy'     => 'sponsor-category',
                            'orderby'      => 'post_date',
                            'order'        => 'DESC',
                          ),
                          'default_option' => 'Select a category',
                           'dependency'    => array('premier_sponsor_section_enable', '==', 'true') ,
                        ),  
                    )
                ),
                /* Premier Sponsor Section end */

                /* Track Section start */

                array(
                    'name'  => 'track_sponsor_section',
                    'title' => 'Track Sponsor Section',
                    'fields'=> array(
                        array(
                            'id'            => 'track_sponsor_section_enable',
                            'type'          => 'switcher',
                            'title'         => 'Track Sponsor Section Enable',
                        ),
                        array(
                            'id'            => 'track_sponsor_section_title',
                            'type'          => 'textarea',
                            'title'         => 'Title',
                            'dependency'    => array('track_sponsor_section_enable', '==', 'true') ,
                        ), 
                        array(
                            'id'            => 'track_sponsor_no_of_post',
                            'type'          => 'number',
                            'title'         => 'Number Of Post Show',
                            'dependency'    => array('track_sponsor_section_enable', '==', 'true') ,
                        ), 

                        array(
                          'id'             => 'track_sponsor_category',
                          'type'           => 'select',
                          'title'          => 'Select Category for Track Sponsor Section',
                          'options'        => 'categories',
                          'class'           => 'postform', 
                          'query_args'     => array(
                            'type'         => 'sponsor',
                            'taxonomy'     => 'sponsor-category',
                            'orderby'      => 'post_date',
                            'order'        => 'DESC',
                          ),
                          'default_option' => 'Select a category',
                           'dependency'    => array('track_sponsor_section_enable', '==', 'true') ,
                        ),  
                    )
                ),
                /* Track Sponsor Section end */

                /* Headline Section start */

                array(
                    'name'  => 'headline_sponsor_section',
                    'title' => 'Headline Sponsor Section',
                    'fields'=> array(
                        array(
                            'id'            => 'headline_sponsor_section_enable',
                            'type'          => 'switcher',
                            'title'         => 'Headline Sponsor Section Enable',
                        ),
                        array(
                            'id'            => 'headline_sponsor_section_title',
                            'type'          => 'textarea',
                            'title'         => 'Title',
                            'dependency'    => array('headline_sponsor_section_enable', '==', 'true') ,
                        ), 
                        array(
                            'id'            => 'headline_sponsor_no_of_post',
                            'type'          => 'number',
                            'title'         => 'Number Of Post Show',
                            'dependency'    => array('headline_sponsor_section_enable', '==', 'true') ,
                        ), 

                        array(
                          'id'             => 'headline_sponsor_category',
                          'type'           => 'select',
                          'title'          => 'Select Category for Headline Sponsor Section',
                          'options'        => 'categories',
                          'class'           => 'postform', 
                          'query_args'     => array(
                            'type'         => 'sponsor',
                            'taxonomy'     => 'sponsor-category',
                            'orderby'      => 'post_date',
                            'order'        => 'DESC',
                          ),
                          'default_option' => 'Select a category',
                           'dependency'    => array('headline_sponsor_section_enable', '==', 'true') ,
                        ),  
                    )
                ),
                /* Headline Sponsor Section end */

                /* Partner Section start */

                array(
                    'name'  => 'partner_sponsor_section',
                    'title' => 'Partner Sponsor Section',
                    'fields'=> array(
                        array(
                            'id'            => 'partner_sponsor_section_enable',
                            'type'          => 'switcher',
                            'title'         => 'Partner Sponsor Section Enable',
                        ),
                        array(
                            'id'            => 'partner_sponsor_section_title',
                            'type'          => 'textarea',
                            'title'         => 'Title',
                            'dependency'    => array('partner_sponsor_section_enable', '==', 'true') ,
                        ), 
                        array(
                            'id'            => 'partner_sponsor_no_of_post',
                            'type'          => 'number',
                            'title'         => 'Number Of Post Show',
                            'dependency'    => array('partner_sponsor_section_enable', '==', 'true') ,
                        ), 

                        array(
                          'id'             => 'partner_sponsor_category',
                          'type'           => 'select',
                          'title'          => 'Select Category for Partner Sponsor Section',
                          'options'        => 'categories',
                          'class'           => 'postform', 
                          'query_args'     => array(
                            'type'         => 'sponsor',
                            'taxonomy'     => 'sponsor-category',
                            'orderby'      => 'post_date',
                            'order'        => 'DESC',
                          ),
                          'default_option' => 'Select a category',
                           'dependency'    => array('partner_sponsor_section_enable', '==', 'true') ,
                        ),  
                    )
                ),
                /* Partner Sponsor Section end */

                /* Member Section start */

                array(
                    'name'  => 'member_sponsor_section',
                    'title' => 'Member Sponsor Section',
                    'fields'=> array(
                        array(
                            'id'            => 'member_sponsor_section_enable',
                            'type'          => 'switcher',
                            'title'         => 'Member Sponsor Section Enable',
                        ),
                        array(
                            'id'            => 'member_sponsor_section_title',
                            'type'          => 'textarea',
                            'title'         => 'Title',
                            'dependency'    => array('member_sponsor_section_enable', '==', 'true') ,
                        ), 
                        array(
                            'id'            => 'member_sponsor_no_of_post',
                            'type'          => 'number',
                            'title'         => 'Number Of Post Show',
                            'dependency'    => array('member_sponsor_section_enable', '==', 'true') ,
                        ), 

                        array(
                          'id'             => 'member_sponsor_category',
                          'type'           => 'select',
                          'title'          => 'Select Category for Member Sponsor Section',
                          'options'        => 'categories',
                          'class'           => 'postform', 
                          'query_args'     => array(
                            'type'         => 'sponsor',
                            'taxonomy'     => 'sponsor-category',
                            'orderby'      => 'post_date',
                            'order'        => 'DESC',
                          ),
                          'default_option' => 'Select a category',
                           'dependency'    => array('member_sponsor_section_enable', '==', 'true') ,
                        ),  
                    )
                ),
                /* Member Sponsor Section end */
            ),
        );
        //============== Sponsor ends =============================/

        //==============  For Host an Event Page starts ========================//
        $options[]   = array(
            'id'            => 'rws_host_an_event_section',
            'title'         => 'Event Section Section',
            'post_type'     => 'page',
            'context'       => 'normal',
            'priority'      => 'high',
            'sections'      => array(
                /* Become a Host Section start */

                array(
                    'name'  => 'host_description_section',
                    'title' => 'Description Section',
                    'fields'=> array(
                        array(
                            'id'            => 'host_description_enable',
                            'type'          => 'switcher',
                            'title'         => 'Description Section Enable',
                        ),
                        array(
                            'id'            => 'host_description_title',
                            'type'          => 'textarea',
                            'title'         => 'Title',
                            'dependency'    => array('host_description_enable', '==', 'true') ,
                        ),
                        array(
                            'id'            => 'host_description_sub_title',
                            'type'          => 'textarea',
                            'title'         => 'Sub Title',
                            'dependency'    => array('host_description_enable', '==', 'true') ,
                        ),
                        
                        array(
                            'id'            => 'host_description_desc',
                            'type'          => 'wysiwyg',
                            'title'         => 'Description',
                            'dependency'    => array('host_description_enable', '==', 'true') ,
                        ),

                        array(
                            'id'            => 'sponsor_description_btn_enable',
                            'type'          => 'switcher',
                            'title'         => 'Sponsor Button Enable',
                            'dependency'    => array('sponsor_description_enable', '==', 'true'),
                        ),
                        
                        
                    )
                ),
                /* Become a Host  Section end */

                /* Event Type Section start */

                array(
                    'name'  => 'event_type_section',
                    'title' => 'Event Type Section',
                    'fields'=> array(
                        array(
                            'id'            => 'event_type_enable',
                            'type'          => 'switcher',
                            'title'         => 'Event Type Section Enable',
                        ),
                        array(
                          'id'              => 'rws_event_type',
                          'type'            => 'group',
                          'title'           => 'Event Type',
                          'button_title'    => 'Add New Event Type',
                          'accordion_title' => 'Add New Event Type',
                          'dependency'    => array('event_type_enable', '==', 'true') ,
                          'fields'          => array(
                            array(
                              'id'    => 'rws_event_type_title',
                              'type'  => 'text',
                              'title' => 'Title',
                            ),
                            array(
                              'id'    => 'rws_event_type_image',
                              'type'  => 'image',
                              'title' => 'Image',
                            ),
                            array(
                                'id'            => 'rws_event_type_desc',
                                'type'          => 'textarea',
                                'title'         => 'Description',
                            ),
                            array(
                                'id'            => 'rws_event_type_link',
                                'type'          => 'text',
                                'title'         => 'Link',
                            ),
                            
                          ),
                        ),
                    )
                ),
                /* Become a Host  Section end */

                
            ),
        );
        //============== Host an Event ends =============================/

        //==============  For Volunteer Page starts ========================//
        $options[]   = array(
            'id'            => 'rws_volunteer_section',
            'title'         => 'Volunteer Section Section',
            'post_type'     => 'page',
            'context'       => 'normal',
            'priority'      => 'high',
            'sections'      => array(
                /* Volunteer Section start */
                array(
                    'name'  => 'volunteer_description_section',
                    'title' => 'Description Section',
                    'fields'=> array(
                        array(
                            'id'            => 'volunteer_description_enable',
                            'type'          => 'switcher',
                            'title'         => 'Description Section Enable',
                        ),
                        array(
                            'id'            => 'volunteer_description_title',
                            'type'          => 'textarea',
                            'title'         => 'Title',
                            'dependency'    => array('volunteer_description_enable', '==', 'true') ,
                        ),
                        array(
                            'id'            => 'volunteer_description_sub_title',
                            'type'          => 'textarea',
                            'title'         => 'Sub Title',
                            'dependency'    => array('volunteer_description_enable', '==', 'true') ,
                        ),
                        
                        array(
                            'id'            => 'volunteer_description_desc',
                            'type'          => 'wysiwyg',
                            'title'         => 'Description',
                            'dependency'    => array('volunteer_description_enable', '==', 'true') ,
                        ), 
                    )
                ),

                /*Volunteer  Section end */

                
            ),
        );
        //============== Host an Event ends =============================/

        //========================//
        $options[]   = array(
            'id'            => 'rws_event_lists_cpt_section',
            'title'         => 'Event Lists CPT Section',
            'post_type'     => 'event-lists',
            'context'       => 'normal',
            'priority'      => 'high',
            'sections'      => array(
                /* Volunteer Section start */
                array(
                    'name'  => 'event_list_meta_section',
                    'title' => '',
                    'fields'=> array(
                        array(
                            'id'            => 'event_sub_title',
                            'type'          => 'wysiwyg',
                            'title'         => 'Event sub Title',
                        ),
                        array(
                            'id'            => 'event_highlight_text',
                            'type'          => 'wysiwyg',
                            'title'         => 'Event Highlight Text',
                        ),
                        array(
                            'id'            => 'event_start_time',
                            'type'          => 'text',
                            'title'         => 'Start Time',
                        ),
                        array(
                            'id'            => 'event_end_time',
                            'type'          => 'text',
                            'title'         => 'End Time',
                        ),
                        array(
                            'id'            => 'event_organizer',
                            'type'          => 'text',
                            'title'         => 'Organizer',
                        ),
                        
                    )
                ),

                /*Volunteer  Section end */

                
            ),
        );
        //============== Host an Event ends =============================/

        return $options;
    }

    add_action('cs_metabox_options', 'rws_metaboxes');