jQuery(document).ready(function ($) {

    var startFrom;
    $('#dayholder').on('init', function () {
        startFrom = $('.active-date').attr('data-slick-index');

        //https://github.com/kenwheeler/slick/issues/1099
        setTimeout(function () {
            $("#dayholder").slick('slickGoTo', parseInt(startFrom));
        }, 50);

    }).slick({
        slidesToShow: 5,
        slidesToScroll: 1,
        infinite: false,
        arrows: true,
        // centerMode: true,
        // centerPadding: '0px',
        // initialSlide: 6,
        responsive: [
            {
                breakpoint: 1030,
                settings: {
                    slidesToShow: 4
                }
            },
            {
                breakpoint: 768,
                settings: {
                    slidesToShow: 3
                }
            },
            {
                breakpoint: 480,
                settings: {
                    slidesToShow: 1
                }
            }
        ]

    });

    $('#calendar').fullCalendar({
        // put your options and callbacks here
        defaultView: 'timelineDay',
        header: false,
        // header: {
        //     left: 'prev',
        //     center: 'title',
        //     right: 'next'
        // },
        slotDuration: '00:60:00',
        slotLabelFormat: 'h(:mm)a',
        contentHeight: 450,
        minTime: '07:00:00', // https://fullcalendar.io/docs/agenda/scrollTime/
        maxTime: '24:00:00', // https://fullcalendar.io/docs/agenda/maxTime/
        // events: [{
        //     title: 'Blood Donation',
        //     start: '2018-01-05T10:30:00',
        //     className: 'testuram'
        // }, {
        //     title: 'Concert Event',
        //     start: '2018-01-04T12:30:00',
        //     end: '2018-01-05T12:30:00'
        // }],
        events: rws_event_obj,
        eventRender: function (event, element) {
            element.qtip({
                content: {
                    title: event.title,
                    text: event.description,
                    button: true
                },
                position: {
                    my: 'top center',  // Position my top left...
                    at: 'bottom center', // at the bottom right of...

                },
                show: {
                    effect: function () {
                        $(this).fadeTo(500, 1);
                    }
                },
                hide: {
                    fixed: true,
                    delay: 100,
                    effect: function () {
                        $(this).slideUp();
                    }
                },
                // style: {
                //     def: false,
                //     classes: 'qtip-light',
                // }

            });
        },
        schedulerLicenseKey: 'GPL-My-Project-Is-Open-Source' //https://fullcalendar.io/scheduler/license/
    });

    // make goto certain date by clicking on dates
    $(document).on('click', '.din', function () {

        var gotoDate = $(this).attr('data-goto');
        $('#calendar').fullCalendar('gotoDate', gotoDate);


        var clickedSlideIndex = $(this).attr('data-slick-index');
        $("#dayholder").slick('slickGoTo', parseInt(clickedSlideIndex));

        $('.din').removeClass('slick-current');
        $(this).addClass('slick-current');
    });

    // make slider move back by clicking on fullcalendar left button
    // $(document).on('click', '.fc-left', function () {
    //     //$("#dayholder").slick( 'slickPrev' );
    //     var prevSlideIndex = $('.slick-current').attr('data-slick-index') - 1;
    //     console.log(prevSlideIndex);
    //     $("#dayholder").slick('slickGoTo', parseInt(prevSlideIndex));
    // });

    // // make slider move forward by clicking on fullcalendar right button
    // $(document).on('click', '.fc-right', function () {
    //     // $("#dayholder").slick( 'slickNext' );
    //     var nextSlideIndex = parseInt($('.slick-current').attr('data-slick-index'));
    //     console.log('==>' + nextSlideIndex);
    //     $("#dayholder").slick('slickGoTo', parseInt(nextSlideIndex));

    // });

    // sync the active when clicked on the slick element itself.
    // $('#dayholder').on('afterChange', function(event, slick, currentSlide, nextSlide){
    //      console.log('currentindex=>' + currentSlide);
    // });


    $('#dayholder').on('afterChange', function(event, slick, currentSlide, nextSlide){
        
        var gotoDate = $('.slick-current').attr('data-goto');
        $('#calendar').fullCalendar('gotoDate', gotoDate);
    });
    
    // On edge hit
    // $('#dayholder').on('edge', function(event, slick, direction){
    //     console.log('edge was hit' +  direction)

    // });

});
