<?php
	get_header();

	global $rws_options;
	the_post();
	$event_meta			= 	get_post_meta( get_the_id (), 'rws_event_lists_cpt_section', true );
	$event_date 		= 	get_post_meta( get_the_id (), 'event_date', true );
	$location 			= 	get_post_meta( get_the_id (), 'location', true );

	$categories 		= 	wp_get_post_terms(get_the_id(), 'event-lists-category' );
	//debugger( $categories );
?>
	<div id="content" class="site-content">
	    <div id="primary" class="content-area">
	        <main id="main" class="site-main" role="main">
	            <section class="events-detail-wrapper" style="background: url(<?php echo get_template_directory_uri(); ?>/images/events-bg-img.jpg) no-repeat fixed;">
	                <div class="container">
	                    <article class="event-info">
	                        <ul>
	                        	<?php if( $event_date ): ?>
		                            <li>
		                                <img src="<?php echo get_template_directory_uri(); ?>/images/event-calender.png" alt="image-icon"><?php echo  date('M d, Y', $event_date ); ?>
		                            </li>
	                        	<?php endif; ?>

	                        	<?php if( $event_meta['event_start_time'] || $event_meta['event_end_time'] ): ?>
		                            <li>
		                                <img src="<?php echo get_template_directory_uri(); ?>/images/event-time.png" alt="image-icon"> <?php echo $event_meta['event_start_time'] ?> - <?php echo $event_meta['event_end_time']; ?>
		                            </li>
	                            <?php endif; ?>

	                            <?php if( $location ): ?>
		                            <li>
		                                <img src="<?php echo get_template_directory_uri(); ?>/images/event-location.png" alt="image-icon"> <?php echo $location ?>
		                            </li>
								<?php endif; ?>

								<?php if( $event_meta['event_organizer'] ): ?>
		                            <li>
		                                <img src="<?php echo get_template_directory_uri(); ?>/images/event-speaker.png" alt="image-icon"> <?php echo $event_meta['event_organizer']; ?>
		                            </li>
                            	<?php endif; ?>

                            	<?php if( 0 < count( $categories ) ): ?>
	                            	<li><img src="<?php echo get_template_directory_uri(); ?>/images/event-note.png" alt="image-icon"><?php echo $categories[0]->name; ?></li>
	                            <?php endif; ?>
	                        </ul>
	                        <?php if( $event_meta['event_sub_title'] ):  ?>
		                        <header class="entry-header">
		                            <h3 class="entry-title">
		                               <?php echo $event_meta['event_sub_title'] ; ?>
		                            </h3>
		                        </header>
		                    <?php endif; ?>

		                    <?php if( $event_meta['event_highlight_text'] ):  ?>
		                        <div class="highlight-text">
		                        	 <?php echo wpautop( $event_meta['event_highlight_text'] ); ?>
		                        </div>
	                        <?php endif; ?>
	                        <div class="entry-content">
	                            <?php the_content(); ?>
	                        </div>
	                    </article>
	                    <!-- .team-item-wrapper -->
	                </div>
	            </section>
	            <!-- .team-wrapper -->
	            <section class="signup-section">
	                <div class="container">
	                    <div class="signup-content">
	                        <header class="section-header">
	                            <h2 class="section-title">Sign Up for New Event Updates and Announcements</h2>
	                            <svg version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="340px" height="114px" viewBox="0 0 84.2 32.432" enable-background="new 0 0 84.2 32.432" xml:space="preserve">
	                                    <path class="line-effect" fill="none" stroke="#F15C5C" stroke-width="0.245" stroke-linecap="round" stroke-linejoin="round" d="M8.828,10.393
	                                    C12.576,14.274-0.59,18,0.153,18.77c0,0,6.323-10.884,9.07-8.04c1.49,1.544-10.375,6.592-8.663,8.365
	                                    C11.466,30.388,17.837-8.237,27.538,1.807c0,0-26.249,9.304-18.232,17.607c1.716,1.777,19.675-14.461,19.675-14.461
	                                    C33.56,9.693,14.77,18.676,14.77,18.676C20.123,24.22,30.323,7.594,30.323,7.594L18.586,18.927
	                                    c3.431,3.553,9.052-8.748,14.099-3.522L24.9,22.924c4.057,4.2,8.064-7.048,11.498-3.491L25.968,29.506
	                                    c0,0,10.266-16.288,16.998-9.316c6.152,6.37-15.323,4.232-10.043,9.699c1.002,1.038,14.189-9.965,14.189-9.965
	                                    c3.248,3.363-12.196,8.093-10.354,9.999c6.968,7.217,18.526-10.118,18.526-10.118s-12.012,9.297-10.861,10.489
	                                    c1.941,2.01,9.119-16.304,14.061-11.187c0.804,0.833-12.059,11.167-11.82,11.415c4.629,4.793,11.875-19.369,19.154-11.832
	                                    l-13.18,12.729c5.835,6.04,30.698-20.633,30.698-20.633S60.085,26.438,63.482,29.958c3.714,3.846,14.452-17.912,18.858-13.35
	                                    c0,0-16.212,11.407-14.089,13.605c0,0,9.219-13.566,15.004-7.576c4.431,4.589-10.623,5.21-8.1,7.822
	                                    c2.398,2.483,6.044-6.989,7.575-5.402c2.409,2.493-6.223,4.75-5.593,5.401c1.384,1.435,4.741-7.52,6.418-5.783
	                                    c0.478,0.495-6.145,5.934-6.145,5.934c1.947,2.018,5.644-0.038,5.644-0.038s-0.158,0.044-0.103,0.1
	                                    c0.123,0.128,0.818-0.087,0.985,0.085l-0.794,0.768"/>
	                                  </svg>
	                        </header>

	                        <form id="mc4wp-form-1" class="mc4wp-form mc4wp-form-35" method="post" data-id="35" data-name="Mailchimp Form">
	                            <div class="mc4wp-form-fields">
	                                <p class="mc4wp-input-box">
	                                    <input value="" placeholder="Enter your name" name="FNAME" class="mc4wp-input-effect" type="text" required>
	                                    <span class="animationBar"></span>
	                                </p>
	                                <p class="mc4wp-input-box">
	                                    <input value="" placeholder="Enter your email" name="EMAIL" class="mc4wp-input-effect" type="email" required>
	                                    <span class="animationBar"></span>
	                                </p>
	                                <p class="signup-button box-button">
	                                    <input value="SIGN UP" name="" type="submit">
	                                </p>


	                                <div style="display: none;">
	                                    <input name="_mc4wp_honeypot" value="" tabindex="-1" autocomplete="off" type="text">
	                                </div>
	                                <input name="_mc4wp_timestamp" value="1510121396" type="hidden">
	                                <input name="_mc4wp_form_id" value="35" type="hidden">
	                                <input name="_mc4wp_form_element_id" value="mc4wp-form-1" type="hidden">
	                            </div>
	                            <div class="mc4wp-response"></div>
	                        </form>
	                    </div>
	                </div>
	            </section>
	        </main>
	        <!-- #main -->
	    </div>
	    <!-- #primary -->
	</div>
	<!-- #content -->
<?php
	get_footer();