<?php
/**
 * Template Name: Espresso Events list
 *
 */
get_header();
global $rws_options;

// set attributes for the espresso events query as below
$attributes = array(
	'order_by' => 'start_date',
	'limit'    => ( $rws_options['espresso_ppp'] ) ? $rws_options['espresso_ppp'] : '15',
	'paged'    => $paged = ( get_query_var( 'paged' ) ) ? absint( get_query_var( 'paged' ) ) : 1
);

// check if there is searched params to deal with
if ( isset( $_GET['topic'] ) && $_GET['topic'] ) {
	$ip_topic        = $_GET['topic'];
	$attributes['s'] = $ip_topic;
} else {
	$ip_topic = '';
}

if ( isset( $_GET['event_type'] ) && $_GET['event_type'] ) {
	$ip_category                 = $_GET['event_type'];
	$attributes['category_slug'] = $ip_category;
} else {
	$ip_category = '';
}

if ( isset( $_GET['location'] ) && $_GET['location'] ) {
	$attributes['limit'] = -1;
	$ip_location = $_GET['location'];

	// for location create an array to later check for the array intersection
	$ip_location_arr = explode( ' ', $ip_location );

} else {
	$ip_location = '';
}

?>
    <style>
        .location-matched-false {
            display: none;
        }
    </style>
    <div id="content" class="site-content">
        <div id="primary" class="content-area">
            <main id="main" class="site-main" role="main">
                <section class="event-list-wrapper">
                    <div class="event-container-wrapp">
                        <div class="container">
                            <div class="event-filter-wrapper">
                                <div role="form" class="wpcf7" id="wpcf7-f100-o1" dir="ltr" lang="en-US">
                                    <form class="wpcf7-form" method="get"
                                          action="<?php // echo esc_url( home_url( '/espresso-events-list' ) ); ?>">
                                        <p class="topic-section">
                                            <i class="fa fa-bars" aria-hidden="true"></i>
                                            <span class="wpcf7-form-control-wrap name">
	            							<input name="topic" value="<?php echo $ip_topic; ?>" class=""
                                                   placeholder="All Topics" type="text">
	            						</span>
                                        </p>
                                        <p class="type-section">
                                            <i class="fa fa-bars" aria-hidden="true"></i>
                                            <span class="wpcf7-form-control-wrap name">
	            							<select name="event_type">
	            								<option value="">--Select Category--</option>
									            <?php
									            $event_cats = get_terms( array( 'taxonomy' => 'espresso_event_categories' ) );
									            foreach ( $event_cats as $event_cat ) { ?>
                                                    <option value="<?php echo $event_cat->slug ?>" <?php selected( $event_cat->slug, $ip_category, true ); ?>><?php echo $event_cat->name ?></option>
									            <?php } ?>
	            							</select>
                                            <!--<input name="name" value="" class="" placeholder="All Types" type="text">-->
	            						</span>
                                        </p>
                                        <p class="location-section">
                                            <i class="fa fa-map-marker" aria-hidden="true"></i>
                                            <span class="wpcf7-form-control-wrap name">
	            							<input name="location" value="<?php echo $ip_location; ?>" class=""
                                                   placeholder="Location" type="text">
	            						</span>
                                        </p>
                                        <p class="search-btn-wrapper">
                                            <input type="submit" class="search-btn" value="Filter">
                                        </p>
                                        <input type="hidden" name="action"
                                               value="<?php echo md5( 'idea-week-filter-event' ) ?>">
                                    </form>
                                </div>
                            </div>
                            <!-- .event-filter-wrapper -->
                        </div>
                    </div>
                    <div class="container">
						<?php

						use EventEspresso\core\domain\services\wp_queries\EventListQuery;
						$wp_query    = new EventListQuery( $attributes );
						$event_lists = $wp_query;
						// $event_lists = new WP_Query( $args );
						if ( $event_lists->have_posts() ) {
							$previous_event_date = '';
							while ( $event_lists->have_posts() ) {

								$event_lists->the_post();

								$location         = espresso_venue_name( 0, '', false );
								$location_matched = ''; // just set this $location matched variable here for simplify

								// only do this if there is filter by location
								if ( $ip_location && $location != "" ) {

									// since the location comes with html <span> markup
									// need regex to only find the text
									$re = '/<span(.*)>(.*)<\/span>/';
									preg_match_all( $re, $location, $matches, PREG_SET_ORDER, 0 );

									$location_arr       = explode( ' ', $matches[0][2] ); // explode the string to convert into array for comparing the values
									$location_intersect = array_uintersect( $location_arr, $ip_location_arr, "strcasecmp" );

									// now set class to hide the unmatched location events
									if ( empty( $location_intersect ) ) {
										$location_matched = 'location-matched-false';
									}
								} elseif( $ip_location && $location == "" ) {
									$location_matched = 'location-matched-false';
                                }

								// https://eventespresso.com/topic/get-event-start-date-when-looping-through-events/
								$x           = $post->EE_Event->first_datetime();
								$event_start = strtotime( $x->start_date( 'Y-m-d\TH:i:s' ) );

								$current_event_date = date( "Y-m-d", $event_start );
								?>
								<?php if ( ! check_similar_date( $previous_event_date, $current_event_date ) ): ?>
                                    <div class="event-list-date">
                                        <div class="list-date">
											<?php echo date( "M", $event_start ); ?>
                                            <span><?php echo date( "d", $event_start ); ?></span>
                                        </div>
										<?php echo date( "l", $event_start ); ?>
                                        <!--Year: --><?php //echo date( "Y", $event_start ); ?>
                                    </div>
									<?php
									$previous_event_date = $current_event_date;
								endif; ?>

                                <div class="list-category-wrapper <?php echo $location_matched; ?>">
                                    <div class="event-list-heading">
                                        <div class="custom-col-8">
                                            <header class="entry-header">
                                                <h4 class="entry-title">Events</h4>
                                            </header>
                                        </div>
                                        <div class="custom-col-2">
                                            <header class="entry-header">
                                                <h4 class="entry-title">Location </h4>
                                            </header>
                                        </div>
                                        <div class="custom-col-2">
                                            <header class="entry-header">
                                                <h4 class="entry-title">Type</h4>
                                            </header>
                                        </div>
                                    </div>
                                    <!-- .event-list-heading -->

                                    <div class="row event-list-item">
                                        <div class="custom-col-8">
                                            <article>
                                                <figure>
													<?php
													if ( has_post_thumbnail( get_the_id() ) ) {
														the_post_thumbnail( 'event-list-thumb' );
														?>
													<?php } else { ?>
                                                        <img src="<?php echo get_template_directory_uri() ?>/images/idea-week-no-thumb.jpg"
                                                             alt="list-image">
													<?php } ?>

                                                    <figcaption>
                                                        <header class="entry-header">
                                                            <h3 class="entry-title"> <?php the_title(); ?> </h3>
                                                        </header>
                                                        <div class="entry-content">
                                                            <p><?php echo rws_limit_words( get_the_content(), 25 ); ?></p>
                                                            <a href="<?php the_permalink(); ?>"
                                                               class="box-button">Read More</a>
                                                        </div>
                                                    </figcaption>
                                                </figure>
                                            </article>
                                        </div>
                                        <div class="custom-col-2 testuram">
											<?php
											// $location = espresso_venue_name( 0, '', false );
											if ( $location ): ?>
                                                <ul>
                                                    <li>
                                                    <span class="icon-circle">
                                                        <i class="fa fa-map-marker"
                                                           aria-hidden="true"></i>
                                                    </span>
                                                        <span class="info">
                                                        <?php echo $location; ?>
                                                    </span>
                                                    </li>
                                                </ul>
											<?php endif; ?>
                                        </div>
                                        <div class="custom-col-2">
											<?php
											$terms = get_the_terms( $post, 'espresso_event_categories' );
											if ( $terms ):
												?>
                                                <ul>
                                                    <li>
                                                    <span class="icon-circle">
                                                        <i class="fa fa-briefcase"
                                                           aria-hidden="true"></i>
                                                    </span>
                                                        <span class="info">
                                                        <?php foreach ( $terms as $term ): ?>
                                                            <a href="<?php echo get_term_link( $term ) ?>"><?php echo $term->name; ?></a>
                                                        <?php endforeach; ?>
                                                    </span>
                                                    </li>
                                                </ul>
											<?php endif; ?>
                                        </div>
                                    </div>
                                    <!-- .event-list-item -->

                                </div> <!-- .list-category-wrapper-->


								<?php
							} // endwhile
							espresso_pagination();
							wp_reset_query();
							wp_reset_postdata();
						} else {
						    echo '<h2>No Events found! Please try with more specific words or try filtering by available category.</h2>';
                        }
						 ?>
                    </div>
                </section>
            </main>
        </div>
    </div>
    <script type="text/javascript">
        jQuery( '.location-matched-false' ).prev('.event-list-date').hide();
    </script>
<?php
get_footer();
