<?php
/**
* Template Name: Host a Event page template
*
*/
	get_header();
	the_post();

	global $rws_options;
	$host_event_meta				=	 get_post_meta( get_the_id (), 'rws_host_an_event_section', true );

	$host_description_enable 		=	 $host_event_meta['host_description_enable'];
	$host_description_title 		=	 $host_event_meta['host_description_title'];
	$host_description_sub_title 	=	 $host_event_meta['host_description_sub_title'];
	$host_description_desc 			=	 $host_event_meta['host_description_desc'];
	$event_type_enable 				=	 $host_event_meta['event_type_enable'];
	$rws_event_types				=	 $host_event_meta['rws_event_type'];

	
?>
	<div id="content" class="site-content">
	    <div id="primary" class="content-area">
	        <main id="main" class="site-main" role="main">
				<?php if( 1== $host_description_enable || 1== $event_type_enable ): ?>
		            <section class="main-event-wrapper" style="background: url(<?php echo get_template_directory_uri(); ?>/images/eventbg-img.jpg) no-repeat fixed; background-size: cover; ">
		                <div class="event-section-wrapper">
		                    <div class="container">
		                    	<?php if( 1== $host_description_enable ): ?>
			                        <header class="section-header">
			                        	<?php if( $host_description_title ): ?> 
			                            	<h2 class="section-title"><?php echo $host_description_title; ?></h2>
			                            <?php endif;?>
			                            <svg version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
			                                width="340px" height="114px" viewBox="0 0 84.2 32.432" enable-background="new 0 0 84.2 32.432" xml:space="preserve">
			                                <path class="line-effect" fill="none" stroke="#F15C5C" stroke-width="0.245" stroke-linecap="round" stroke-linejoin="round" d="M8.828,10.393
			                                C12.576,14.274-0.59,18,0.153,18.77c0,0,6.323-10.884,9.07-8.04c1.49,1.544-10.375,6.592-8.663,8.365
			                                C11.466,30.388,17.837-8.237,27.538,1.807c0,0-26.249,9.304-18.232,17.607c1.716,1.777,19.675-14.461,19.675-14.461
			                                C33.56,9.693,14.77,18.676,14.77,18.676C20.123,24.22,30.323,7.594,30.323,7.594L18.586,18.927
			                                c3.431,3.553,9.052-8.748,14.099-3.522L24.9,22.924c4.057,4.2,8.064-7.048,11.498-3.491L25.968,29.506
			                                c0,0,10.266-16.288,16.998-9.316c6.152,6.37-15.323,4.232-10.043,9.699c1.002,1.038,14.189-9.965,14.189-9.965
			                                c3.248,3.363-12.196,8.093-10.354,9.999c6.968,7.217,18.526-10.118,18.526-10.118s-12.012,9.297-10.861,10.489
			                                c1.941,2.01,9.119-16.304,14.061-11.187c0.804,0.833-12.059,11.167-11.82,11.415c4.629,4.793,11.875-19.369,19.154-11.832
			                                l-13.18,12.729c5.835,6.04,30.698-20.633,30.698-20.633S60.085,26.438,63.482,29.958c3.714,3.846,14.452-17.912,18.858-13.35
			                                c0,0-16.212,11.407-14.089,13.605c0,0,9.219-13.566,15.004-7.576c4.431,4.589-10.623,5.21-8.1,7.822
			                                c2.398,2.483,6.044-6.989,7.575-5.402c2.409,2.493-6.223,4.75-5.593,5.401c1.384,1.435,4.741-7.52,6.418-5.783
			                                c0.478,0.495-6.145,5.934-6.145,5.934c1.947,2.018,5.644-0.038,5.644-0.038s-0.158,0.044-0.103,0.1
			                                c0.123,0.128,0.818-0.087,0.985,0.085l-0.794,0.768"/>
			                            </svg>

			                            <?php if( $host_description_sub_title ): ?>
			                            	<h3 class="section-subtitle"><?php echo $host_description_sub_title; ?></h3>
			                            <?php endif;?>

			                            <?php if( $host_description_desc ): ?>
			                            	<p><?php echo $host_description_desc; ?></p>
			                             <?php endif; ?>
			                        </header>
		                    	<?php endif;?>
		                    	<?php if( 1== $event_type_enable ): ?>
			                        <div class="event-item-wrapper">
			                        	<?php foreach( $rws_event_types as $rws_event_type): ?>
			                        		<?php $host_images = rws_image_src ( array ( 'id' => $rws_event_type['rws_event_type_image'], 'size' => 'host-event-thumb' ) ); ?>
				                            <div class="event-item">
				                                <figure class="featured-image">
				                                    <img src="<?php echo $host_images; ?>" alt="">
				                                </figure>
				                                <div class="event-content">
				                                    <h3 class="entry-title">
				                                        <a href="<?php echo $rws_event_type['rws_event_type_link']; ?>"><?php echo $rws_event_type['rws_event_type_title']; ?></a>
				                                    </h3>
				                                    <p><?php echo $rws_event_type['rws_event_type_desc']; ?></p>
				                                </div>
				                            </div>
			                        	<?php endforeach; ?>
			                        </div>
		                    	<?php endif; ?>
		                    </div>
		                </div>

		                <section class="event-form-wrapper">
		                    <div class="container">
		                        <div class="host-form-section"><?php echo get_the_content(); ?></div>
		                    </div>
		                </section>
		                
		            </section>
		        <?php endif; ?>
	            
	        </main><!-- #main -->
	    </div><!-- #primary -->
	</div><!-- #content -->
<?php 
	get_footer();