<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package RWS_IW
 */

get_header();

$meta = get_post_meta( get_the_id(), 'common_heading', true );

// ***************************************** only for single event page only ************************************
// cannot use single-espresso_events.php file because the espresso ticket system only appeared in single.php file
if ( is_singular( 'espresso_events' ) ) {
	$x                = $post->EE_Event->first_datetime();
	$event_start_date = strtotime( $x->start_date( 'Y-m-d\TH:i:s' ) );
	$event_end_date   = strtotime( $x->end_date( 'Y-m-d\TH:i:s' ) );

	$location = espresso_venue_name( 0, '', false );

	$categories = wp_get_post_terms( get_the_id(), 'espresso_event_categories' );
}
// ***************************************** only for single event page only ************************************

?>
    <div id="content" class="site-content">
        <div id="primary" class="content-area">
            <main id="main" class="site-main" role="main">
                <section class="archive-page-section">
                    <div class="container">
						<?php while ( have_posts() ) :
						the_post(); ?>

                        <article class="event-info">
                            <!--********************************* only for single event page only *******************-->
                            <?php if ( is_singular( 'espresso_events' ) ) { ?>
                            <ul>
								<?php if ( $event_start_date ): ?>
                                    <li>
                                        <img src="<?php echo get_template_directory_uri(); ?>/images/event-calender.png"
                                             alt="image-icon"><?php echo date( 'M d, Y', $event_start_date ); ?>
                                    </li>
								<?php endif; ?>

								<?php if ( $event_start_date ): ?>
                                    <li>
                                        <img src="<?php echo get_template_directory_uri(); ?>/images/event-time.png"
                                             alt="image-icon"> <?php echo date( 'g:i a', $event_start_date ); ?>
                                        - <?php echo date( 'g:i a', $event_end_date ); ?>
                                    </li>
								<?php endif; ?>

								<?php if ( $location ): ?>
                                    <li>
                                        <img src="<?php echo get_template_directory_uri(); ?>/images/event-location.png"
                                             alt="image-icon"> <?php echo $location ?>
                                    </li>
								<?php endif; ?>

								<?php if ( 0 < count( $categories ) ): ?>
                                    <li><img src="<?php echo get_template_directory_uri(); ?>/images/event-note.png"
                                             alt="image-icon"><?php echo $categories[0]->name; ?></li>
								<?php endif; ?>
                            </ul>
                            <?php } ?>
                            <!--********************************* only for single event page only *******************-->

                            <header class="entry-header">
								<?php
								the_title( '<h1 class="entry-title">', '</h1>' );
								?>
                            </header><!-- .entry-header -->

                            <div class="entry-content">
								<?php
								the_content( sprintf(
									wp_kses(
									/* translators: %s: Name of current post. Only visible to screen readers */
										__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'rws-iw' ),
										array(
											'span' => array(
												'class' => array(),
											),
										)
									),
									get_the_title()
								) );

								wp_link_pages( array(
									'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'rws-iw' ),
									'after'  => '</div>',
								) );
								?>
                            </div><!-- .entry-content -->
                        </article>
                    </div>

                    <div class="container">
						<?php
						//get_template_part( 'template-parts/content', get_post_format() );
						//the_post_navigation();
						// If comments are open or we have at least one comment, load up the comment template.
						if ( comments_open() || get_comments_number() ) :
							comments_template();
						endif;
						?>
                    </div>
					<?php endwhile; // End of the loop. ?>
                </section>

            </main>
        </div>
    </div>
<?php
get_footer();