<?php 
/**
* Template Name: Landingpage Template
*
*/
get_header();
global $rws_options;
//do_action( 'rws_video_list' );
$landingpage_meta			= get_post_meta( get_the_id (), 'rws_landingpage_section', true );
/*echo "<pre>";
print_r($landingpage_meta);
echo "</pre>";*/
$landing_page_logo          = $rws_options['landing_page_logo'];

$rws_countdown_enable       = $landingpage_meta['rws_countdown_enable'];
$countdown_sec_title        = $landingpage_meta['countdown_sec_title'];
$countdown_content          = $landingpage_meta['countdown_content'];
$countdown_bg_image         = $landingpage_meta['countdown_bg_image'];

$rws_happening_here_enable  = $landingpage_meta['rws_happening_here_enable'];
$happening_here_title       = $landingpage_meta['happening_here_title'];
$happening_here_subtitle    = $landingpage_meta['happening_here_subtitle'];
$happening_here_list        = $landingpage_meta['happening_here_list'];
$happening_here_image_list  = $landingpage_meta['happening_here_image_list'];

$rws_about_us_enable        = $landingpage_meta['rws_about_us_enable'];
$about_us_title             = $landingpage_meta['about_us_title'];
$about_us_desc              = $landingpage_meta['about_us_desc'];
$about_us_list              = $landingpage_meta['about_us_list'];

$rws_newsletter_enable      = $landingpage_meta['rws_newsletter_enable'];
$newsletter_title           = $landingpage_meta['newsletter_title'];
$newsletter_desc            = $landingpage_meta['newsletter_desc'];
$newsletter_bg_image        = $landingpage_meta['newsletter_bg_image'];

?>

<header id="masthead" class="site-header header">
    <?php
    if( $countdown_bg_image ){
        $bg_image_src =  rws_image_src ( array ( 'id' => $countdown_bg_image, 'size' => 'full' ) );
    } else {
        $bg_image_src = get_stylesheet_directory_uri().'/images/banner-img.jpg';
    }
    ?>
    <div class="hgroup-wrap" style="background: url(<?php echo $bg_image_src; ?>); background-repeat: repeat; background-position-x: 0%; background-position-y: 0%; text-align: center; background-repeat: no-repeat; position: relative; background-position: 50%;">
        <div class="container">
            <div class="site-branding">
                <div class="site-branding">
                    <?php 
                        $site_logo_id   = get_theme_mod( 'custom_logo' );
                        $site_logo_url  = rws_image_src ( array ( 'id' => $site_logo_id, 'size' => 'full' ) );
                        $landing_logo_url  = rws_image_src ( array ( 'id' => $landing_page_logo, 'size' => 'full' ) );
                    ?>
                    <a href="<?php echo home_url(); ?>">
                        <?php if( $landing_page_logo ) { ?>
                            <img src="<?php echo esc_url( $landing_logo_url );?>" alt="<?php echo get_bloginfo('name');?>" title="<?php echo get_bloginfo('name');?>" >
                        <?php } elseif ( $site_logo_url ) { ?>
                            <img src="<?php echo esc_url( $site_logo_url );?>" alt="<?php echo get_bloginfo('name');?>" title="<?php echo get_bloginfo('name');?>" >
                        <?php } else {
                            echo '<h1>'.get_bloginfo('name').'</h1>';
                        } ?>
                    </a>
                </div><!-- .site-branding -->
            </div><!-- .site-branding -->
        
            <?php if( 1 == $rws_countdown_enable  ): ?>                
                <section class="date-information">
                    <h2 class="entry-title"><?php echo $countdown_sec_title; ?></h2>
                    <div class="date-information-wrap">
                        <?php echo do_shortcode( $countdown_content ); ?>
                    </div>
                </section>
            <?php endif; ?>
        </div><!-- .container -->
    </div>
</header><!-- #masthead -->

<div id="content" class="site-content">
    <div id="primary" class="content-area">
        <main id="main" class="site-main" role="main">
            <!-- Start Happening Here -->
            <?php if( 1 == $rws_happening_here_enable ): ?>
                <section class="text-slider-section">
                    <div class="text-wrapper">
                        <h2 class="entry-title"><?php echo $happening_here_title; ?></h2>
                        <div class="text-wrap">
                            <h3><?php echo $happening_here_subtitle;?></h3>
                        </div>
                    </div>
                    <div class="slider-content-wrapper">
                        <div class="text-slider-wrap">
                            <div id="owl-slider-demo" class="owl-carousel owl-theme">
                                <?php foreach ($happening_here_image_list as $key => $value): 
                                    $happening_img_list_id   = $value['happening_here_bg_image'];
                                    $happening_img_list_src  = rws_image_src ( array ( 'id' => $happening_img_list_id, 'size' => 'full' ) );
                                ?>
                                    <div class="slider-content">
                                        <img src="<?php echo $happening_img_list_src;?>">
                                    </div>
                                <?php endforeach; ?>
                            </div>
                        </div>
                    </div>
                </section>  
            <?php endif; ?>
            <!-- Ends Happening Here -->

            <!-- Start About Us -->
            <?php if( 1 == $rws_about_us_enable ): ?>
                <section class="idea-section">
                    <div class="container">
                        <h2 class="entry-title"><?php echo ($about_us_title) ? $about_us_title : 'What is IDEA Week?'; ?></h2>
                        <div class="section-information">
                            <?php echo wpautop( $about_us_desc );?>
                        </div>
                        <div class="idea-item-wrapper">
                            <?php 
                            if( !empty( $about_us_list )):
                                foreach ($about_us_list as $key => $value): 
                                    $about_us_id   = $value['about_us_list_image'];
                                    $about_us_src  = rws_image_src ( array ( 'id' => $about_us_id, 'size' => 'thumbnail' ) );
                                ?>
                                    <div class="idea-item">
                                        <a href="#">
                                            <figure class="idea-icon" style="background-color: <?php echo $value['about_us_list_color']; ?>">
                                                <img src="<?php echo $about_us_src; ?>" alt="">
                                                <h4><?php echo $value['about_us_list_title'];?></h4>
                                            </figure>
                                        </a>
                                    </div>
                                <?php endforeach; 
                            endif;
                            ?>
                        </div>
                    </div>
                </section>
            <?php endif;?>
            <!-- Ends About Us -->

            <!-- start Newsletter -->
            <?php if( 1 == $rws_newsletter_enable ): ?>
                <section class="sign-up-section">
                    <div class="overley"></div>
                    <div class="container">
                        <h2 class="entry-title"><?php echo ( $newsletter_title ) ? $newsletter_title : 'Sign Up For New Event Updates Or More!' ?></h2>
                        <div class="sign-up-form">
                            <?php echo $newsletter_desc; ?>
                        </div>
                    </div>
                </section>
            <?php endif; ?>
            <!-- ends newsletter -->

        </main><!-- #main -->
    </div><!-- #primary -->
</div><!-- #content -->

<?php 
    global $rws_options;

    $rws_social_media_enable    = $rws_options['rws_social_media_enable'];
    $social_media_title         = $rws_options['social_media_title'];
?>
<footer id="colophon" class="site-footer">
    <div class="container">
      <?php if( 1 == $rws_social_media_enable ): ?>
        <div class="inline-social-icon">
          <h2 class="entry-title"><?php echo $social_media_title; ?></h2>
          <?php
            $args = array(
              'theme_location' => 'social-media',
              'menu' => '',
              'container' => 'div',
              'container_class' => '',
              'container_id' => '',
              'menu_class' => '',
              'menu_id' => '',
              'echo' => true,
              'fallback_cb' => '',
              'before' => '',
              'after' => '',
              'link_before' => '',
              'link_after' => '',
              'items_wrap' => '<ul id = "%1$s" class = "%2$s">%3$s</ul>',
              'depth' => 0,
              'walker' => ''
            );          
            echo wp_nav_menu( $args ); ?>
        </div>
      <?php endif; ?>
      <section class="site-generator"> <!-- site-generator starting from here -->
        <p class="footer-info">
          <?php echo $rws_options['site_before_copyright']; ?>
        </p>
        <span class="copy-right"><?php echo $rws_options['site_copyright']; ?></span>
      </section>
    </div>
</footer><!-- .site-footer -->

<?php get_footer();