<?php
/**
 * Template for listing Espresso events Archive
 *
 */
get_header();

?>
	<div id="content" class="site-content">
		<div id="primary" class="content-area">
			<main id="main" class="site-main" role="main">
				<section class="event-list-wrapper">

					<div class="container">
						<?php

						if ( have_posts() ) {
							$previous_event_date = '';
							while ( have_posts() ) {

								the_post();

								$location         = espresso_venue_name( 0, '', false );

								// https://eventespresso.com/topic/get-event-start-date-when-looping-through-events/
								$x           = $post->EE_Event->first_datetime();
								$event_start = strtotime( $x->start_date( 'Y-m-d\TH:i:s' ) );

								$current_event_date = date( "Y-m-d", $event_start );
								?>
								<?php if ( ! check_similar_date( $previous_event_date, $current_event_date ) ): ?>
									<div class="event-list-date">
										<div class="list-date">
											<?php echo date( "M", $event_start ); ?>
											<span><?php echo date( "d", $event_start ); ?></span>
										</div>
										<?php echo date( "l", $event_start ); ?>
										<!--Year: --><?php //echo date( "Y", $event_start ); ?>
									</div>
									<?php
									$previous_event_date = $current_event_date;
								endif; ?>

								<div class="list-category-wrapper">
									<div class="event-list-heading">
										<div class="custom-col-8">
											<header class="entry-header">
												<h4 class="entry-title">Events</h4>
											</header>
										</div>
										<div class="custom-col-2">
											<header class="entry-header">
												<h4 class="entry-title">Location </h4>
											</header>
										</div>
										<div class="custom-col-2">
											<header class="entry-header">
												<h4 class="entry-title">Type</h4>
											</header>
										</div>
									</div>
									<!-- .event-list-heading -->

									<div class="row event-list-item">
										<div class="custom-col-8">
											<article>
												<figure>
													<?php
													if ( has_post_thumbnail( get_the_id() ) ) {
														the_post_thumbnail( 'event-list-thumb' );
														?>
													<?php } else { ?>
														<img src="<?php echo get_template_directory_uri() ?>/images/idea-week-no-thumb.jpg"
														     alt="list-image">
													<?php } ?>

													<figcaption>
														<header class="entry-header">
															<h3 class="entry-title"> <?php the_title(); ?> </h3>
														</header>
														<div class="entry-content">
															<p><?php echo rws_limit_words( get_the_content(), 25 ); ?></p>
															<a href="<?php the_permalink(); ?>"
															   class="box-button">Read More</a>
														</div>
													</figcaption>
												</figure>
											</article>
										</div>
										<div class="custom-col-2 testuram">
											<?php
											if ( $location ): ?>
												<ul>
													<li>
                                                    <span class="icon-circle">
                                                        <i class="fa fa-map-marker"
                                                           aria-hidden="true"></i>
                                                    </span>
														<span class="info">
                                                        <?php echo $location; ?>
                                                    </span>
													</li>
												</ul>
											<?php endif; ?>
										</div>
										<div class="custom-col-2">
											<?php
											$terms = get_the_terms( $post, 'espresso_event_categories' );
											if ( $terms ):
												?>
												<ul>
													<li>
                                                    <span class="icon-circle">
                                                        <i class="fa fa-briefcase"
                                                           aria-hidden="true"></i>
                                                    </span>
														<span class="info">
                                                        <?php foreach ( $terms as $term ): ?>
	                                                        <a href="<?php echo get_term_link( $term ) ?>"><?php echo $term->name; ?></a>
                                                        <?php endforeach; ?>
                                                    </span>
													</li>
												</ul>
											<?php endif; ?>
										</div>
									</div>
									<!-- .event-list-item -->

								</div> <!-- .list-category-wrapper-->


								<?php
							} // endwhile
							espresso_pagination();
							wp_reset_query();
							wp_reset_postdata();
						} else {
							echo '<h2>No Events found! Please try with more specific words or try filtering by available category.</h2>';
						}
						?>
					</div>
				</section>
			</main>
		</div>
	</div>
<?php
get_footer();
