<?php 
	/**
	* Template Name: Event Lists Template
	*
	*/
	get_header();
	global $rws_options;


	$date = date( 'Y-m-d' );

	$current_time_stamp_date = strtotime($date);
	
	$event_list_args = array(
		'post_type' => 'event-lists',
		'posts_per_page' => -1,
	);

	$event_lists_date = new WP_Query( $event_list_args );
	if( $event_lists_date->have_posts() ){
		$event_date_array = array();
		while( $event_lists_date->have_posts() ){
			$event_lists_date->the_post();
			$event_date = get_post_meta(get_the_id(), 'event_date', true);
			$event_date_array[] = $event_date;  
		}

		$max_event_date_time_stamp =  max($event_date_array) ;
		$max_date = date("Y-m-d", $max_event_date_time_stamp);
		$current_date =  date( 'Y-m-d' );

		$max_date=date_create($max_date);
		$current_date=date_create($current_date);
		$diff=date_diff($current_date,$max_date);
		$loop_date =  $diff->format("%a");
		//echo $diff;
	}
	
	//event_list_number_days
	$days = $rws_options['event_list_number_days'];
	if( $days>0 ) {
		$loop_date = $days;
	}


	//$date = date( 'Y-m-d' );

	// End date
	$end_date = date ("Y-m-d", strtotime("+$loop_date day", strtotime($date)));
	
	
?>
<div id="content" class="site-content">
    <div id="primary" class="content-area">
        <main id="main" class="site-main" role="main">
        	<?php
        	
        		$topic='';
        		$location='';
        		$event_type='';
        		if( isset( $_GET['action'] ) && $_GET['action'] == md5( 'idea-week-filter-event') ){
        			$topic = $_GET['topic'];
        			$location = $_GET['location'];
        			$event_type = $_GET['event_type'];
        		}
        		$event_cats = get_terms( array(
        			'taxonomy' => 'event-lists-category',
        			'hide_empty' => false,
        			) );
        		//debugger( $event_cats, true);
        	?>
			

            <section class="event-list-wrapper">
            	<div class="event-container-wrapp">
	            	<div class="container">
	            		<div class="event-filter-wrapper">
	            			<div role="form" class="wpcf7" id="wpcf7-f100-o1" dir="ltr" lang="en-US">
	            				<form class="wpcf7-form" method="get" action="">
	            					
	            					<p class="topic-section">
	            						<i class="fa fa-bars" aria-hidden="true"></i>
	            						<span class="wpcf7-form-control-wrap name">
	            							<input name="topic" value="<?php echo $topic; ?>"  class="" placeholder="All Topics" type="text">
	            						</span>
	            					</p>
	            					<p class="type-section">
	            						<i class="fa fa-bars" aria-hidden="true"></i>
	            						<span class="wpcf7-form-control-wrap name">
	            							<select name="event_type">
	            								<option value="">--Select Category--</option>
	            								<?php foreach( $event_cats as $event_cat ){ ?>
	            									<option value="<?php echo $event_cat->slug ?>" <?php if( $event_cat->slug == $event_type ){ echo 'selected'; } ?>><?php echo $event_cat->name ?></option>
	            								<?php } ?>
	            							</select>
	            							<!--<input name="name" value="" class="" placeholder="All Types" type="text">-->
	            						</span>
	            					</p>
	            					<p class="location-section">
	            						<i class="fa fa-map-marker" aria-hidden="true"></i>
	            						<span class="wpcf7-form-control-wrap name">
	            							<input name="location" value="<?php echo $location; ?>" class="" placeholder="Location" type="text">
	            						</span>
	            					</p>
	            					<p class="search-btn-wrapper">
	            						<input type="submit"  class="search-btn" value="Filter">
	            					</p>
	            					<input type="hidden" name="action" value="<?php echo md5( 'idea-week-filter-event' ) ?>">
	            				</form>
	            			</div>
	            		</div>
	            		<!-- .event-filter-wrapper -->
	            	</div>
	            </div>
            	<?php if( ! isset( $_GET['action'] ) ) { ?>
		                <div class="container">
		                	<?php 
		                		while (strtotime($date) <= strtotime($end_date)) {

		                			$database_time_stamp = strtotime( $date );
		                			$args = array( 
		                				'post_type' 		=>	'event-lists',
		                				'posts_per_page' 	=> -1,
		                				'meta_query' => array(
		                					array(
		                						'key'     => 'event_date',
		                						'value'   => $database_time_stamp,
		                						'compare' => '==',
		                					)
		                				), 
		                			);
		                			$event_lists = new WP_Query( $args );
		            				if( $event_lists->have_posts() ){
		                	?>
					                    <div class="event-list-date">
					                        <div class="list-date">
					                            <?php echo date("M", strtotime($date)); ?><span><?php echo date("d", strtotime($date)); ?></span> 
					                        </div>
					                         <?php echo date("l", strtotime($date)); ?>
					                        <!-- <div class="list-grid-view">
					                            <ul>
					                               
					                                <li><a href="#"><i class="fa fa-th-list" aria-hidden="true"></i> </a></li>
					                                <li><a href="#"> <i class="fa fa-th-large" aria-hidden="true"></i> </a></li>
					                            </ul>
					                        </div> -->
					                    </div>
					                    <div class="event-list-heading">
					                        <div class="custom-col-8">
					                            <header class="entry-header">
					                                <h4 class="entry-title">Events</h4>
					                            </header>
					                        </div>
					                        <div class="custom-col-2">
					                            <header class="entry-header">
					                                <h4 class="entry-title">Location </h4>
					                            </header>
					                        </div>
					                        <div class="custom-col-2">
					                            <header class="entry-header">
					                                <h4 class="entry-title">Type</h4>
					                            </header>
					                        </div>
					                    </div>
					                    <!-- .event-list-heading -->
					                    <?php
			                    			while( $event_lists->have_posts() ){
			                    				$event_lists->the_post();
			                    				$location 			= 	get_post_meta( get_the_id (), 'location', true );
			                    				$categories 		= 	wp_get_post_terms(get_the_id(), 'event-lists-category' );
			                    			
					                    ?>
						                    <div class="row event-list-item">
						                        <div class="custom-col-8">
						                            <article>
						                                <figure>
						                                	<?php if( has_post_thumbnail( get_the_id() ) ) {
						                                		the_post_thumbnail( 'event-list-thumb' ); 
						                                	?>
						                                	<?php }else{ ?>
						                                		<img src="<?php echo get_template_directory_uri() ?>/images/idea-week-no-thumb.jpg" alt="list-image">
						                                	<?php } ?>
						                                    
						                                    <figcaption>
						                                        <header class="entry-header">
						                                            <h3 class="entry-title"> <?php the_title(); ?> </h3>
						                                        </header>
						                                        <div class="entry-content">
						                                             <p><?php echo rws_limit_words( get_the_content(), 25 ); ?></p>
						                                            <a href="<?php the_permalink(); ?>" class="box-button">Read More</a>
						                                        </div>
						                                    </figcaption>
						                                </figure>
						                            </article>
						                        </div>
						                        <div class="custom-col-2">
						                        	<?php if( $location ): ?>
							          					<ul>
							                                <li>
							                                    <span class="icon-circle">
							                                        <i class="fa fa-map-marker" aria-hidden="true"></i>
							                                    </span>
							                                    <span class="info">
							                                        <?php echo $location; ?>
							                                    </span>
							                                </li>
							                            </ul>
						                        	<?php endif; ?>
						                        </div>
						                        <div class="custom-col-2">
						                        	<?php if( 0< count( $categories ) ): ?>
							                            <ul>
							                                <li>
							                                    <span class="icon-circle">
							                                        <i class="fa fa-briefcase" aria-hidden="true"></i>
							                                    </span>
							                                    <span class="info">
							                                       <a href="<?php echo get_term_link( $categories[0] ) ?>"><?php echo $categories[0]->name; ?></a>
							                                    </span>
							                                </li>
							                            </ul>
							                        <?php endif; ?>
						                        </div>
						                    </div>
						                    <!-- .event-list-item -->
					                    <?php } //end of post loop ?>
			                <?php	
		                    		} //end of post check if
		                    		wp_reset_postdata();
		                    	$date = date ("Y-m-d", strtotime("+1 day", strtotime($date)));
		                		} //end of date loop
		                	?>
		                    
							
		                </div>
                <?php
                
                	}else{ 

                		// for search filter args 
                		$args = array();

                		if( $topic && $location && $event_type ){
			    			$args = array(
			    				'post_type' => 'event-lists',
			    				'posts_per_page' => -1,
			    				's' => $topic,
			    				'order' => 'ASC',
			    				'orderby' => 'meta_value',
			    				'meta_query' => array(
			    					array(
			    						'key' => 'event_date'
			    					),
			    					array(
                						'key' => 'location',
                						'value' => $location,
                						'compare' => 'LIKE',
                					),
			    				),
			    				'tax_query' => array( 
							       array( 
							           'taxonomy' => 'event-lists-category', //or tag or custom taxonomy
							           'field' => 'slug', 
							           'terms' =>  $event_type,
							       ) 
							   ) 
			    			);
                		}else if( $topic && $location ){
			    			$args = array(
			    				'post_type' => 'event-lists',
			    				'posts_per_page' => -1,
			    				's' => $topic,
			    				'order' => 'ASC',
			    				'orderby' => 'meta_value',
			    				'meta_query' => array(
			    					array(
			    						'key' => 'event_date'
			    					),
			    					array(
                						'key' => 'location',
                						'value' => $location,
                						'compare' => 'LIKE',

                					),
			    				),
			    			);
                		}else if( $topic && $event_type ){
			    			$args = array(
			    				'post_type' => 'event-lists',
			    				'posts_per_page' => -1,
			    				's' => $topic,
			    				'order' => 'ASC',
			    				'orderby' => 'meta_value',
			    				'meta_query' => array(
			    					array(
			    						'key' => 'event_date'
			    					),
			    					
			    				),
			    				'tax_query' => array( 
							       array( 
							           'taxonomy' => 'event-lists-category', //or tag or custom taxonomy
							           'field' => 'slug', 
							           'terms' =>  $event_type,
							       ) 
							   ) 
			    			);
                		}else if( $location && $event_type ){
			    			$args = array(
			    				'post_type' => 'event-lists',
			    				'posts_per_page' => -1,
			    				'order' => 'ASC',
			    				'orderby' => 'meta_value',
			    				'meta_query' => array(
			    					array(
			    						'key' => 'event_date'
			    					),
			    					array(
                						'key' => 'location',
                						'value' => $location,
                						'compare' => 'LIKE',

                					),
			    					
			    				),
			    				'tax_query' => array( 
							       array( 
							           'taxonomy' => 'event-lists-category', //or tag or custom taxonomy
							           'field' => 'slug', 
							           'terms' =>  $event_type,
							       ) 
							   ) 
			    			);
                		}else if( $topic ){
                			$args = array(
                				'post_type' => 'event-lists',
                				'posts_per_page' => -1,
                				's' => $topic,
                				'order' => 'ASC',
                				'orderby' => 'meta_value',
                				'meta_query' => array(
                					array('key' => 'event_date'))
                			);
                		}else if( $location ){
                			$args = array(
                				'post_type' => 'event-lists',
                				'posts_per_page' => -1,
                				'order' => 'ASC',
                				'orderby' => 'meta_value',
                				'meta_query' => array(
                					array(
                						'key' => 'event_date'
                					),
                					array(
                						'key' => 'location',
                						'value' => $location,
                						'compare' => 'LIKE',

                					),
            					),
                			);
                		}else if ( $event_type ){
                			$args = array(
                				'post_type' => 'event-lists',
                				'posts_per_page' => -1,
                				'order' => 'ASC',
                				'orderby' => 'meta_value',
                				'meta_query' => array(
                					array(
                						'key' => 'event_date'
                					)
                				),
                				'tax_query' => array( 
            				       array( 
            				           'taxonomy' => 'event-lists-category', //or tag or custom taxonomy
            				           'field' => 'slug', 
            				           'terms' =>  $event_type,
            				       ) 
            				   ) 
                			);
                		}else{
                			$args = array(
                				'post_type' => 'event-lists',
                				'posts_per_page' => -1,
                				'order' => 'ASC',
                				'orderby' => 'meta_value',
                				'meta_query' => array(
                					array('key' => 'event_date'))
                			);
                		}
                		//debugger( $args , true);
                		
                		$event_filter_list = new WP_Query( $args );
                		if( $event_filter_list->have_posts() ){
                			while( $event_filter_list->have_posts() ){
                				$event_filter_list->the_post();
                				$event_datess 		= 	get_post_meta( get_the_id (), 'event_date', true );
                				
                				
                				
                				$location 			= 	get_post_meta( get_the_id (), 'location', true );
		                    				$categories 		= 	wp_get_post_terms(get_the_id(), 'event-lists-category' );
                ?>				<div class="container">
                				<div class="event-list-date">
                				    <div class="list-date">
                				        <?php echo date("M", $event_datess); ?><span><?php echo date("d", $event_datess); ?></span>
                				    </div>
                				     <?php echo date("l", $event_datess); ?>
                				    <!-- <div class="list-grid-view">
                				        <ul>
                				           
                				            <li><a href="#"><i class="fa fa-th-list" aria-hidden="true"></i> </a></li>
                				            <li><a href="#"> <i class="fa fa-th-large" aria-hidden="true"></i> </a></li>
                				        </ul>
                				    </div> -->
                				</div>
                				<div class="event-list-heading">
                				    <div class="custom-col-8">
                				        <header class="entry-header">
                				            <h4 class="entry-title">Events</h4>
                				        </header>
                				    </div>
                				    <div class="custom-col-2">
                				        <header class="entry-header">
                				            <h4 class="entry-title">Location </h4>
                				        </header>
                				    </div>
                				    <div class="custom-col-2">
                				        <header class="entry-header">
                				            <h4 class="entry-title">Type</h4>
                				        </header>
                				    </div>
                				</div>
			                    <div class="row event-list-item">
			                        <div class="custom-col-8">
			                            <article>
			                                <figure>
			                                	<?php if( has_post_thumbnail( get_the_id() ) ) {
			                                		the_post_thumbnail( 'event-list-thumb' ); 
			                                	?>
			                                	<?php }else{ ?>
			                                		<img src="<?php echo get_template_directory_uri() ?>/images/idea-week-no-thumb.jpg" alt="list-image">
			                                	<?php } ?>
			                                    
			                                    <figcaption>
			                                        <header class="entry-header">
			                                            <h3 class="entry-title"> <?php the_title(); ?> </h3>
			                                        </header>
			                                        <div class="entry-content">
			                                             <p><?php echo rws_limit_words( get_the_content(), 25 ); ?></p>
			                                            <a href="<?php the_permalink(); ?>" class="box-button">Read More</a>
			                                        </div>
			                                    </figcaption>
			                                </figure>
			                            </article>
			                        </div>
			                        <div class="custom-col-2">
			                        	<?php if( $location ): ?>
				                            <ul>
				                                <li>
				                                    <span class="icon-circle">
				                                        <i class="fa fa-map-marker" aria-hidden="true"></i>
				                                    </span>
				                                    <span class="info">
				                                        <?php echo $location; ?>
				                                    </span>
				                                </li>
				                            </ul>
			                        	<?php endif; ?>
			                        </div>
			                        <div class="custom-col-2">
			                        	<?php if( 0< count( $categories ) ): ?>
				                            <ul>
				                                <li>
				                                    <span class="icon-circle">
				                                        <i class="fa fa-briefcase" aria-hidden="true"></i>
				                                    </span>
				                                    <span class="info">
				                                       <a href="<?php echo get_term_link( $categories[0] ) ?>"><?php echo $categories[0]->name; ?></a>
				                                    </span>
				                                </li>
				                            </ul>
				                        <?php endif; ?>
			                        </div>
			                    </div>
			                    </div> 
                	<?php
                 			}//end of filter list while
                 		} //end of filter list if
                	?>
		                	
                <?php } ?>
                <div class="svg-file">
                    <svg version="1.1" class="right-blue" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="200px" height="295px" viewBox="0 0 40.461 39.514" enable-background="new 0 0 40.461 39.514" xml:space="preserve">
                        <path class="line-effect" fill="none" stroke="#00B3E2" stroke-width="0.245" stroke-linecap="round" stroke-linejoin="round" d="M26.152,39.391
                        c2.407-2.492-16.688-9.477-13.371-12.912c3.413-3.534,14.116,11.081,14.116,11.081l-14.65-14.147
                        c3.573-3.699,13.672,5.871,13.672,5.871L11.683,15.535c5.403-5.595,15.199,11.744,15.199,11.744
                        C31.961,22.018,0.123,1.438,0.123,1.438s25.247,21.883,26.862,20.21C35.17,13.172,0.47,6.309,5.601,0.998
                        c0,0,17.783,23.046,21.343,19.36c0,0-27.473-9.978-19.202-18.543L26.498,17.77c2.589-2.682-26.747-7.716-17.697-17.089L28.015,14.47
                        c0,0-19.514-6.316-13.254-12.799c1.424-1.474,21.094,11.433,21.094,11.433S20.593,4.016,23.416,1.092
                        c0,0,13.376,16.181,15.983,13.482c1.9-1.968-20.727-7.593-14.519-14.022c3.337-3.456,8.805,18.391,15.438,11.523
                        c0,0-14.614-9.122-12.12-11.705L39.644,3.13c1.199-1.241-3-1.252-2.178-2.103c0.999-1.034,2.382,0.371,2.873-0.138l-0.795-0.767"/>
                    </svg>
                    <svg version="1.1" class="left-blue" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="200px" height="250px" viewBox="0 0 40.461 39.514" enable-background="new 0 0 40.461 39.514" xml:space="preserve">
                        <path class="line-effect" fill="none" stroke="#00B3E2" stroke-width="0.245" stroke-linecap="round" stroke-linejoin="round" d="M26.152,39.391
                        c2.407-2.492-16.688-9.477-13.371-12.912c3.413-3.534,14.116,11.081,14.116,11.081l-14.65-14.147
                        c3.573-3.699,13.672,5.871,13.672,5.871L11.683,15.535c5.403-5.595,15.199,11.744,15.199,11.744
                        C31.961,22.018,0.123,1.438,0.123,1.438s25.247,21.883,26.862,20.21C35.17,13.172,0.47,6.309,5.601,0.998
                        c0,0,17.783,23.046,21.343,19.36c0,0-27.473-9.978-19.202-18.543L26.498,17.77c2.589-2.682-26.747-7.716-17.697-17.089L28.015,14.47
                        c0,0-19.514-6.316-13.254-12.799c1.424-1.474,21.094,11.433,21.094,11.433S20.593,4.016,23.416,1.092
                        c0,0,13.376,16.181,15.983,13.482c1.9-1.968-20.727-7.593-14.519-14.022c3.337-3.456,8.805,18.391,15.438,11.523
                        c0,0-14.614-9.122-12.12-11.705L39.644,3.13c1.199-1.241-3-1.252-2.178-2.103c0.999-1.034,2.382,0.371,2.873-0.138l-0.795-0.767"/>
                    </svg>

                </div>
            </section>
            <!-- .partner-detail-wrapper -->
        </main>
        <!-- #main -->
    </div>
    <!-- #primary -->
</div>
<!-- #content -->
<?php 
	get_footer();
 