<?php
/**
* Template Name: Home Page Template
*
*/
	get_header();

	global $rws_options;
	$homepage_meta			= get_post_meta( get_the_id (), 'rws_homepage_section', true );
?>
<div id="content" class="site-content">
    <div id="primary" class="content-area">
        <main id="main" class="site-main" role="main">

			<!-- about idea week start -->
			<?php 
				$rws_about_idea_enable	 	= $homepage_meta['rws_about_idea_enable'];
				$rws_about_idea_title	 	= $homepage_meta['rws_about_idea_title'];
				$rws_about_idea_sub_title 	= $homepage_meta['rws_about_idea_sub_title'];
				$rws_about_idea_desc		= $homepage_meta['rws_about_idea_desc'];
				$rws_about_idea_image_id    = $homepage_meta['rws_about_idea_image'];
			?>
			<?php if( 1 == $rws_about_idea_enable ): ?>
				<section id="idea-information" class="idea-information" style="background: url(<?php echo get_stylesheet_directory_uri()?>/images/idea-bg.jpg);">
				    <div class="container">
				        <div class="idea-info-wrapper">
				        <?php if( !empty( $rws_about_idea_image_id )): 
			        		$rws_about_idea_image_src = rws_image_src ( array ( 'id' => $rws_about_idea_image_id, 'size' => 'full' ) );
				        ?>
					        <figure class="idea-image-section">
					            <img src="<?php echo $rws_about_idea_image_src; ?>" alt="">
					        </figure>
				        <?php endif; ?>
				        <div class="idea-info-content">
				          	<header class="section-header">
			          			<?php echo ( $rws_about_idea_title ) ? '<h2 class="section-title">'.$rws_about_idea_title.'</h2>' : '';?>
				              	<svg version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
					                width="340px" height="114px" viewBox="0 0 84.2 32.432" enable-background="new 0 0 84.2 32.432" xml:space="preserve">
					                <path class="line-effect" fill="none" stroke="#F15C5C" stroke-width="0.245" stroke-linecap="round" stroke-linejoin="round" d="M8.828,10.393
					                C12.576,14.274-0.59,18,0.153,18.77c0,0,6.323-10.884,9.07-8.04c1.49,1.544-10.375,6.592-8.663,8.365
					                C11.466,30.388,17.837-8.237,27.538,1.807c0,0-26.249,9.304-18.232,17.607c1.716,1.777,19.675-14.461,19.675-14.461
					                C33.56,9.693,14.77,18.676,14.77,18.676C20.123,24.22,30.323,7.594,30.323,7.594L18.586,18.927
					                c3.431,3.553,9.052-8.748,14.099-3.522L24.9,22.924c4.057,4.2,8.064-7.048,11.498-3.491L25.968,29.506
					                c0,0,10.266-16.288,16.998-9.316c6.152,6.37-15.323,4.232-10.043,9.699c1.002,1.038,14.189-9.965,14.189-9.965
					                c3.248,3.363-12.196,8.093-10.354,9.999c6.968,7.217,18.526-10.118,18.526-10.118s-12.012,9.297-10.861,10.489
					                c1.941,2.01,9.119-16.304,14.061-11.187c0.804,0.833-12.059,11.167-11.82,11.415c4.629,4.793,11.875-19.369,19.154-11.832
					                l-13.18,12.729c5.835,6.04,30.698-20.633,30.698-20.633S60.085,26.438,63.482,29.958c3.714,3.846,14.452-17.912,18.858-13.35
					                c0,0-16.212,11.407-14.089,13.605c0,0,9.219-13.566,15.004-7.576c4.431,4.589-10.623,5.21-8.1,7.822
					                c2.398,2.483,6.044-6.989,7.575-5.402c2.409,2.493-6.223,4.75-5.593,5.401c1.384,1.435,4.741-7.52,6.418-5.783
					                c0.478,0.495-6.145,5.934-6.145,5.934c1.947,2.018,5.644-0.038,5.644-0.038s-0.158,0.044-0.103,0.1
					                c0.123,0.128,0.818-0.087,0.985,0.085l-0.794,0.768"/>
				              	</svg>
				              	<?php echo ( $rws_about_idea_sub_title ) ? '<h3 class="section-subtitle">'.$rws_about_idea_sub_title.'</h3>' : '';?>
				            </header>
				            <p><?php echo $rws_about_idea_desc; ?></p>
				        </div>
				        </div>
				    </div>
				</section>
			<?php endif;?>
			<!-- about idea week ends -->

			<!-- Featured events section start -->
			<?php 
				$rws_feature_event_enable	 = $homepage_meta['rws_feature_event_enable'];
				$rws_feature_event_title	 = $homepage_meta['rws_feature_event_title'];
				$rws_feature_event_desc		 = $homepage_meta['rws_feature_event_desc'];
			?>
			<?php if( 1 == $rws_feature_event_enable ): ?>
				<section class="featured-event-section" style="background: url(<?php echo get_stylesheet_directory_uri()?>/images/event-bg.jpg);">
					<figure class="right-animation">
					    <img src="<?php echo get_stylesheet_directory_uri()?>/images/svg/right-animation.svg" alt="">
					</figure>
					<figure class="left-animation">
					    <img src="<?php echo get_stylesheet_directory_uri()?>/images/svg/left-animation.svg" alt="">
					</figure>
					<figure class="white-animation">
					    <img src="<?php echo get_stylesheet_directory_uri()?>/images/svg/white-animation.svg" alt="">
					</figure>
				    <div class="container">
				    	<header class="section-header">
				    		<?php echo ( $rws_feature_event_title ) ? '<h2 class="section-title">'.$rws_feature_event_title.'</h2>' : '';?>
			          		<svg version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
					            width="345px" height="120px" viewBox="0 0 84.2 32.432" enable-background="new 0 0 84.2 32.432" xml:space="preserve">
					            <path class="line-effect" fill="none" stroke="#F15C5C" stroke-width="0.245" stroke-linecap="round" stroke-linejoin="round" d="M8.828,10.393
					            C12.576,14.274-0.59,18,0.153,18.77c0,0,6.323-10.884,9.07-8.04c1.49,1.544-10.375,6.592-8.663,8.365
					            C11.466,30.388,17.837-8.237,27.538,1.807c0,0-26.249,9.304-18.232,17.607c1.716,1.777,19.675-14.461,19.675-14.461
					            C33.56,9.693,14.77,18.676,14.77,18.676C20.123,24.22,30.323,7.594,30.323,7.594L18.586,18.927
					            c3.431,3.553,9.052-8.748,14.099-3.522L24.9,22.924c4.057,4.2,8.064-7.048,11.498-3.491L25.968,29.506
					            c0,0,10.266-16.288,16.998-9.316c6.152,6.37-15.323,4.232-10.043,9.699c1.002,1.038,14.189-9.965,14.189-9.965
					            c3.248,3.363-12.196,8.093-10.354,9.999c6.968,7.217,18.526-10.118,18.526-10.118s-12.012,9.297-10.861,10.489
					            c1.941,2.01,9.119-16.304,14.061-11.187c0.804,0.833-12.059,11.167-11.82,11.415c4.629,4.793,11.875-19.369,19.154-11.832
					            l-13.18,12.729c5.835,6.04,30.698-20.633,30.698-20.633S60.085,26.438,63.482,29.958c3.714,3.846,14.452-17.912,18.858-13.35
					            c0,0-16.212,11.407-14.089,13.605c0,0,9.219-13.566,15.004-7.576c4.431,4.589-10.623,5.21-8.1,7.822
					            c2.398,2.483,6.044-6.989,7.575-5.402c2.409,2.493-6.223,4.75-5.593,5.401c1.384,1.435,4.741-7.52,6.418-5.783
					            c0.478,0.495-6.145,5.934-6.145,5.934c1.947,2.018,5.644-0.038,5.644-0.038s-0.158,0.044-0.103,0.1
					            c0.123,0.128,0.818-0.087,0.985,0.085l-0.794,0.768"/>
				          	</svg>		         
				          	<?php echo ( $rws_feature_event_desc ) ? '<h3 class="section-subtitle">'.$rws_feature_event_desc.'</h3>' : '';?>
				        </header>
				    </div>
				    <div class="svg-file">
				        <svg class="big-blue-line" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
				             width="705px" height="270px" viewBox="0 0 84.199 32.432" enable-background="new 0 0 84.199 32.432" xml:space="preserve">
				            <path class="line-effect" fill="none" stroke="#00B3E2" stroke-width="0.245" stroke-linecap="round" stroke-linejoin="round" d="M1.056,31.523
				            l-0.794-0.768c0.167-0.171,0.862,0.043,0.985-0.085c0.055-0.056-0.103-0.1-0.103-0.1s3.697,2.057,5.644,0.038
				            c0,0-6.623-5.438-6.145-5.934c1.677-1.736,5.034,7.218,6.419,5.785c0.629-0.653-8.003-2.909-5.594-5.403
				            C3,23.47,6.645,32.944,9.044,30.46c2.522-2.613-12.532-3.233-8.1-7.823c5.784-5.99,15.003,7.576,15.003,7.576
				            C18.07,28.015,1.859,16.609,1.859,16.609c4.406-4.563,15.144,17.194,18.858,13.349c3.399-3.52-19.853-19.171-19.853-19.171
				            S25.727,37.46,31.561,31.419l-13.18-12.729c7.279-7.537,14.525,16.626,19.154,11.832c0.24-0.248-12.624-10.582-11.82-11.414
				            c4.942-5.117,12.12,13.195,14.061,11.186c1.151-1.192-10.861-10.488-10.861-10.488S40.473,37.14,47.442,29.924
				            c1.842-1.907-13.602-6.636-10.354-9.999c0,0,13.187,11.002,14.19,9.964c5.28-5.467-16.196-3.328-10.044-9.699
				            c6.733-6.972,16.999,9.316,16.999,9.316L47.801,19.433c3.433-3.556,7.441,7.693,11.497,3.491l-7.785-7.519
				            c5.047-5.227,10.668,7.074,14.1,3.522L53.876,7.594c0,0,10.2,16.626,15.553,11.082c0,0-18.789-8.982-14.211-13.724
				            c0,0,17.959,16.238,19.676,14.461c8.017-8.303-18.233-17.606-18.233-17.606c9.7-10.043,16.073,28.581,26.979,17.288
				            c1.711-1.774-10.154-6.82-8.664-8.364c2.748-2.844,9.07,8.039,9.07,8.039c0.742-0.771-12.422-4.496-8.674-8.377"/>
				        </svg>			        

				        <svg version="1.1" class="yellow-line" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
				             width="270px" height="275px" viewBox="0 0 38.158 41.445" enable-background="new 0 0 38.158 41.445" xml:space="preserve">
				        <path class="line-effect" fill="none" stroke="#E1E328" stroke-width="0.245" stroke-linecap="round" stroke-linejoin="round" d="M15.157,41.323
				            c7.587-7.855-19.012-9.37-14.519-14.021c0,0,13.209-10.196,14.778-11.821C18.028,12.776,0.508,1.085,0.508,1.085
				            C1.82-0.272,36.761,12.916,36.761,12.916c7.023-7.273-17.473-8.42-13.249-12.794"/>
				        </svg>

				        <svg version="1.1" class="big-red-line" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
				             width="860px" height="590px" viewBox="0 0 59.472 54.743" enable-background="new 0 0 59.472 54.743" xml:space="preserve">
				        <path class="line-effect" fill="none" stroke="#F15B5C" stroke-width="0.245" stroke-linecap="round" stroke-linejoin="round" d="M0.918,54.15
				            c0,0-0.833-0.728-0.794-0.768c2.639-2.732,11.949,3.17,14.478,0.551c6.251-6.474-14.165-10.839-12.746-12.309L32.48,53.326
				            l-10.124-9.777c0.615-0.637,12.705,12.639,16.736,8.465l-8.8-8.497c6.518-6.75,16.92,3.94,18.641,2.158
				            c1.652-1.71-7.623-7.361-7.623-7.361c0.263-0.271,9.147-8.438,15.602-15.123C68.856,10.822,33.025,0.123,33.025,0.123l18.884,8.521
				            c0,0-3.119-1.055-2.14-2.067"/>
				        </svg>

				        <svg version="1.1" class="red-line" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
				             width="513px" height="167px" viewBox="0 0 86.578 28.717" enable-background="new 0 0 86.578 28.717" xml:space="preserve">
				            <path class="line-effect" fill="none" stroke="#F15B5C" stroke-width="0.245" stroke-linecap="round" stroke-linejoin="round" d="M1.952,26.395
				            l-0.794-0.768c1.032-1.068,2.479,0.428,3.362-0.487c0.929-0.962-2.436-2.026-2.274-2.194c0,0,14.856,10.799,22.835,2.535
				            C26.009,24.522-4.724,9.226,1.536,2.743C12.62-8.734,16.515,35.634,26.465,25.332c7.09-7.342-36.518-10.426-24.105-23.28
				            c11.694-12.109,17.713,37.294,31.247,23.28c5.898-6.108-17.806-4.89-11.657-11.258c12.996-13.458,32.124,14.011,36.08,9.914
				            c3.693-3.823-9.357-9.036-9.357-9.036c5.495-5.69,11.807,3.863,16.798-1.304c4.354-4.51-11.016-10.638-11.016-10.638
				            c3.746-3.878,21.972,22.478,32.001,12.092c0,0-10.506-9.806-10.338-9.979"/>
				        </svg>

				        <svg version="1.1" class="blue-line" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
				             width="261px" height="155px" viewBox="0 0 49.728 22.23" enable-background="new 0 0 49.728 22.23" xml:space="preserve">
				            <path class="line-effect" fill="none" stroke="#00B3E2" stroke-width="0.245" stroke-linecap="round" stroke-linejoin="round" d="M16.012,22.108
				            c7.593-7.863-22.234-6.276-14.641-14.139c0,0,43.692-2.193,47.352-5.984c1.017-1.053-1.393-0.65-1.046-1.01
				            c0.051-0.055,1.595,0.258,1.927-0.086c0.042-0.044-0.795-0.767-0.795-0.767"/>
				        </svg>

				    </div>
				    <ul class="featured-event-item-wrapper">
				    	<?php
				    		//for featured events section start
				    		$feature_events_arg 	= array(								
				    							'post_type'   		=> 'event',
				    							'posts_per_page'    => 5,
				    							'meta_query' 		=> array(
				    								                    array(
				    								                        'key' => 'featured-checkbox',
				    								                        'value' => 'yes'
				    								                    )
				    				                				),
				    						);

				    		$feature_events_query = new WP_Query( $feature_events_arg );
				    		
				    		if( $feature_events_query->have_posts() ){
				    			while( $feature_events_query->have_posts() ){
				    				$feature_events_query->the_post();

				    	            $featured_events_meta   = get_post_meta( get_the_id (), 'event_meta', true );
				    	            $featured_event_date 	= $featured_events_meta['event_date'];
				    	            $featured_event_url 	= $featured_events_meta['event_url'];
				    	            if( !empty( $featured_event_url )) {
			    	            		$f_event_url 	= $featured_event_url;
				    	            }else {
			    	            		$f_event_url 	= get_the_permalink();
				    	            }
				    				?>
			    					<li>
				    				   <div class="featured-event-item" href="#">
				    				      	<div class="featured-event-content">
				    				         	<div class="featured-event-info">
				    				            	<?php the_content(); ?>
				    				            	<a href="<?php echo $f_event_url; ?>" class="box-button">read more</a>
				    				         	</div>
				    				         	<?php if( !empty( $featured_event_date )): ?>
				    				         	<span class="date">
				    				         		<?php echo $featured_event_date; ?>
				    				         	</span>
				    				         	<?php endif; ?>
				    				         	<?php the_title( '<h3 class="entry-title">', '</h3>' );	?>
				    				         	<div class="featured-event-image">
				    								<?php if( has_post_thumbnail() ){ ?>
				    				            		<img src="<?php echo get_the_post_thumbnail_url( get_the_ID(), 'featuerd-events' ); ?>" alt="">
			    									<?php } ?>
				    				         	</div>
				    				      	</div>
				    				   </div>
				    				</li>				    				
			    				<?php
				    			}
				    			wp_reset_postdata();
				    			wp_reset_query();
				    		} 
				    		//featured events section ends
				    	?>
				    </ul>
				</section>
			<?php endif; ?>
			<!-- Featured events section ends -->

			<!-- competition section start -->
			<?php 
				$rws_venture_competition_enable	 	= $homepage_meta['rws_venture_competition_enable'];
				$rws_venture_competition_title	 	= $homepage_meta['rws_venture_competition_title'];
				$rws_venture_competition_sub_title 	= $homepage_meta['rws_venture_competition_sub_title'];
				$rws_venture_competition_desc		= $homepage_meta['rws_venture_competition_desc'];
				$rws_venture_competition_image_id	= $homepage_meta['rws_venture_competition_image'];
				$rws_venture_competition_btn_enable	= $homepage_meta['rws_venture_competition_btn_enable'];
				$rws_venture_competition_btn_label	= $homepage_meta['rws_venture_competition_btn_label'];
				$rws_venture_competition_btn_url	= $homepage_meta['rws_venture_competition_btn_url'];
			?>
			<?php if( 1 == $rws_venture_competition_enable ): ?>
				<section class="competition-section">
				    <div class="container">
				        <div class="competition-content-wrapper">
        			        <?php if( !empty( $rws_venture_competition_image_id )): 
        		        		$rws_venture_competition_image_src = rws_image_src ( array ( 'id' => $rws_venture_competition_image_id, 'size' => 'full' ) );
        			        ?>
        				        <figure class="featured-image competition-image">
        				            <img src="<?php echo $rws_venture_competition_image_src; ?>" alt="">
        				        </figure>
        			        <?php endif; ?>
				            <div class="competition-text-content">
				                <header class="section-header">
				                	<?php echo ( $rws_venture_competition_title ) ? '<h2 class="section-title">'.$rws_venture_competition_title.'</h2>' : '';?>
				                    <?php echo ( $rws_venture_competition_sub_title ) ? '<h3 class="section-subtitle">'.$rws_venture_competition_sub_title.'</h3>' : '';?>
				                </header>
			                    <?php echo ( $rws_venture_competition_desc ) ? '<p>'.$rws_venture_competition_desc.'</p>' : '';?>
			                    <?php if( 1 == $rws_venture_competition_btn_enable ): ?>
				                	<a href="<?php echo $rws_venture_competition_btn_url; ?>" class="box-button"><?php echo ( $rws_venture_competition_btn_label ) ? $rws_venture_competition_btn_label : 'learn more';?></a>
			                	<?php endif; ?>
				            </div>
				        </div>
				    </div>
				    <div class="svg-file">
				        <svg version="1.1" class="right-blue" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
				             width="308px" height="295px" viewBox="0 0 40.461 39.514" enable-background="new 0 0 40.461 39.514" xml:space="preserve">
				            <path class="line-effect" fill="none" stroke="#00B3E2" stroke-width="0.245" stroke-linecap="round" stroke-linejoin="round" d="M26.152,39.391
				            c2.407-2.492-16.688-9.477-13.371-12.912c3.413-3.534,14.116,11.081,14.116,11.081l-14.65-14.147
				            c3.573-3.699,13.672,5.871,13.672,5.871L11.683,15.535c5.403-5.595,15.199,11.744,15.199,11.744
				            C31.961,22.018,0.123,1.438,0.123,1.438s25.247,21.883,26.862,20.21C35.17,13.172,0.47,6.309,5.601,0.998
				            c0,0,17.783,23.046,21.343,19.36c0,0-27.473-9.978-19.202-18.543L26.498,17.77c2.589-2.682-26.747-7.716-17.697-17.089L28.015,14.47
				            c0,0-19.514-6.316-13.254-12.799c1.424-1.474,21.094,11.433,21.094,11.433S20.593,4.016,23.416,1.092
				            c0,0,13.376,16.181,15.983,13.482c1.9-1.968-20.727-7.593-14.519-14.022c3.337-3.456,8.805,18.391,15.438,11.523
				            c0,0-14.614-9.122-12.12-11.705L39.644,3.13c1.199-1.241-3-1.252-2.178-2.103c0.999-1.034,2.382,0.371,2.873-0.138l-0.795-0.767"/>
				        </svg>
				        <svg version="1.1" class="left-blue" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
				             width="243px" height="250px" viewBox="0 0 40.461 39.514" enable-background="new 0 0 40.461 39.514" xml:space="preserve">
				            <path class="line-effect" fill="none" stroke="#00B3E2" stroke-width="0.245" stroke-linecap="round" stroke-linejoin="round" d="M26.152,39.391
				            c2.407-2.492-16.688-9.477-13.371-12.912c3.413-3.534,14.116,11.081,14.116,11.081l-14.65-14.147
				            c3.573-3.699,13.672,5.871,13.672,5.871L11.683,15.535c5.403-5.595,15.199,11.744,15.199,11.744
				            C31.961,22.018,0.123,1.438,0.123,1.438s25.247,21.883,26.862,20.21C35.17,13.172,0.47,6.309,5.601,0.998
				            c0,0,17.783,23.046,21.343,19.36c0,0-27.473-9.978-19.202-18.543L26.498,17.77c2.589-2.682-26.747-7.716-17.697-17.089L28.015,14.47
				            c0,0-19.514-6.316-13.254-12.799c1.424-1.474,21.094,11.433,21.094,11.433S20.593,4.016,23.416,1.092
				            c0,0,13.376,16.181,15.983,13.482c1.9-1.968-20.727-7.593-14.519-14.022c3.337-3.456,8.805,18.391,15.438,11.523
				            c0,0-14.614-9.122-12.12-11.705L39.644,3.13c1.199-1.241-3-1.252-2.178-2.103c0.999-1.034,2.382,0.371,2.873-0.138l-0.795-0.767"/>
				        </svg>
				        <svg version="1.1" class="blue-line" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
				             width="360px" height="315px" viewBox="0 0 72.872 73.449" enable-background="new 0 0 72.872 73.449" xml:space="preserve">
				        <path class="line-effect" fill="none" stroke="#00B3E2" stroke-width="0.245" stroke-linecap="round" stroke-linejoin="round" d="M0.122,67.672
				            c0,0,0.337,1.053,0.389,1.034c4.525-1.701,2.477-15.502,6.814-17.133c10.802-4.06,5.714,22.651,8.168,21.73l5.822-45.844
				            l4.283,11.394c0.727-0.274,0.02-17.684,4.778-19.472l4.12,10.961c8.086-3.039,10.924-29.356,13.059-30.158
				            c3.216-1.209,5.954,15.843,5.954,15.843c0.299-0.111,10.987,1.83,18.338-0.934c1.476-0.556,0.693,1.847,0.693,1.847"/>
				        </svg>
				        <svg version="1.1" class="red-line" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
				             width="354px" height="305px" viewBox="0 0 72.602 79.202" enable-background="new 0 0 72.602 79.202" xml:space="preserve">
				        <path class="line-effect" fill="none" stroke="#F15B5C" stroke-width="0.245" stroke-linecap="round" stroke-linejoin="round" d="M0.122,77.326
				            c0,0,0.536,0.967,0.584,0.937c3.226-2.006-0.59-12.348,2.502-14.271c7.642-4.752,7.623,16.125,9.358,15.047L7.556,46.641
				            l7.433,11.952c0.752-0.467-1.97-22.303,2.958-25.367l4.474,9.987c7.968-4.955,6.759-37.276,8.863-38.584
				            c2.019-1.256,5.596,8.999,5.596,8.999c0.321-0.2,10.171-7.171,18.062-12.079C69.543-7.533,72.48,29.746,72.48,29.746L68.114,9.494
				            c0,0,0.376,3.271,1.572,2.526"/>
				        </svg>
				        
				    </div>
				</section>
			<?php endif; ?>
			<!-- competition section ends -->

			<!-- explore our events section start -->
			<?php 
				$rws_our_events_enable			= $homepage_meta['rws_our_events_enable'];
				$rws_our_events_section_title	= $homepage_meta['rws_our_events_section_title'];
			?>
			<?php if( 1 == $rws_our_events_enable ): ?>
				<section class="explore-section" style="background: url(<?php echo get_stylesheet_directory_uri()?>/images/explor-bg.png);">
				    <div class="container">
				        <header class="section-header">
				        	<?php echo ( $rws_our_events_section_title ) ? '<h2 class="section-title">'.$rws_our_events_section_title.'</h2>' : '';?>
							<svg version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
							width="340px" height="114px" viewBox="0 0 84.2 32.432" enable-background="new 0 0 84.2 32.432" xml:space="preserve">
								<path class="line-effect" fill="none" stroke="#F15C5C" stroke-width="0.245" stroke-linecap="round" stroke-linejoin="round" d="M8.828,10.393
								C12.576,14.274-0.59,18,0.153,18.77c0,0,6.323-10.884,9.07-8.04c1.49,1.544-10.375,6.592-8.663,8.365
								C11.466,30.388,17.837-8.237,27.538,1.807c0,0-26.249,9.304-18.232,17.607c1.716,1.777,19.675-14.461,19.675-14.461
								C33.56,9.693,14.77,18.676,14.77,18.676C20.123,24.22,30.323,7.594,30.323,7.594L18.586,18.927
								c3.431,3.553,9.052-8.748,14.099-3.522L24.9,22.924c4.057,4.2,8.064-7.048,11.498-3.491L25.968,29.506
								c0,0,10.266-16.288,16.998-9.316c6.152,6.37-15.323,4.232-10.043,9.699c1.002,1.038,14.189-9.965,14.189-9.965
								c3.248,3.363-12.196,8.093-10.354,9.999c6.968,7.217,18.526-10.118,18.526-10.118s-12.012,9.297-10.861,10.489
								c1.941,2.01,9.119-16.304,14.061-11.187c0.804,0.833-12.059,11.167-11.82,11.415c4.629,4.793,11.875-19.369,19.154-11.832
								l-13.18,12.729c5.835,6.04,30.698-20.633,30.698-20.633S60.085,26.438,63.482,29.958c3.714,3.846,14.452-17.912,18.858-13.35
								c0,0-16.212,11.407-14.089,13.605c0,0,9.219-13.566,15.004-7.576c4.431,4.589-10.623,5.21-8.1,7.822
								c2.398,2.483,6.044-6.989,7.575-5.402c2.409,2.493-6.223,4.75-5.593,5.401c1.384,1.435,4.741-7.52,6.418-5.783
								c0.478,0.495-6.145,5.934-6.145,5.934c1.947,2.018,5.644-0.038,5.644-0.038s-0.158,0.044-0.103,0.1
								c0.123,0.128,0.818-0.087,0.985,0.085l-0.794,0.768"/>
							</svg>
				        </header>
				         
				        <div class="row our-event-list-container">
			        		<?php
			        			//for featured events section start
			        			$our_events_arg 	= array(								
			        								'post_type'   		=> 'event',
			        								'posts_per_page'    => 5,
			        								'meta_query' 		=> array(
			        									                    array(
			        									                        'key' => 'featured-checkbox',
			        									                        'value' => 'no'
			        									                    )
			        					                				),
			        							);

			        			$our_events_query = new WP_Query( $our_events_arg );
			        			
			        			if( $our_events_query->have_posts() ){
			        				$count = 1;
			        				while( $our_events_query->have_posts() ){
			        					$our_events_query->the_post();
		        					 	if( ($count % 3) == 1 ){
		        					 		$wrapper_class 	= 'custom-col-7';
	        					 			$image_thumb	= 'our-events-big';
		        					 	} else {
		        					 		$wrapper_class 	= 'custom-col-5';
	        					 			$image_thumb	= 'our-events-big';
		        					 	}

	        					 	  	$our_events_meta   = get_post_meta( get_the_id (), 'event_meta', true );
			 		    	            $our_event_url 	= $our_events_meta['event_url'];
			 		    	            if( !empty( $our_event_url )) {
			 	    	            		$event_url 	= $our_event_url;
			 		    	            }else {
			 	    	            		$event_url 	= get_the_permalink();
			 		    	            }
			        					?>
			        					<div class="<?php echo $wrapper_class; ?>">
			        					    <div class="post">
			        					        <figure class="featured-image">
			        					            <?php if( has_post_thumbnail() ){ ?>
		        					            		<img src="<?php echo get_the_post_thumbnail_url( get_the_ID(),  $image_thumb ); ?>" alt="">
		        									<?php } ?>
			        					        </figure>
			        					        <div class="post-content">
			        					        	<a href="<?php echo $event_url; ?>">
			        					            	<?php the_title( '<h3 class="entry-title">', '</h3>' );	?>
		        					            	</a>
			        					            <?php the_content(); ?>
			        					        </div>
			        					    </div>
			        					</div>
			        				<?php
			        					$count++;
			        				}
			        				wp_reset_postdata();
			        				wp_reset_query();
			        			} 
			        			//featured events section ends
			        		?>

				            <!-- <div class="custom-col-7">
				                <div class="post">
				                    <figure class="featured-image">
				                        <img src="images/explor1.jpg" alt="">
				                    </figure>
				                    <div class="post-content">
				                        <h3 class="entry-title">Keynote Kickoff</h3>
				                        <p>Lorem ipsum dolor sit amet consectutuer</p>
				                    </div>
				                </div>
				            </div>
				            <div class="custom-col-5">
				                <div class="post">
				                    <figure class="featured-image">
				                        <img src="images/explor2.jpg" alt="">
				                    </figure>
				                    <div class="post-content">
				                        <h3 class="entry-title">First Tech Challenge</h3>
				                        <p>Lorem ipsum dolor sit amet consectutuer</p>
				                    </div>
				                </div>
				            </div>
				            <div class="custom-col-5">
				                <div class="post">
				                    <figure class="featured-image">
				                        <img src="images/explor3.jpg" alt="">
				                    </figure>
				                    <div class="post-content">
				                        <h3 class="entry-title">Falling Forward</h3>
				                        <p>Lorem ipsum dolor sit amet consectutuer</p>
				                    </div>
				                </div>
				            </div>
				            <div class="custom-col-7">
				                <div class="post">
				                    <figure class="featured-image">
				                        <img src="images/explor4.jpg" alt="">
				                    </figure>
				                    <div class="post-content">
				                        <h3 class="entry-title">New Venture Competition</h3>
				                        <p>Lorem ipsum dolor sit amet consectutuer</p>
				                    </div>
				                </div>
				            </div> -->
				        </div>
				        <div class="explore-svg-file">
					        <svg version="1.1" class="red-line" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
					             width="345px" height="414px" viewBox="0 0 86.578 28.717" enable-background="new 0 0 86.578 28.717" xml:space="preserve">
					        <path class="line-effect" fill="none" stroke="#F15B5C" stroke-width="0.245" stroke-linecap="round" stroke-linejoin="round" d="M1.951,26.395
					            l-0.793-0.768c1.031-1.068,2.478,0.428,3.361-0.487c0.93-0.962-2.436-2.026-2.273-2.194c0,0,14.855,10.799,22.834,2.535
					            C26.009,24.522-4.724,9.226,1.535,2.743c11.084-11.478,14.979,32.891,24.93,22.589c7.09-7.342-36.518-10.426-24.105-23.28
					            c11.694-12.109,17.713,37.294,31.247,23.28c5.898-6.108-17.806-4.89-11.657-11.258c12.996-13.458,32.125,14.011,36.08,9.914
					            c3.693-3.823-9.356-9.036-9.356-9.036c5.495-5.69,11.807,3.863,16.798-1.304c4.354-4.51-11.016-10.638-11.016-10.638
					            c3.746-3.878,21.971,22.479,32,12.092c0,0-10.505-9.806-10.337-9.979"/>
					        </svg>
					        <svg version="1.1"  class="big-blue-line" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
					             width="695px" height="260" viewBox="0 0 84.199 32.432" enable-background="new 0 0 84.199 32.432" xml:space="preserve">
					        <path class="line-effect" fill="none" stroke="#00B3E2" stroke-width="0.245" stroke-linecap="round" stroke-linejoin="round" d="M1.056,31.523
					            l-0.794-0.768c0.167-0.171,0.862,0.043,0.985-0.085c0.055-0.056-0.103-0.1-0.103-0.1s3.697,2.057,5.644,0.038
					            c0,0-6.623-5.438-6.145-5.934c1.677-1.736,5.034,7.218,6.419,5.785c0.629-0.653-8.003-2.909-5.594-5.403
					            C3,23.47,6.645,32.944,9.044,30.46c2.522-2.613-12.532-3.233-8.1-7.823c5.784-5.99,15.003,7.576,15.003,7.576
					            C18.07,28.015,1.859,16.609,1.859,16.609c4.406-4.563,15.144,17.194,18.858,13.349c3.399-3.52-19.853-19.171-19.853-19.171
					            S25.727,37.46,31.561,31.419l-13.18-12.728c7.279-7.537,14.525,16.626,19.154,11.832c0.24-0.248-12.624-10.582-11.82-11.414
					            c4.942-5.117,12.12,13.195,14.061,11.186c1.151-1.192-10.861-10.488-10.861-10.488S40.473,37.14,47.442,29.924
					            c1.842-1.907-13.602-6.636-10.354-9.999c0,0,13.187,11.002,14.19,9.964c5.28-5.467-16.196-3.328-10.044-9.699
					            c6.733-6.972,16.999,9.316,16.999,9.316L47.801,19.433c3.433-3.556,7.441,7.693,11.497,3.491l-7.785-7.519
					            c5.047-5.227,10.668,7.074,14.1,3.523L53.876,7.594c0,0,10.2,16.626,15.553,11.082c0,0-18.789-8.982-14.211-13.724
					            c0,0,17.959,16.238,19.676,14.461c8.017-8.303-18.233-17.606-18.233-17.606c9.7-10.043,16.073,28.581,26.979,17.288
					            c1.711-1.774-10.154-6.82-8.664-8.364c2.748-2.844,9.07,8.039,9.07,8.039c0.742-0.771-12.422-4.496-8.674-8.377"/>
					        </svg>
					        <svg version="1.1" class="yellow-line" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
					             width="375px" height="320px" viewBox="0 0 150.662 130.937" enable-background="new 0 0 150.662 130.937"
					             xml:space="preserve">
					        <path class="line-effect" fill="none" stroke="#E1E328" stroke-width="0.663" stroke-linecap="round" stroke-linejoin="round" d="M2.482,128.785
					            c0,0-2.252-1.966-2.147-2.075c9.084-9.407,41.147,10.506,49.854,1.489c21.685-22.454-50.094-38.52-45.169-43.62l103.523,37.888
					            L84.857,99.593c1.459-1.51,32.631,23.892,42.183,14.001l-22.786-22.005c16.229-16.807,41.078-6.789,45.362-11.226
					            c6.458-6.687-32.933-31.803-32.933-31.803c0.6-0.622,7.262-29.239,22.019-44.52c2.964-3.069-3.839-3.708-3.839-3.708"/>
					        </svg>
					        <svg version="1.1" class="small-blue-line" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
					             width="426px" height="385px" viewBox="0 0 59.473 54.743" enable-background="new 0 0 59.473 54.743" xml:space="preserve">
					        <path class="line-effect" fill="none" stroke="#00B3E2" stroke-width="0.245" stroke-linecap="round" stroke-linejoin="round" d="M58.554,54.15
					            c0,0,0.833-0.728,0.795-0.768C56.71,50.65,47.4,56.552,44.87,53.933c-6.251-6.474,14.165-10.839,12.747-12.309L26.993,53.326
					            l10.125-9.777c-0.616-0.637-12.706,12.639-16.737,8.465l8.8-8.497c-6.518-6.75-16.92,3.94-18.641,2.158
					            c-1.652-1.71,7.623-7.361,7.623-7.361C17.9,38.042,9.016,29.875,2.56,23.19C-9.383,10.822,26.447,0.123,26.447,0.123L7.564,8.644
					            c0,0,3.118-1.055,2.141-2.067"/>
					        </svg>
					        <svg version="1.1" class="grey-line" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
					             width="295" height="285px" viewBox="0 0 40.461 39.513" enable-background="new 0 0 40.461 39.513" xml:space="preserve">
					        <path class="line-effect" fill="none" stroke="#525760" stroke-width="0.245" stroke-linecap="round" stroke-linejoin="round" d="M26.153,39.39
					            c2.406-2.491-16.687-9.476-13.37-12.911c3.412-3.534,14.114,11.081,14.114,11.081L12.247,23.413c3.573-3.7,13.672,5.87,13.672,5.87
					            L11.683,15.535c5.402-5.595,15.198,11.743,15.198,11.743c5.08-5.26-26.759-25.84-26.759-25.84s25.247,21.883,26.862,20.21
					            C35.17,13.171,0.471,6.309,5.601,0.998c0,0,17.783,23.046,21.343,19.36c0,0-27.474-9.978-19.202-18.543L26.498,17.77
					            c2.589-2.682-26.747-7.717-17.696-17.089L28.015,14.47c0,0-19.514-6.316-13.254-12.799c1.424-1.475,21.095,11.433,21.095,11.433
					            S20.593,4.016,23.416,1.092c0,0,13.376,16.18,15.982,13.481c1.9-1.968-20.726-7.593-14.517-14.021
					            c3.336-3.456,8.805,18.391,15.437,11.521c0,0-14.613-9.121-12.12-11.704L39.644,3.13c1.198-1.241-3-1.252-2.178-2.103
					            c0.999-1.033,2.382,0.37,2.872-0.138l-0.795-0.767"/>
					        </svg>

					        
					    </div>
				    </div>
				</section>
			<?php endif; ?>
			<!-- explore our events section ends -->

		</main>
	</div>
</div>
<?php get_footer();