<?php
/*remove query strings from static resources*/
function ewp_remove_script_version( $src ){
  return remove_query_arg( 'ver', $src );
}
add_filter( 'script_loader_src', 'ewp_remove_script_version', 15, 1 );
add_filter( 'style_loader_src', 'ewp_remove_script_version', 15, 1 );
//Hide Version Number/
remove_action('wp_head', 'wp_generator');
//Hide Visual Composer Info/
add_action('init', 'myoverride', 100);
function myoverride() {
    remove_action('wp_head', array(visual_composer(), 'addMetaData'));
}
//Hide Version Number/
remove_action('wp_head', 'wp_generator');
remove_action( 'wp_head', 'feed_links_extra', 3 ); // Display the links to the extra feeds such as category feeds
remove_action( 'wp_head', 'feed_links', 2 ); // Display the links to the general feeds: Post and Comment Feed
remove_action( 'wp_head', 'rsd_link' ); // Display the link to the Really Simple Discovery service endpoint, EditURI link
remove_action( 'wp_head', 'wlwmanifest_link' ); // Display the link to the Windows Live Writer manifest file.
remove_action( 'wp_head', 'index_rel_link' ); // index link
remove_action( 'wp_head', 'parent_post_rel_link', 10, 0 ); // prev link
remove_action( 'wp_head', 'start_post_rel_link', 10, 0 ); // start link
remove_action( 'wp_head', 'adjacent_posts_rel_link', 10, 0 ); // Display relational links for the posts adjacent to the current post.
remove_action('wp_head', 'wp_shortlink_wp_head', 10, 0); //Hide shortlink
/*remove wp emoji*/
remove_action('wp_head', 'print_emoji_detection_script', 7);
remove_action('wp_print_styles', 'print_emoji_styles');
remove_action( 'admin_print_scripts', 'print_emoji_detection_script' );
remove_action( 'admin_print_styles', 'print_emoji_styles' );
	/* rws theme supports */
	if(!function_exists( 'rws_theme_supports' ) ):

		function rws_theme_supports(){
			// for rss feeds in header
			add_theme_support( 'automatic-feed-links' );
			//generates the title tag
			add_theme_support( 'title-tag' );
			// support for the post thumbnails for posts and pages
			add_theme_support( 'post-thumbnails' );
			// menu for theme
			add_theme_support('menus');

			add_theme_support( 'custom-logo' );

			//registering the menus for the theme
			register_nav_menus( array(
				'primary' 			=> __( 'Primary Left' ),
				'primary-2' 		=> __( 'Primary Right' ),
				'social-media' 		=> __( 'Landing Social Media' ),
				) );

			/*=======================================
			=            thumbnail sizes            =
			=======================================*/
			add_image_size( 'featuerd-events', 512, 428, true );
			add_image_size( 'our-events-big', 736, 316, true );
			add_image_size( 'our-events-small', 427, 316, true );
			add_image_size( 'press-releases', 552, 322, true );
			add_image_size( 'about-gallery-large', 382, 389, true );
			add_image_size( 'about-gallery-small', 329, 157, true );
			add_image_size( 'key-partners', 226, 120, true );
			add_image_size( 'about-team-thumb', 230, 230, true );
			add_image_size( 'sponsor-3xl', 189, 131, true );
			add_image_size( 'sponsor-2xl', 160, 45, true );
			add_image_size( 'sponsor-1xl', 116, 56, true );
			// add_image_size( 'sponsor-large', 120, 46, true );
			add_image_size( 'sponsor-medium', 112, 56, true );
			add_image_size( 'sponsor-small', 96, 77, true );
			add_image_size( 'host-event-thumb', 581, 369, true );
			add_image_size( 'event-list-thumb', 397, 302, true );

			add_image_size( 'page-header-thumb', 1400, 540, true );

			// Switch default core markup for search form, comment form, and comments to output valid HTML5.
			add_theme_support( 'html5', array(
				'search-form', 'comment-form', 'comment-list', 'gallery', 'caption'
			) );

			/* Global option for codestar */
			global $rws_options;
			// get all values from theme options
			$rws_options 	= cs_get_all_option();
			/* End of Global option */

		}
		add_action( 'after_setup_theme','rws_theme_supports' );
	endif;
	/* End of rws theme supports */

	/**
	 * Enqueue styles and scripts
	 * @return void
	 */
	function rws_enqueue_scripts(){
		global $rws_options;

		//enqueing styles
	    wp_enqueue_style( 'owl.carousel.css', get_stylesheet_directory_uri().'/css/owl.carousel.css',array(), '1.0.0', 'all' );
	    wp_enqueue_style( 'owl.theme.css', get_stylesheet_directory_uri().'/css/owl.theme.css',array(), '1.0.0', 'all' );
	    wp_enqueue_style( 'meanmenu.css', get_stylesheet_directory_uri().'/css/meanmenu.css',array(), '1.0.0', 'all' );
		wp_enqueue_style( 'animate-css', get_stylesheet_directory_uri().'/css/animate.css', array(), '1.0.0', 'all' );
		wp_enqueue_style( 'font-awesome.min.css', get_stylesheet_directory_uri().'/css/font-awesome.min.css',array(), '1.0.0', 'all' );

		//enqueing scripts
		wp_enqueue_script( 'meanmenu.js', get_stylesheet_directory_uri().'/js/jquery.meanmenu.js', array( 'jquery' ), '1.0.0', true );
		wp_enqueue_script( 'owl.carousel.js', get_stylesheet_directory_uri().'/js/owl.carousel.js', array( 'jquery' ), '1.0.0', true );

		//for particular page template
		if( is_page_template( 'templates/template-landingpage.php' ) ):
			//adding google fonts
			$landing_query_args = array(
				'family' => 'Poppins:200,300,400,500,600,700,800',
				);
			wp_register_style( 'rws-landing-google_fonts', add_query_arg( $landing_query_args, "//fonts.googleapis.com/css" ), array() , null );
			wp_enqueue_style( 'bootstrap', get_stylesheet_directory_uri().'/css/bootstrap.min.css',array(), '1.0.0', 'all' );
			wp_enqueue_style( 'rws-landing-style-css', get_stylesheet_directory_uri().'/css/landing-style.css', array('rws-landing-google_fonts'), '1.0.0', 'all' );
	    	wp_enqueue_style( 'landing-responsive.css', get_stylesheet_directory_uri().'/css/landing-responsive.css',array(), '1.0.0', 'all' );

			wp_enqueue_script( 'bootstrap.min.js', get_stylesheet_directory_uri().'/js/bootstrap.min.js', array( 'jquery' ), '1.0.0', true );
			wp_enqueue_script( 'rws-landing-custom-js', get_stylesheet_directory_uri().'/js/landing-custom.js', array( 'jquery', 'owl.carousel.js' ), '1.0.0', true );
    	else:
    		//adding google fonts
			$query_args = array(
				'family' => 'Open+Sans:300,400,600,700,800',
				);
			wp_register_style( 'rws-google_fonts', add_query_arg( $query_args, "//fonts.googleapis.com/css" ), array() , null );
			wp_enqueue_style( 'rws-style-css', get_stylesheet_uri(), array('rws-google_fonts'), '1.0.11', 'all' );
	    	wp_enqueue_style( 'responsive.css', get_stylesheet_directory_uri().'/css/responsive.css',array(), '1.0.0', 'all' );

	    	wp_enqueue_script( 'rws-custom-js', get_stylesheet_directory_uri().'/js/custom.js', array( 'jquery', 'owl.carousel.js' ), '1.0.0', true );

	    	wp_localize_script( 'rws-custom-js', 'myAjax', array( 'ajaxurl' => admin_url( 'admin-ajax.php' )));

		endif;

		/*$site_title_bg_color 	= $rws_options['site_title_bg_color'];
		$site_title_text_color 	= $rws_options['site_title_text_color'];
		if ( !empty( $site_title_bg_color ) || !empty( $site_title_text_color ) ) {
			$custom_css = '.heading .entry-title,
			.highlight-title {
				background: '.$site_title_bg_color.';
				color: '.$site_title_text_color.';
			}';
		}
		wp_add_inline_style( 'rws-style-css', $custom_css );*/


        if ( is_page_template( 'templates/template-events-overview.php' ) ) {

            wp_enqueue_style( 'fullcalendar', get_stylesheet_directory_uri() . '/js/rwscalendar/fullcalendar.min.css', array(), '1.0.0', 'all' );
            wp_enqueue_style( 'scheduler', get_stylesheet_directory_uri() . '/js/rwscalendar/scheduler.min.css', array(), '1.0.0', 'all' );
            wp_enqueue_style( 'slick', get_stylesheet_directory_uri() . '/js/rwscalendar/slick.css', array(), '1.0.0', 'all' );
            wp_enqueue_style( 'slicktheme', get_stylesheet_directory_uri() . '/js/rwscalendar/slick-theme.css', array(), '1.0.0', 'all' );
            wp_enqueue_style( 'qtip', get_stylesheet_directory_uri() . '/js/rwscalendar/jquery.qtip.css', array(), '1.0.0', 'all' );

            wp_enqueue_script( 'moment', get_stylesheet_directory_uri() . '/js/rwscalendar/moment.js', '', '1.0.0', true );
            wp_enqueue_script( 'fullcalendar', get_stylesheet_directory_uri() . '/js/rwscalendar/fullcalendar.js', '', '1.0.0', true );
            wp_enqueue_script( 'scheduler', get_stylesheet_directory_uri() . '/js/rwscalendar/scheduler.min.js', '', '1.0.0', true );

            wp_enqueue_script( 'slick', get_stylesheet_directory_uri() . '/js/rwscalendar/slick.js', '', '1.0.0', true );

            wp_enqueue_script( 'qtip', get_stylesheet_directory_uri() . '/js/rwscalendar/jquery.qtip.js', '', '1.0.0', true );

            wp_enqueue_script( 'calendar', get_stylesheet_directory_uri() . '/js/rwscalendar/calendar.js', '', '1.0.0', true );

            $query = new WP_Query( array(
                'post_type'      => 'espresso_events',
                'posts_per_page' => - 1
            ) );


            $rws_event_arr = array();
            if ( $query->have_posts() ) {

                global $list_days_with_events;
                $list_days_with_events = array();

                while ( $query->have_posts() ) {
                    $query->the_post();

                    global $post;

                    // https://eventespresso.com/topic/how-to-add-event-status-conditionals/
                    // $rws_event_status =$post->EE_Event->get_active_status();

                    // https://github.com/eventespresso/event-espresso-core/blob/master/public/Espresso_Arabica_2014/content-espresso_events-venues.php
                    $rws_event_venue = espresso_venue_name( 0, '', false );

                    // https://eventespresso.com/topic/get-event-start-date-when-looping-through-events/
                    $x = $post->EE_Event->first_datetime();

                    $event_start = strtotime( $x->start_date( 'Y-m-d\TH:i:s' ) );

                    $event_end = strtotime( $x->end_date( 'Y-m-d\TH:i:s' ) );

                    // $day = date('j', $event_start);
                    // $month = date('M', $event_start);
                    // $year = date('Y', $event_start);
                    if ( date( 'Y' ) == date( 'Y', $event_start ) ) {

                        // $list_days_with_events[$post->ID][] = date('d', $event_start);
                        // $list_days_with_events[$post->ID][] = date('d', $event_end);
                        if ( $rws_options['display_month'] == date( 'm', $event_start ) ) {
                            $list_days_with_events[] = date( 'd', $event_start );
                        }
                        if ( $rws_options['display_month'] == date( 'm', $event_end ) ) {
                            $list_days_with_events[] = date( 'd', $event_end );
                        }

                    }


                    $full_start_time_string = date( 'Y-m-d\TH:i:s', $event_start );

                    $full_end_time_string = date( 'Y-m-d\TH:i:s', $event_end );

                    $featured_image = get_the_post_thumbnail();

                    $terms = get_the_terms( $post, 'espresso_event_categories' );

                    // \wp-content\plugins\ee4-events-calendar\admin\calendar\espresso_events_Calendar_Hooks.Class.php

                    $category = EEM_Term::instance()->get_one_by_ID( $terms[0]->term_id );
                    if ( ! is_null( $category ) ) {
                        $ctg_background_color = $category->get_extra_meta( 'background_color', true );
                    }

                    $rws_event_arr[] = array(
                        'title'       => get_the_title(),
                        // 'start'=> '2018-01-05T10:30:00',
                        'start'       => $full_start_time_string,
                        'end'         => $full_end_time_string,
                        'description' =>
                            '<div class="rws-venue"><span>Venue:</span>' . $rws_event_venue . '</div>'
                            . $featured_image
                            . get_the_excerpt()
                            . '<a class="rws-event-more-info" href="' . get_permalink() . '">More Info</a>',

                        'className' => 'rws-indi-event event-status-', // . $rws_event_status,
                        'color'     => $ctg_background_color
                    );
                }
                wp_reset_postdata();
            }
            wp_localize_script( 'calendar', 'rws_event_obj', $rws_event_arr );
        }

	}
	add_action('wp_enqueue_scripts','rws_enqueue_scripts');
	/* End of Enqueue styles and scripts */

	//admin area scripts
	function rws_admin_custom_scripts() {
		wp_enqueue_script( 'metaboxs-switch', get_stylesheet_directory_uri() . '/js/metaswitch.js', '', '1.0.0', true );
		wp_enqueue_script( 'metaboxs-admin', get_stylesheet_directory_uri() . '/js/custom-admin.js', '', '1.0.1', true );
		wp_enqueue_script( 'jquery-ui-datepicker');
		wp_enqueue_style( 'datepicker-css', '//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css', true );
	}
	add_action( 'admin_enqueue_scripts', 'rws_admin_custom_scripts' );

	function rws_content_width() {
		$GLOBALS['content_width'] = apply_filters( 'rws_content_width', 640 );
	}
	add_action( 'after_setup_theme', 'rws_content_width', 0 );

	/**
	 * Register Widget
	 */
	/* add_action( 'widgets_init', 'rws_register_sidebars' );
	function rws_register_sidebars() {
		//widget support for a footer
		for ($i=1; $i < 5; $i++) {
			register_sidebar(array(
				'name' => 'Footer Widget '.$i,
				'id' => 'footer-widget-'.$i,
				'description' => 'Widgets in this area will be shown on the Footer.',
			  	'before_widget' => '<aside id="%1$s" class="widget">',
			  	'after_widget'  => '</aside>',
			  	'before_title' => '<h2 class="widget-title">',
			  	'after_title' => '</h2>'
			));
		}
		//widget support for a right sidebar
		register_sidebar(array(
			'name' => 'Right SideBar',
		  	'id' => 'right-sidebar',
		  	'description' => 'Widgets in this area will be shown on the right-hand side.',
		  	'before_widget' => '<div id="%1$s" class="widget">',
		  	'after_widget'  => '<div class="clear"></div></div>',
		  	'before_title' => '<h3 class="widget-title column-title">',
		  	'after_title' => '</h3>'
		));
	} */

	/* to support upload of svg image */
	function cc_mime_types($mimes) {
	  $mimes['svg'] = 'image/svg+xml';
	  return $mimes;
	}
	add_filter('upload_mimes', 'cc_mime_types');

	/* Other Dependencies */
	require_once(get_template_directory().'/inc/init.php');

	/* End of Other Dependencies */


	function addNotificationMessage($message, $code=400){
		$_SESSION['error'][] = array($message, $code);
	}

	function getNotificationMessages($remove = true){
		$temp = $_SESSION['error'];
		if($remove){
			$_SESSION['error'] = array();
		}
		return $temp;
	}

	//for pagination
	function rws_custom_pagination( $wp_query ){
	    //global $wp_query;
	    $pagination_posts = paginate_links (array('base' => str_replace( PHP_INT_MAX, '%#%', esc_url( get_pagenum_link( PHP_INT_MAX ) ) ),
	            'total'         => $wp_query->max_num_pages,
	            'mid_size'      => 2,
	            'type'          => 'array',
	            'prev_text'     => 'Previous',
	            'next_text'     =>'Next'
	    ) );
	    if ( ! empty( $pagination_posts ) ) { ?>
	        <div class="rws-pagination-holder">
	            <ul class="pagination">
	                <?php foreach ( $pagination_posts as  $key => $page_link ) { ?>
	                    <li class="<?php if ( strpos( $page_link, 'current' ) !== false ) { echo 'active'; } ?>"><?php echo $page_link ?></li>
	                <?php } ?>
	            </ul>
	        </div>
	    <?php }
	}

	function debugger($content, $isDie=false){
		echo "<pre>";
		var_dump($content);
		echo "</pre>";
		if($isDie){
			wp_die();
		}
	}

	function the_excerpt_max_charlength($charlength) {
		$excerpt = wp_filter_nohtml_kses( get_the_content() );
		$charlength++;

		if ( mb_strlen( $excerpt ) > $charlength ) {
			$subex = mb_substr( $excerpt, 0, $charlength - 5 );
			$exwords = explode( ' ', $subex );
			$excut = - ( mb_strlen( $exwords[ count( $exwords ) - 1 ] ) );
			if ( $excut < 0 ) {
				echo mb_substr( $subex, 0, $excut );
			} else {
				echo $subex;
			}
			echo '...';
		} else {
			echo $excerpt;
		}
	}

	/* press release ajax load more */
	add_action("wp_ajax_load_more_latest_post", "load_more_latest_post");
	add_action("wp_ajax_nopriv_load_more_latest_post", "load_more_latest_post");

	function load_more_latest_post() {
		$offset = $_POST['offset'];

		$args = array(
			'post_type' => 'press-release',
			'posts_per_page' => 2,
			'offset' => $offset
		);
		$press_release_query = new WP_Query( $args );
		if( $press_release_query->have_posts() ) :
			echo '<div class="row">';
				while( $press_release_query->have_posts() ):
					$press_release_query->the_post();
				?>
						<div class="post post-wrapper">
						    <?php if( has_post_thumbnail() ){ ?>
						        <figure class='featured-image'>
						            <img src="<?php echo get_the_post_thumbnail_url( get_the_ID(), 'press-releases' ); ?>" alt="">
						        </figure>
						    <?php } ?>
						    <div class="post-content">
						        <div class="entry-meta">
						            <div class="post-category">
						                <ul>
						                    <li><a href="#">Press Release</a></li>
						                </ul>
						            </div>
						            <span class="post-date"><?php printf( _x( '%s ago', '%s = human-readable time difference', 'rws-idea' ), human_time_diff( get_the_time( 'U' ), current_time( 'timestamp' ) ) ); ?></span>
						        </div>
						        <?php
						            the_title( '<h3 class="entry-title"><a href="' . get_the_permalink() . '" >', '</a></h3>' );
						        ?>
						        <div class="entry-content">
						            <?php //the_content(); ?>
						            <p><?php the_excerpt_max_charlength(170); ?></p>
						            <a href="<?php the_permalink();?>" class="box-button">read more</a>
						        </div>
						    </div>
						</div>
				<?php
				endwhile;
			echo '</div>';
		endif;
		wp_die();
	}


	function mag_lite_body_classes( $classes ) {
		// Adds a class of hfeed to non-singular pages.
		if( get_page_template_slug( get_the_ID() ) == 'templates/template-hostaevent.php' || get_page_template_slug( get_the_ID() ) == 'templates/template-volunteer.php' || get_page_template_slug( get_the_ID() ) == 'templates/template-volunteer.php' ){
			$classes[] = 'sg-body sg-page-1 sg-pageid-1 sg-webkit sg-ltr sg-replace-icons';
		}
	    return $classes;

	}
	add_filter( 'body_class', 'mag_lite_body_classes' );


	/**
	 * It's just an example, proof of concept.
	 * You should modify it to include more tablets, not only iPad.
	 */
	function my_wp_is_mobile() {
	    static $is_mobile;
	    if ( isset($is_mobile) )
	        return $is_mobile;
	    if ( empty($_SERVER['HTTP_USER_AGENT']) ) {
	        $is_mobile = false;
	    } elseif (
	        strpos($_SERVER['HTTP_USER_AGENT'], 'Android') !== false
	        || strpos($_SERVER['HTTP_USER_AGENT'], 'Silk/') !== false
	        || strpos($_SERVER['HTTP_USER_AGENT'], 'Kindle') !== false
	        || strpos($_SERVER['HTTP_USER_AGENT'], 'BlackBerry') !== false
	        || strpos($_SERVER['HTTP_USER_AGENT'], 'Opera Mini') !== false ) {
	            $is_mobile = true;
	    } elseif (strpos($_SERVER['HTTP_USER_AGENT'], 'Mobile') !== false && strpos($_SERVER['HTTP_USER_AGENT'], 'iPad') == false) {
	            $is_mobile = true;
	    } elseif (strpos($_SERVER['HTTP_USER_AGENT'], 'iPad') !== false) {
	        $is_mobile = false;
	    } else {
	        $is_mobile = false;
	    }
	    return $is_mobile;
	}


    // called from espresso events list page to check similar dates
    // templates/template-espresso-events-list.php
    function check_similar_date( $previous_date, $date ) {

        if( $previous_date == $date ) {
            return true;
        } else {
            return false;
        }

    }

    // custom meta box file for data and city on event page
    require('inc/event-custom-metabox.php');

    // function to get the event start date
    if (! function_exists('get_event_start_date') ){
    	function get_event_start_date(){
    		$even_posts = get_posts( array('post_type'=>'espresso_events', 'order' => 'DESC','post_status' => 'publish','posts_per_page' => -1 ) );
    		foreach( $even_posts as $even_post ){
				$event_dates[] = get_post_meta( $even_post->ID, 'es_date', true );
			}
			return $event_dates;
    	}
    }

    // function to get the venue city name
    if (! function_exists('get_venue_city_name') ){
    	function get_venue_city_name($post_id){
    		if($post_id){
    			$venues_posts = get_posts(array('post_type'=>'espresso_venues' , 'include' => $post_id , 'suppress_filters' => false , 'active_status' => 'active' ));
    		}else{
    			$venues_posts = get_posts(array('post_type'=>'espresso_venues', 'posts_per_page' => -1 ,'suppress_filters' => false , 'active_status' => 'active' ));
    		}

		    foreach( $venues_posts as $venue_post ) {
		        $venues[]   = $venue_post->EE_Venue;
		    }
		    foreach( $venues as $venue ) {
		        $cities[]   = $venue->city();
		    }

		    return $cities;

    	}
    }



    // custom function to get meta value of city
    // templates/template-espresso-events-list.php
    // js/custom-admin.js
    add_action( 'wp_ajax_nopriv_get_city_value', 'get_city_value_callback' );
    add_action( 'wp_ajax_get_city_value' , 'get_city_value_callback' );

    function get_city_value_callback(){
    	$post_id = $_POST['post_id'];
    	if($post_id == 0 ){
    		echo '0';
    	}else{
		    $venue_cities = get_venue_city_name($post_id);
		    $cities = array_unique($venue_cities);
		    foreach( $cities as $city ) {
		        echo $city;
		    }
    	}
	    die();
    }
    
    // Function to change email address
	add_filter( 'wp_mail_from', 'iw_sender_email' );
	function iw_sender_email( $admin_email ) {
		global $rws_options;
		$admin_email = $rws_options['event_register_sending_email'] ? $rws_options['event_register_sending_email'] : 'info@idea-week.com';
	    return $admin_email;
	}

	// Function to change sender name
	add_filter( 'wp_mail_from_name', 'iw_sender_name' );
	function iw_sender_name( $site_title ) {
		$site_title  = get_bloginfo( 'name' ) ? get_bloginfo( 'name' ) : 'Idea Week';
	    return $site_title;
	}

	/*for disable admin bar for subscriber */
	function remove_admin_bar() {
		if (current_user_can( 'subscriber' ) ) {
			show_admin_bar(false);
		}
	}
	add_action( 'after_setup_theme', 'remove_admin_bar', 10,1 );

	function disable_admin_bar() {
		if (current_user_can('subscriber')) { ?>
			<style type="text/css"> #wpadminbar{ display: none; } html.wp-toolbar{ padding-top: 0px !important }</style>
		<?php
		}
	}
	add_action('admin_head', 'disable_admin_bar');



/* Disable use of strong password : https://wordpress.org/support/topic/how-can-i-deactivate-strong-password/ */
add_action('wp_footer', 'dequeue_wc_password_strength_meter');
function dequeue_wc_password_strength_meter() {
   wp_dequeue_script('wc-password-strength-meter');
}

add_action( 'wp_print_scripts', 'DisableStrongPW', 100 );
function DisableStrongPW() {
    if ( wp_script_is( 'wc-password-strength-meter', 'enqueued' ) ) {
        wp_dequeue_script( 'wc-password-strength-meter' );
    }
}