<?php
if ( ! defined( 'ABSPATH' ) ) {
	die;
}
// Cannot access pages directly.

/**
 * initializing the theme options array
 * @return array
 */
function rws_framework_options() {
	// ==================================================================================
	// FRAMEWORK SETTINGS
	// ==================================================================================

	$settings = array(
		'menu_title'      => 'Theme Options',
		//'menu_type'       => 'add_theme_page', old version of codestar
		'menu_type'       => 'theme', // menu, submenu, options, theme, etc.
		'menu_slug'       => 'rws-framework',
		'ajax_save'       => true,
		'show_reset_all'  => false,
		'framework_title' => 'PC Framework <small>by Priemer Consulting</small>',
	);

	// ===================================================================================
	// FRAMEWORK OPTIONS
	// ===================================================================================
	$options = array();

	// ------------------------------------
	// Theme option used for overall site -
	// ------------------------------------
	$options[] = array(
		'name'   => 'site-general-options',
		'title'  => 'Site General Option',
		'icon'   => 'fa fa-cog',
		// begin: fields
		'fields' => array(
			array(
				'id'      => 'notice',
				'type'    => 'subheading',
				'content' => __( 'Site General Options', 'rws-iw' ),
			),
			array(
				'id'    => 'event_list_number_days',
				'type'  => 'number',
				'title' => 'Days',
				'desc'  => 'Event List Number of Days ',
			),
			array(
				'id'       => 'site_logo_svg',
				'type'     => 'textarea',
				'title'    => 'Site SVG Logo',
				'desc'     => 'Site SVG Logo code here',
				'help'     => 'Site SVG Logo',
				'sanitize' => 'html',
			),
			array(
				'id'       => 'site_footer_logo',
				'type'     => 'textarea',
				'title'    => 'Site Footer Logo',
				'desc'     => 'Site Footer Logo to be uploaded here',
				'help'     => 'Site Footer Logo',
				'sanitize' => 'html',
			),
			array(
				'id'    => 'idea_center_footer_logo',
				'type'  => 'upload',
				'title' => 'Idea Center Footer Logo',
				'desc'  => 'Idea Center Logo to be uploaded here',
				'help'  => 'Idea Center Logo',
			),
			array(
				'id'       => 'site_address',
				'type'     => 'textarea',
				'title'    => 'Site Address',
				'sanitize' => 'html',
			),
			array(
				'id'    => 'site_email',
				'type'  => 'text',
				'title' => 'Email Address',
			),
			array(
				'id'    => 'site_number',
				'type'  => 'text',
				'title' => 'Phone Number',
			),
			array(
				'id'       => 'site_copyright',
				'type'     => 'textarea',
				'title'    => 'Copyright',
				'sanitize' => 'html',
			),

		), // end: fields
	);
	/* ends overall site theme option */

	// ------------------------------------
	// Theme option used for landing page -
	// ------------------------------------
	$options[] = array(
		'name'   => 'general-options',
		'title'  => 'Landing Page General',
		'icon'   => 'fa fa-cog',

		// begin: fields
		'fields' => array(
			array(
				'id'      => 'notice',
				'type'    => 'subheading',
				'content' => __( 'Landing Page General Options', 'rws-iw' ),

			),

			/*array(
				'type'      => 'notice',
				'class'     => 'info',
				'content'   => __( 'Goto Appearance > Customize > Site Identity > Logo for site logo and Site Icon to add the Favicon.' ),

			),*/

			array(
				'id'    => 'landing_page_logo',
				'type'  => 'image',
				'title' => 'Landing Page Logo',
				'desc'  => 'Landing Page Logo to be uploaded here',
				'help'  => 'Logo for Landing Page',
			),

			array(
				'id'         => 'site_before_copyright',
				'type'       => 'textarea',
				'title'      => 'Before Copyright',
				'attributes' => array(
					'style' => 'width: 100%;'
				),
				'sanitize'   => 'html',
			),


			array(
				'type'    => 'notice',
				'class'   => 'info',
				'content' => 'Social Media Section',
			),
			array(
				'id'    => 'rws_social_media_enable',
				'type'  => 'switcher',
				'title' => 'Social Media Enable',
			),
			array(
				'id'         => 'social_media_title',
				'type'       => 'text',
				'title'      => 'Section Title',
				'dependency' => array( 'rws_social_media_enable', '==', 'true' ),
			),
			array(
				'type'    => 'notice',
				'class'   => 'info',
				'content' => 'Select Social Media menu from Appearence > Menus in Menu Settings',
			),

		), // end: fields
	);
	/* ends langing page theme options */

	// ------------------------------------
	// Theme Option For Events Overview Page
	// ------------------------------------
	$options[] = array(
		'name'   => 'events-overview',
		'title'  => 'Events Overview',
		'icon'   => 'fa fa-cog',

		// begin: fields
		'fields' => array(
			array(
				'id'       => 'display_month',
				'type'     => 'select',
				'title'    => 'Display Month',
				'desc'     => 'Selected months days will appear above the calendar, in carousel.',
				'sanitize' => 'html',
				'options'  => array(
					'1'  => 'January',
					'2'  => 'February',
					'3'  => 'March',
					'4'  => 'April',
					'5'  => 'May',
					'6'  => 'June',
					'7'  => 'July',
					'8'  => 'August',
					'9'  => 'September',
					'10' => 'October',
					'11' => 'November',
					'12' => 'December',
				)
			),
			array(
				'id'       => 'host_an_event_link',
				'type'     => 'text',
				'title'    => 'Host an Event link',
				'desc'     => 'This is the link that appears in Events Overview Calendar page.',
				'sanitize' => 'html',

			),
			array(
				'id'       => 'espresso_ppp',
				'type'     => 'number',
				'title'    => 'Posts per page for Espress Events list',
				'desc'     => 'This is the option for setting posts per page list that appears in Events Espresso Lists  page.',
				'sanitize' => 'absint',
			),
			array(
				'id'       => 'event_cart_redirect_page',
				'type'     => 'select',
				'options' => 'pages',
				'title'    => 'Event list page archive',
				'desc'     => 'This is the option for popup on event registration page to redirect the back to event list page.',
				'sanitize' => 'html',
			),
			array(
				'id'       => 'event_register_sending_email',
				'type'     => 'text',
				'title'    => 'Email',
				'desc'     => 'This is the option for sending email to user after registration.',
				'sanitize' => 'html',
			)
		) // end: fields
	);
	/* ends Events Overview options */

	// ------------------------------------
	// Theme Option For Newsletter
	// ------------------------------------
	$options[] = array(
		'name'   => 'site-newsletter-section',
		'title'  => 'Newsletter Section',
		'icon'   => 'fa fa-cog',
		'fields' => array(
			array(
			    'id'            => 'newsletter_title',
			    'type'          => 'text',
			    'title'         => 'Section Title',
			    /*'attributes'    => array(
			                        'placeholder' => 'Wrap text with <strong></strong> for some text if required different.',
			                    ),*/
			    ),
			array(
			    'id'            => 'newsletter_desc',
			    'type'          => 'textarea',
			    'title'         => 'Section Content',
			    'sanitize'      => 'html',
			    ),
		) // end: fields
	);

	return $options;
}

add_action( 'cs_framework_options', 'rws_framework_options' );