<?php 
/**
* Template Name: Become a Sponsor Page Template
*
*/
	get_header();

	global $rws_options;
    $bas_meta          = get_post_meta( get_the_id (), 'rws_becomeasponsor_section', true );
?>
<div id="content" class="site-content">
    <div id="primary" class="content-area">
        <main id="main" class="site-main" role="main">
            <section class="sponsor-wrapper" style="background: url(<?php echo get_stylesheet_directory_uri()?>/images/sponsor-bg-img.jpg) no-repeat fixed; background-size: cover; ">
                <div class="container">
                    <?php
                        if ( have_posts() ):
                            while ( have_posts() ) : the_post();
                        ?>
                            <header class="section-header">
                                <?php the_title('<h2 class="section-title">','</h2>'); ?>
                                <svg version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="340px" height="114px" viewBox="0 0 84.2 32.432" enable-background="new 0 0 84.2 32.432" xml:space="preserve">
                                        <path class="line-effect" fill="none" stroke="#F15C5C" stroke-width="0.245" stroke-linecap="round" stroke-linejoin="round" d="M8.828,10.393
                                        C12.576,14.274-0.59,18,0.153,18.77c0,0,6.323-10.884,9.07-8.04c1.49,1.544-10.375,6.592-8.663,8.365
                                        C11.466,30.388,17.837-8.237,27.538,1.807c0,0-26.249,9.304-18.232,17.607c1.716,1.777,19.675-14.461,19.675-14.461
                                        C33.56,9.693,14.77,18.676,14.77,18.676C20.123,24.22,30.323,7.594,30.323,7.594L18.586,18.927
                                        c3.431,3.553,9.052-8.748,14.099-3.522L24.9,22.924c4.057,4.2,8.064-7.048,11.498-3.491L25.968,29.506
                                        c0,0,10.266-16.288,16.998-9.316c6.152,6.37-15.323,4.232-10.043,9.699c1.002,1.038,14.189-9.965,14.189-9.965
                                        c3.248,3.363-12.196,8.093-10.354,9.999c6.968,7.217,18.526-10.118,18.526-10.118s-12.012,9.297-10.861,10.489
                                        c1.941,2.01,9.119-16.304,14.061-11.187c0.804,0.833-12.059,11.167-11.82,11.415c4.629,4.793,11.875-19.369,19.154-11.832
                                        l-13.18,12.729c5.835,6.04,30.698-20.633,30.698-20.633S60.085,26.438,63.482,29.958c3.714,3.846,14.452-17.912,18.858-13.35
                                        c0,0-16.212,11.407-14.089,13.605c0,0,9.219-13.566,15.004-7.576c4.431,4.589-10.623,5.21-8.1,7.822
                                        c2.398,2.483,6.044-6.989,7.575-5.402c2.409,2.493-6.223,4.75-5.593,5.401c1.384,1.435,4.741-7.52,6.418-5.783
                                        c0.478,0.495-6.145,5.934-6.145,5.934c1.947,2.018,5.644-0.038,5.644-0.038s-0.158,0.044-0.103,0.1
                                        c0.123,0.128,0.818-0.087,0.985,0.085l-0.794,0.768"/>
                                    </svg>
                                <?php the_content(); ?>
                            </header>
                        <?php 
                            endwhile;
                        endif;
                    ?>

                    <?php 
                        $rws_bas_enable = $bas_meta['rws_bas_enable'];
                        if( 1 == $rws_bas_enable ):
                    ?>
                        <div class="sponsor-item-wrapper">
                        <?php
                            $bas_stat_list  = $bas_meta['rws_bas_list'];
                            if( !empty( $bas_stat_list )):
                                foreach ($bas_stat_list as $key => $value):
                                    $bas_stat_icon_id   = $value['bas_icon'];
                                    $bas_stat_value     = $value['bas_value'];
                                    $bas_stat_title     = $value['bas_title'];
                            ?>
                                    <!-- .sponsor-item -->
                                    <div class="sponsor-item">
                                        <?php if( !empty( $bas_stat_icon_id )): ?>
                                            <div class="icon-box">
                                                <div class="image-icon-wrapper">
                                                    <div class="image-icon">
                                                        <img class="icon-img" src="<?php echo rws_image_src ( array ( 'id' => $bas_stat_icon_id, 'size' => 'thumbnail' ) );?>" alt="icon">
                                                    </div>
                                                    <!-- .image-icon -->
                                                </div>
                                                <!-- .image-icon-wrapper -->
                                            </div>
                                            <!-- .icon-box -->
                                        <?php endif; ?>
                                        <div class="number">
                                            <?php echo $bas_stat_value; ?> <?php echo ($bas_stat_title) ? '<span>'.$bas_stat_title.'</span>': ''; ?>
                                        </div>
                                        <!-- .number -->
                                    </div>
                            <?php
                                endforeach;
                            endif; ?>
                        </div>
                    <?php endif; ?>
                </div>
            </section>

            <?php 
                $rws_bas_sponsor_interested_enable = $bas_meta['rws_bas_sponsor_interested_enable'];
                if( 1 == $rws_bas_sponsor_interested_enable ):
                    $bas_sponsor_interested_title       = $bas_meta['bas_sponsor_interested_title'];
                    $bas_sponsor_interested_btn_enable  = $bas_meta['bas_sponsor_interested_btn_enable'];
                    $bas_sponsor_interested_email_address  = $bas_meta['bas_sponsor_interested_email_address'];
                    $bas_sponsor_interested_phone_no    = $bas_meta['bas_sponsor_interested_phone_no'];
            ?>
                    <section class="sponsor-interested">
                        <div class="container">
                            <header class="section-header">
                                <?php echo ($bas_sponsor_interested_title) ? '<h2 class="section-title">'.$bas_sponsor_interested_title.'</h2>': '';?>
                                <svg version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                                    width="630" height="114px" viewBox="0 0 174.861 32.432" enable-background="new 0 0 174.861 32.432"
                                     xml:space="preserve">
                                    <path class="line-effect" fill="none" stroke="#F15C5C" stroke-width="0.245" stroke-linecap="round" stroke-linejoin="round" d="M173.786,31.523
                                        l0.794-0.768c-0.167-0.172-0.862,0.043-0.985-0.085c-0.055-0.056,0.103-0.1,0.103-0.1s-3.697,2.056-5.644,0.038
                                        c0,0,6.623-5.438,6.145-5.934c-1.677-1.736-5.034,7.218-6.418,5.783c-0.63-0.651,8.002-2.908,5.593-5.401
                                        c-1.531-1.587-5.177,7.886-7.575,5.402c-2.523-2.612,12.531-3.233,8.1-7.822c-5.785-5.99-15.004,7.576-15.004,7.576
                                        c-2.123-2.198,14.089-13.605,14.089-13.605c-4.406-4.563-15.144,17.195-18.858,13.35c-3.398-3.52,19.853-19.171,19.853-19.171
                                        s-24.863,26.673-30.698,20.633l13.18-12.729c-7.279-7.537-14.525,16.625-19.154,11.832c-0.239-0.248,12.624-10.582,11.82-11.415
                                        c-4.942-5.117-12.12,13.196-14.061,11.187c-1.151-1.192,10.861-10.489,10.861-10.489s-11.558,17.335-18.526,10.118
                                        c-1.842-1.906,13.602-6.636,10.354-9.999c0,0-13.187,11.003-14.189,9.965c-5.28-5.467,16.195-3.329,10.043-9.699
                                        c-6.732-6.972-16.998,9.316-16.998,9.316l10.431-10.073c-3.434-3.557-7.441,7.691-11.498,3.491l7.785-7.519
                                        c-5.047-5.226-10.668,7.074-14.099,3.522l11.736-11.333c0,0-10.2,16.626-15.553,11.082c0,0,18.79-8.983,14.211-13.724
                                        c0,0-17.959,16.238-19.675,14.461c-8.017-8.303,18.232-17.607,18.232-17.607c-9.7-10.044-16.072,28.581-26.978,17.288
                                        c-1.712-1.773,10.153-6.821,8.663-8.365c-2.747-2.844-9.07,8.04-9.07,8.04c-0.743-0.771,12.423-4.496,8.675-8.377"/>
                                    <path class="line-effect" fill="none" stroke="#F15C5C" stroke-width="0.245" stroke-linecap="round" stroke-linejoin="round" d="M1.126,31.523
                                        l-0.794-0.768c0.167-0.172,0.862,0.043,0.985-0.085c0.055-0.056-0.103-0.1-0.103-0.1s3.697,2.056,5.644,0.038
                                        c0,0-6.623-5.438-6.145-5.934c1.677-1.736,5.034,7.218,6.418,5.783c0.63-0.651-8.002-2.908-5.593-5.401
                                        c1.531-1.587,5.177,7.886,7.575,5.402c2.523-2.612-12.531-3.233-8.1-7.822c5.785-5.99,15.004,7.576,15.004,7.576
                                        c2.123-2.198-14.089-13.605-14.089-13.605c4.406-4.563,15.144,17.195,18.858,13.35c3.398-3.52-19.853-19.171-19.853-19.171
                                        s24.863,26.673,30.698,20.633l-13.18-12.729c7.279-7.537,14.525,16.625,19.154,11.832c0.239-0.248-12.624-10.582-11.82-11.415
                                        c4.942-5.117,12.12,13.196,14.061,11.187c1.151-1.192-10.861-10.489-10.861-10.489S40.543,37.14,47.511,29.923
                                        c1.842-1.906-13.602-6.636-10.354-9.999c0,0,13.187,11.003,14.189,9.965c5.28-5.467-16.195-3.329-10.043-9.699
                                        c6.732-6.972,16.998,9.316,16.998,9.316L47.871,19.433c3.434-3.557,7.441,7.691,11.498,3.491l-7.785-7.519
                                        c5.047-5.226,10.668,7.074,14.099,3.522L53.946,7.594c0,0,10.2,16.626,15.553,11.082c0,0-18.79-8.983-14.211-13.724
                                        c0,0,17.959,16.238,19.675,14.461C82.98,11.111,56.731,1.807,56.731,1.807c9.7-10.044,16.072,28.581,26.978,17.288
                                        c1.712-1.773-10.153-6.821-8.663-8.365c2.747-2.844,9.07,8.04,9.07,8.04c0.743-0.771-12.423-4.496-8.675-8.377"/>
                                </svg>
                            </header>
                            <?php if( 1 == $bas_sponsor_interested_btn_enable ): 
                                $bas_sponsor_interested_btn_title   = $bas_meta['bas_sponsor_interested_btn_title'];
                                $bas_sponsor_interested_btn_url     = $bas_meta['bas_sponsor_interested_btn_url'];
                            ?>
                                <div class="sponsor-call">
                                    <a href="<?php echo $bas_sponsor_interested_btn_url; ?>" class="box-button"><?php echo $bas_sponsor_interested_btn_title; ?></a>
                                </div>
                                <!-- .sponsor-call -->
                            <?php endif; ?>
                            <div class="sponsor-contact-info">
                                <ul>
                                    <li><a href="mailto:<?php echo $bas_sponsor_interested_email_address; ?>"><?php echo $bas_sponsor_interested_email_address; ?></a></li>
                                    <li><a href="tel:<?php echo $bas_sponsor_interested_phone_no; ?>"><?php echo $bas_sponsor_interested_phone_no;?></a></li>
                                </ul>
                                 
                            </div>
                            <!-- .sponsor-contact-info -->
                        </div>
                        <div class="svg-file">
                            <svg version="1.1" class="right-blue" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                                 width="308px" height="295px" viewBox="0 0 40.461 39.514" enable-background="new 0 0 40.461 39.514" xml:space="preserve">
                                <path class="line-effect" fill="none" stroke="#00B3E2" stroke-width="0.245" stroke-linecap="round" stroke-linejoin="round" d="M26.152,39.391
                                c2.407-2.492-16.688-9.477-13.371-12.912c3.413-3.534,14.116,11.081,14.116,11.081l-14.65-14.147
                                c3.573-3.699,13.672,5.871,13.672,5.871L11.683,15.535c5.403-5.595,15.199,11.744,15.199,11.744
                                C31.961,22.018,0.123,1.438,0.123,1.438s25.247,21.883,26.862,20.21C35.17,13.172,0.47,6.309,5.601,0.998
                                c0,0,17.783,23.046,21.343,19.36c0,0-27.473-9.978-19.202-18.543L26.498,17.77c2.589-2.682-26.747-7.716-17.697-17.089L28.015,14.47
                                c0,0-19.514-6.316-13.254-12.799c1.424-1.474,21.094,11.433,21.094,11.433S20.593,4.016,23.416,1.092
                                c0,0,13.376,16.181,15.983,13.482c1.9-1.968-20.727-7.593-14.519-14.022c3.337-3.456,8.805,18.391,15.438,11.523
                                c0,0-14.614-9.122-12.12-11.705L39.644,3.13c1.199-1.241-3-1.252-2.178-2.103c0.999-1.034,2.382,0.371,2.873-0.138l-0.795-0.767"/>
                            </svg>
                            <svg version="1.1" class="left-blue" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                                 width="243px" height="250px" viewBox="0 0 40.461 39.514" enable-background="new 0 0 40.461 39.514" xml:space="preserve">
                                <path class="line-effect" fill="none" stroke="#00B3E2" stroke-width="0.245" stroke-linecap="round" stroke-linejoin="round" d="M26.152,39.391
                                c2.407-2.492-16.688-9.477-13.371-12.912c3.413-3.534,14.116,11.081,14.116,11.081l-14.65-14.147
                                c3.573-3.699,13.672,5.871,13.672,5.871L11.683,15.535c5.403-5.595,15.199,11.744,15.199,11.744
                                C31.961,22.018,0.123,1.438,0.123,1.438s25.247,21.883,26.862,20.21C35.17,13.172,0.47,6.309,5.601,0.998
                                c0,0,17.783,23.046,21.343,19.36c0,0-27.473-9.978-19.202-18.543L26.498,17.77c2.589-2.682-26.747-7.716-17.697-17.089L28.015,14.47
                                c0,0-19.514-6.316-13.254-12.799c1.424-1.474,21.094,11.433,21.094,11.433S20.593,4.016,23.416,1.092
                                c0,0,13.376,16.181,15.983,13.482c1.9-1.968-20.727-7.593-14.519-14.022c3.337-3.456,8.805,18.391,15.438,11.523
                                c0,0-14.614-9.122-12.12-11.705L39.644,3.13c1.199-1.241-3-1.252-2.178-2.103c0.999-1.034,2.382,0.371,2.873-0.138l-0.795-0.767"/>
                            </svg>
                            <svg version="1.1" class="blue-line" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                                 width="360px" height="315px" viewBox="0 0 72.872 73.449" enable-background="new 0 0 72.872 73.449" xml:space="preserve">
                            <path class="line-effect" fill="none" stroke="#00B3E2" stroke-width="0.245" stroke-linecap="round" stroke-linejoin="round" d="M0.122,67.672
                                c0,0,0.337,1.053,0.389,1.034c4.525-1.701,2.477-15.502,6.814-17.133c10.802-4.06,5.714,22.651,8.168,21.73l5.822-45.844
                                l4.283,11.394c0.727-0.274,0.02-17.684,4.778-19.472l4.12,10.961c8.086-3.039,10.924-29.356,13.059-30.158
                                c3.216-1.209,5.954,15.843,5.954,15.843c0.299-0.111,10.987,1.83,18.338-0.934c1.476-0.556,0.693,1.847,0.693,1.847"/>
                            </svg>
                            <svg version="1.1" class="red-line" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                                 width="354px" height="305px" viewBox="0 0 72.602 79.202" enable-background="new 0 0 72.602 79.202" xml:space="preserve">
                            <path class="line-effect" fill="none" stroke="#F15B5C" stroke-width="0.245" stroke-linecap="round" stroke-linejoin="round" d="M0.122,77.326
                                c0,0,0.536,0.967,0.584,0.937c3.226-2.006-0.59-12.348,2.502-14.271c7.642-4.752,7.623,16.125,9.358,15.047L7.556,46.641
                                l7.433,11.952c0.752-0.467-1.97-22.303,2.958-25.367l4.474,9.987c7.968-4.955,6.759-37.276,8.863-38.584
                                c2.019-1.256,5.596,8.999,5.596,8.999c0.321-0.2,10.171-7.171,18.062-12.079C69.543-7.533,72.48,29.746,72.48,29.746L68.114,9.494
                                c0,0,0.376,3.271,1.572,2.526"/>
                            </svg>                            
                        </div>
                    </section>
                    <!-- .sponsor-interested -->
                <?php endif; ?>
		</main>
	</div>
</div>
<?php get_footer();