<?php 
/**
* Template Name: Contact Us Template
*
*/
	get_header();

	global $rws_options;
	$contact_us_meta			= get_post_meta( get_the_id (), 'rws_contactus_section', true );

	$team_section_enable 		= $contact_us_meta['rws_contactus_team_enable'];
	$contactus_team_title 		= $contact_us_meta['rws_contactus_team_title'];
	$contactus_team_desc 		= $contact_us_meta['rws_contactus_team_desc'];
	$contactus_teams 			= $contact_us_meta['rws_contactus_team'];

	$contactus_details_enable 	= $contact_us_meta['rws_contactus_details_enable'];
	$contactus_address_title 	= $contact_us_meta['rws_contactus_address_title'];
	$contactus_address_icon 	= $contact_us_meta['rws_contactus_address_icon'];
	$contactus_address_desc 	= $contact_us_meta['rws_contactus_address_desc'];

	$contactus_phone_title 		= $contact_us_meta['rws_contactus_phone_title'];
	$contactus_phone_icon 		= $contact_us_meta['rws_contactus_phone_icon'];
	$contactus_phone_desc 		= $contact_us_meta['rws_contactus_phone_desc'];

	$contactus_email_title 		= $contact_us_meta['rws_contactus_email_title'];
	$contactus_email_icon 		= $contact_us_meta['rws_contactus_email_icon'];
	$contactus_email_desc 		= $contact_us_meta['rws_contactus_email_desc'];
	
?>
<div id="content" class="site-content">
    <div id="primary" class="content-area">
        <main id="main" class="site-main" role="main">
			
			<?php if( 1 == $team_section_enable ): ?>
	            <section class="team-wrapper">
	                <div class="container">
	                    <header class="section-header">
	                        <h2 class="section-title"><?php echo ( $contactus_team_title ? $contactus_team_title: 'Our Team' ) ?></h2>
	                        <svg version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="210px" height="114px" viewBox="0 0 84.2 32.432" enable-background="new 0 0 84.2 32.432" xml:space="preserve">
	                                <path class="line-effect" fill="none" stroke="#F15C5C" stroke-width="0.245" stroke-linecap="round" stroke-linejoin="round" d="M8.828,10.393
	                                C12.576,14.274-0.59,18,0.153,18.77c0,0,6.323-10.884,9.07-8.04c1.49,1.544-10.375,6.592-8.663,8.365
	                                C11.466,30.388,17.837-8.237,27.538,1.807c0,0-26.249,9.304-18.232,17.607c1.716,1.777,19.675-14.461,19.675-14.461
	                                C33.56,9.693,14.77,18.676,14.77,18.676C20.123,24.22,30.323,7.594,30.323,7.594L18.586,18.927
	                                c3.431,3.553,9.052-8.748,14.099-3.522L24.9,22.924c4.057,4.2,8.064-7.048,11.498-3.491L25.968,29.506
	                                c0,0,10.266-16.288,16.998-9.316c6.152,6.37-15.323,4.232-10.043,9.699c1.002,1.038,14.189-9.965,14.189-9.965
	                                c3.248,3.363-12.196,8.093-10.354,9.999c6.968,7.217,18.526-10.118,18.526-10.118s-12.012,9.297-10.861,10.489
	                                c1.941,2.01,9.119-16.304,14.061-11.187c0.804,0.833-12.059,11.167-11.82,11.415c4.629,4.793,11.875-19.369,19.154-11.832
	                                l-13.18,12.729c5.835,6.04,30.698-20.633,30.698-20.633S60.085,26.438,63.482,29.958c3.714,3.846,14.452-17.912,18.858-13.35
	                                c0,0-16.212,11.407-14.089,13.605c0,0,9.219-13.566,15.004-7.576c4.431,4.589-10.623,5.21-8.1,7.822
	                                c2.398,2.483,6.044-6.989,7.575-5.402c2.409,2.493-6.223,4.75-5.593,5.401c1.384,1.435,4.741-7.52,6.418-5.783
	                                c0.478,0.495-6.145,5.934-6.145,5.934c1.947,2.018,5.644-0.038,5.644-0.038s-0.158,0.044-0.103,0.1
	                                c0.123,0.128,0.818-0.087,0.985,0.085l-0.794,0.768"/>
	                            </svg>
	                            <?php if( $contactus_team_desc ): ?>
	                        		<p><?php echo $contactus_team_desc; ?></p>
	                        	<?php endif; ?>
	                    </header>
	                    <?php if( count( $contactus_teams ) >0 ): ?>
		                    <div class="team-item-wrapper">
		                    	<?php foreach( $contactus_teams as $contactus_team): ?>

			                        <div class="team-item">
			                        	<?php 
			                        		if( $contactus_team['rws_contactus_team_image'] ): 
			                        			$team_images = rws_image_src ( array ( 'id' => $contactus_team['rws_contactus_team_image'], 'size' => 'about-team-thumb' ) );
		                        		?>
				                            <figure class="team-img">
				                                <div class="full-img">
				                                    <img src="<?php echo $team_images; ?>" alt="team-img">
				                                </div>
			                            	</figure>
			                            <?php endif; ?>
										<?php if( $contactus_team['rws_contactus_team_title'] || $contactus_team['rws_contactus_team_degination'] ): ?>
				                            <header class="entry-header">
				                                <h3 class="entry-title">
				                                    <?php echo $contactus_team['rws_contactus_team_title']; ?>
				                                    <?php if( $contactus_team['rws_contactus_team_degination'] ) :?>
				                                    	<span class="team-designation"><?php echo $contactus_team['rws_contactus_team_degination']; ?></span>
				                                    <?php endif;?>
				                                </h3>
				                            </header>
			                            <?php endif; ?>
			                            <?php if( $contactus_team['rws_contactus_team_phone'] || $contactus_team['rws_contactus_team_email'] ): ?>
				                            <ul>
				                            	<?php if( $contactus_team['rws_contactus_team_phone'] ): ?>
				                                	<li> <i class="fa fa-phone" aria-hidden="true"></i> <a href="tel:<?php echo $contactus_team['rws_contactus_team_phone']; ?>"><?php echo $contactus_team['rws_contactus_team_phone']; ?> </a></li>
				                                <?php endif;?>

				                                <?php if( $contactus_team['rws_contactus_team_email'] ): ?>
				                                	<li> <i class="fa fa-envelope" aria-hidden="true"></i> <a href="mailto:<?php echo $contactus_team['rws_contactus_team_email']; ?>"><?php echo $contactus_team['rws_contactus_team_email']; ?></a></li>
			                                	<?php endif;?>
				                            </ul>
				                        <?php endif; ?>
			                        </div>
			                        <!-- .team-item -->
		                    	<?php endforeach; ?>
	                       </div>
		                    <!-- .team-item-wrapper -->
	                	<?php endif; ?>
	                </div>
	            </section>
            <!-- .team-wrapper -->
        	<?php endif;  ?>

        	<?php if( 1 == $contactus_details_enable ): ?>
	            <section class="site-address">
	                <div class="container">
	                    <div class="address-item-wrapper">
	                    	<?php if( $contactus_address_title || $contactus_address_icon || $contactus_address_desc ): ?>
		                        <div class="address-item">
		                        	<?php if( $contactus_address_icon): ?>
			                            <div class="icon-box">
			                                <div class="icon-wrapper">
			                                    <div class="icon">
			                                        <i class="<?php echo $contactus_address_icon; ?>" aria-hidden="true"></i>
			                                    </div>
			                                    <!-- .image-icon -->
			                                </div>
			                                <!-- .image-icon-wrapper -->
			                            </div>
			                            <!-- .icon-box -->
		                        	<?php endif;?>

		                            <?php if( $contactus_address_title || $contactus_address_desc ): ?>
			                            <address>
			                            	<?php if( $contactus_address_title ): ?>
				                                <header class="entry-header">
				                                    <h4 class="entry-title"><?php echo $contactus_address_title; ?> :</h4>
				                                </header>
			                            	<?php endif; ?>

			                            	<?php if( $contactus_address_desc ): ?>
			                               	 	<p><?php echo $contactus_address_desc; ?></p>
			                            	<?php endif; ?>
			                            </address>
			                        <?php endif; ?>
		                        </div>
	                    	<?php endif; ?>

	                    	<?php if( $contactus_phone_title || $contactus_phone_icon || $contactus_phone_desc ): ?>
		                        <div class="address-item">
		                        	<?php if( $contactus_phone_icon): ?>
			                            <div class="icon-box">
			                                <div class="icon-wrapper">
			                                    <div class="icon">
			                                        <i class="<?php echo $contactus_phone_icon; ?>" aria-hidden="true"></i>
			                                    </div>
			                                    <!-- .image-icon -->
			                                </div>
			                                <!-- .image-icon-wrapper -->
			                            </div>
			                            <!-- .icon-box -->
		                        	<?php endif;?>

		                            <?php if( $contactus_phone_title || $contactus_phone_desc ): ?>
			                            <address>
			                            	<?php if( $contactus_phone_title ): ?>
				                                <header class="entry-header">
				                                    <h4 class="entry-title"><?php echo $contactus_phone_title; ?> :</h4>
				                                </header>
			                            	<?php endif; ?>

			                            	<?php if( $contactus_phone_desc ): ?>
			                               	 	 <a href="tel:<?php echo $contactus_phone_desc; ?>"><?php echo $contactus_phone_desc; ?></a>
			                            	<?php endif; ?>
			                            </address>
			                        <?php endif; ?>
		                        </div>
	                    	<?php endif; ?>

	                    	<?php if( $contactus_email_title || $contactus_email_icon || $contactus_email_desc ): ?>
		                        <div class="address-item">
		                        	<?php if( $contactus_email_icon): ?>
			                            <div class="icon-box">
			                                <div class="icon-wrapper">
			                                    <div class="icon">
			                                        <i class="<?php echo $contactus_email_icon; ?>" aria-hidden="true"></i>
			                                    </div>
			                                    <!-- .image-icon -->
			                                </div>
			                                <!-- .image-icon-wrapper -->
			                            </div>
			                            <!-- .icon-box -->
		                        	<?php endif;?>

		                            <?php if( $contactus_email_title || $contactus_email_desc ): ?>
			                            <address>
			                            	<?php if( $contactus_email_title ): ?>
				                                <header class="entry-header">
				                                    <h4 class="entry-title"><?php echo $contactus_email_title; ?> :</h4>
				                                </header>
			                            	<?php endif; ?>

			                            	<?php if( $contactus_email_desc ): ?>
			                               	 	 <a href="mailto:<?php echo $contactus_email_desc; ?>"><?php echo $contactus_email_desc; ?></a>
			                            	<?php endif; ?>
			                            </address>
			                        <?php endif; ?>
		                        </div>
	                    	<?php endif; ?>
	                    </div>
	                </div>
	                <div class="svg-file">
	                    <svg version="1.1" class="right-blue" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="200px" height="295px" viewBox="0 0 40.461 39.514" enable-background="new 0 0 40.461 39.514" xml:space="preserve">
	                        <path class="line-effect" fill="none" stroke="#00B3E2" stroke-width="0.245" stroke-linecap="round" stroke-linejoin="round" d="M26.152,39.391
	                        c2.407-2.492-16.688-9.477-13.371-12.912c3.413-3.534,14.116,11.081,14.116,11.081l-14.65-14.147
	                        c3.573-3.699,13.672,5.871,13.672,5.871L11.683,15.535c5.403-5.595,15.199,11.744,15.199,11.744
	                        C31.961,22.018,0.123,1.438,0.123,1.438s25.247,21.883,26.862,20.21C35.17,13.172,0.47,6.309,5.601,0.998
	                        c0,0,17.783,23.046,21.343,19.36c0,0-27.473-9.978-19.202-18.543L26.498,17.77c2.589-2.682-26.747-7.716-17.697-17.089L28.015,14.47
	                        c0,0-19.514-6.316-13.254-12.799c1.424-1.474,21.094,11.433,21.094,11.433S20.593,4.016,23.416,1.092
	                        c0,0,13.376,16.181,15.983,13.482c1.9-1.968-20.727-7.593-14.519-14.022c3.337-3.456,8.805,18.391,15.438,11.523
	                        c0,0-14.614-9.122-12.12-11.705L39.644,3.13c1.199-1.241-3-1.252-2.178-2.103c0.999-1.034,2.382,0.371,2.873-0.138l-0.795-0.767"/>
	                    </svg>
	                    <svg version="1.1" class="left-blue" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="200px" height="250px" viewBox="0 0 40.461 39.514" enable-background="new 0 0 40.461 39.514" xml:space="preserve">
	                        <path class="line-effect" fill="none" stroke="#00B3E2" stroke-width="0.245" stroke-linecap="round" stroke-linejoin="round" d="M26.152,39.391
	                        c2.407-2.492-16.688-9.477-13.371-12.912c3.413-3.534,14.116,11.081,14.116,11.081l-14.65-14.147
	                        c3.573-3.699,13.672,5.871,13.672,5.871L11.683,15.535c5.403-5.595,15.199,11.744,15.199,11.744
	                        C31.961,22.018,0.123,1.438,0.123,1.438s25.247,21.883,26.862,20.21C35.17,13.172,0.47,6.309,5.601,0.998
	                        c0,0,17.783,23.046,21.343,19.36c0,0-27.473-9.978-19.202-18.543L26.498,17.77c2.589-2.682-26.747-7.716-17.697-17.089L28.015,14.47
	                        c0,0-19.514-6.316-13.254-12.799c1.424-1.474,21.094,11.433,21.094,11.433S20.593,4.016,23.416,1.092
	                        c0,0,13.376,16.181,15.983,13.482c1.9-1.968-20.727-7.593-14.519-14.022c3.337-3.456,8.805,18.391,15.438,11.523
	                        c0,0-14.614-9.122-12.12-11.705L39.644,3.13c1.199-1.241-3-1.252-2.178-2.103c0.999-1.034,2.382,0.371,2.873-0.138l-0.795-0.767"/>
	                    </svg>


	                    <svg class="white-line" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="200px" height="220px" viewBox="0 0 59.474 56.536" enable-background="new 0 0 59.474 56.536" xml:space="preserve">

	                        <path class="line-effect" fill="none" stroke="#FFFFFF" stroke-width="0.245" stroke-linecap="round" stroke-linejoin="round" d="M0.394,58.201
	                    	c0,0,0.736,0.824,0.768,0.794c0.572-0.553-1.084-4.521-0.551-5.036C2.239,52.387,3.8,57.262,3.8,57.262l-2.777-8.819l9.029,9.35
	                    	c0,0-11.125-9.718-8.945-11.823l11.389,11.793c6.751-6.519-10.987-15.892-10.61-16.256c1.142-1.102,15.187,15.727,15.187,15.727
	                    	S-5.581,37.889,1.49,31.061c4.595-4.438,10.256,10.62,10.256,10.62L1.032,26.987c0,0,6.938,14.911,10.801,11.183
	                    	c0,0-10.059-10.355-10.014-10.398c2.382-2.301,6.632,13.611,10.001,10.357c3.074-2.969-12.902-9.788-9.6-12.977
	                    	c1.454-1.405,8.56,8.863,8.56,8.863L4.23,16.711c0,0,4.912,12.565,8.649,8.957c0,0-11.381-10.113-6.398-14.925
	                    	c1.418-1.37,8.845,10.225,9.378,9.71c0,0-9.171-9.152-7.721-10.552l8.24,8.533L10.13,6.154l9.827,10.176
	                    	c0.915-0.884-8.788-9.122-8.788-9.122c3.062-2.957,5.703,13.546,9.521,9.859c4.618-4.461-7.519-10.669-7.519-10.669
	                    	c2.588-2.499,4.759,15.959,10.27,10.636c1.309-1.263-9.473-10.643-7.305-12.736c0,0,6.563,17.184,11.754,12.171
	                    	c0,0-10.716-13.861-10.006-14.546C23.277-3.285,33.168,17.75,33.168,17.75C33.963,16.982,17.354,6.224,21.64,2.085
	                    	c0,0,12.685,22.619,17.423,18.043c0,0-13.484-14.399-9.904-17.856c0.527-0.51,23.323,27.075,24.784,25.665
	                    	C65.952,16.34,21.311,11.438,31.815,1.295C39.411-6.041,53.2,23.441,53.2,23.441L36.036,1.758c0,0,15.483,16.982,15.957,16.523
	                    	C57.424,13.036,36.609,2.22,36.609,2.22l15.776,16.337c0,0-9.053-7.972-6.038-10.883c0,0,0.779,1.179,0.966,1"/>

	                    </svg>


	                    <svg version="1.1" class="blue-line" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="200px" height="315px" viewBox="0 0 72.872 73.449" enable-background="new 0 0 72.872 73.449" xml:space="preserve">
	                    <path class="line-effect" fill="none" stroke="#00B3E2" stroke-width="0.245" stroke-linecap="round" stroke-linejoin="round" d="M0.122,67.672
	                        c0,0,0.337,1.053,0.389,1.034c4.525-1.701,2.477-15.502,6.814-17.133c10.802-4.06,5.714,22.651,8.168,21.73l5.822-45.844
	                        l4.283,11.394c0.727-0.274,0.02-17.684,4.778-19.472l4.12,10.961c8.086-3.039,10.924-29.356,13.059-30.158
	                        c3.216-1.209,5.954,15.843,5.954,15.843c0.299-0.111,10.987,1.83,18.338-0.934c1.476-0.556,0.693,1.847,0.693,1.847"/>
	                    </svg>
	                    <svg version="1.1" class="red-line" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="200px" height="305px" viewBox="0 0 72.602 79.202" enable-background="new 0 0 72.602 79.202" xml:space="preserve">
	                    <path class="line-effect" fill="none" stroke="#F15B5C" stroke-width="0.245" stroke-linecap="round" stroke-linejoin="round" d="M0.122,77.326
	                        c0,0,0.536,0.967,0.584,0.937c3.226-2.006-0.59-12.348,2.502-14.271c7.642-4.752,7.623,16.125,9.358,15.047L7.556,46.641
	                        l7.433,11.952c0.752-0.467-1.97-22.303,2.958-25.367l4.474,9.987c7.968-4.955,6.759-37.276,8.863-38.584
	                        c2.019-1.256,5.596,8.999,5.596,8.999c0.321-0.2,10.171-7.171,18.062-12.079C69.543-7.533,72.48,29.746,72.48,29.746L68.114,9.494
	                        c0,0,0.376,3.271,1.572,2.526"/>
	                    </svg>

	                </div>
	            </section>
	            <!-- .site-address -->
        	<?php endif;?>
        </main>
        <!-- #main -->
    </div>
    <!-- #primary -->
</div>
<!-- #content -->
<?php get_footer();